package com.sooka.enums;

import lombok.Getter;

@Getter
public enum ResultEnum {


    OK(1000, "成功"),

    ERROR(2000, "系统错误"),
    PARAM_EMPTY(2001, "参数为空"),

    ERROR_INVALID_SECRET_KEY(2002,"授权码无效，请填写正确的授权码"),
    ERROR_AUTH_EXPIRES(2003,"授权码到期，请重新申请"),
    ERROR_INTERFACE_DISABLED(2004,"该接口暂时停止使用，请稍后再试"),
    ERROR_INT_CODE(2005,"请填写正确的接口编码"),
    ERROR_INT_SECRET_KEY_MISMATCH(2006,"授权码与接口不匹配，请核实")

    ;

    /**
     * 错误代码
     */
    private Integer code;

    /**
     * 提示信息
     */
    private String message;

    ResultEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

}
