package com.sooka.jersey.utils;

import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.sooka.jersey.provider.GsonProvider;

import java.util.List;

public class JsonUtils {

     // 定义Gson对象
     private static final Gson GS = GsonProvider.getGson();

     /**
      * 将对象转换成json字符串。
      * <p>Title: pojoToJson</p>
      * <p>Description: </p>
      * @param data
      * @return
      */
     public static String objectToJson(Object data) {
         try {
             String string =  GS.toJson(data);
             return string;
         } catch (Exception e) {
             e.printStackTrace();
         }
         return null;
     }

     /**
      * 将json结果集转化为对象
      *
      * @param jsonData json数据
      * @param beanType class对象中的object类型
      * @return
      */
     public static <T> T jsonToPojo(String jsonData, Class<T> beanType) {
         try {
             T t = GS.fromJson(jsonData, beanType);
             return t;
         } catch (Exception e) {
             e.printStackTrace();
         }
         return null;
     }

     /**
      * 将json数据转换成pojo对象list
      * <p>Title: jsonToList</p>
      * <p>Description: </p>
      * @param jsonData
      * @param beanType
      * @return
      */
     public static <T> List<T> jsonToList(String jsonData, Class<T> beanType) {
         try {
             List<T> list = GS.fromJson(jsonData, new TypeToken<List<T>>(){}.getType());
             return list;
         } catch (Exception e) {
             e.printStackTrace();
         }
         return null;
     }

 }
