package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_City_Real_Estate_Service;
import com.sooka.service.Guiji_Gas_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling
public class Guiji_City_Real_Estate extends BaseApi {

    @Autowired
    Guiji_City_Real_Estate_Service guiji_city_real_estate_service;


    //-----------------------------市房地产接口--------------------------------------------------

    /**
     * 市房地产 - 商品房初始信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_housing_initial")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_housing_initial(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_housing_initial_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产 - 商品房初始信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_housing_initial_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_housing_initial_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_housing_initial(str);
        return r;
    }

    /**
     * 市房地产-存量房信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_housing_stock")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_housing_stock(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_housing_stock_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-存量房信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_housing_stock_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_housing_stock_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_housing_stock(str);
        return r;
    }

    /**
     * 市房地产-商品房信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_housing_commercial")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_housing_commercial(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_housing_commercial_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-商品房信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_housing_commercial_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_housing_commercial_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_housing_commercial(str);
        return r;
    }

    /**
     * 市房地产-回迁房信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_housing_relocation")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_housing_relocation(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_housing_relocation_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-回迁房信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_housing_relocation_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_housing_relocation_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_housing_relocation(str);
        return r;
    }

    /**
     * 市房地产-一般抵押信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_general")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_general(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_mortgage_general_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-一般抵押信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_general_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_general_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_mortgage_general(str);
        return r;
    }

    /**
     * 市房地产-最商额抵押信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_business")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_business(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_mortgage_business_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-最商额抵押信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_business_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_business_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_mortgage_business(str);
        return r;
    }

    /**
     * 市房地产-在建工程抵押信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_construction")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_construction(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_mortgage_construction_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-在建工程抵押信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_construction_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_construction_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_mortgage_construction(str);
        return r;
    }

    /**
     * 市房地产-一般抵押权变更信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_change")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_change(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_mortgage_change_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-一般抵押权变更信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_change_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_change_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_mortgage_change(str);
        return r;
    }

    /**
     * 市房地产-一般抵押权注销信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_cancel")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_cancel(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_mortgage_cancel_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-一般抵押权注销信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_mortgage_cancel_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_mortgage_cancel_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_mortgage_cancel(str);
        return r;
    }

    /**
     * 市房地产-解封信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_unseal")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_unseal(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_unseal_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-解封信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_unseal_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_unseal_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_unseal(str);
        return r;
    }

    /**
     * 市房地产-预购商品房预告注销信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_pre_order_cancel_notice")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_order_cancel_notice(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_pre_order_cancel_notice_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-预购商品房预告注销信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_pre_order_cancel_notice_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_order_cancel_notice_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_pre_order_cancel_notice(str);
        return r;
    }

    /**
     * 市房地产-预购商品房抵押权注销信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_pre_order_cancel_mortgage")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_order_cancel_mortgage(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_pre_order_cancel_mortgage_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-预购商品房抵押权注销信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_pre_order_cancel_mortgage_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_order_cancel_mortgage_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_pre_order_cancel_mortgage(str);
        return r;
    }

    /**
     * 市房地产-档案补录信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_file_additional")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_file_additional(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_file_additional_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-档案补录信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_file_additional_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_file_additional_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_file_additional(str);
        return r;
    }

    /**
     * 市房地产-预售信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_pre_sale_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-预售信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_pre_sale(str);
        return r;
    }

    /**
     * 市房地产-预售变更信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_change")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_change(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_pre_sale_change_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-预售变更信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_change_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_change_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_pre_sale_change(str);
        return r;
    }

    /**
     * 市房地产-现售信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_on_sale")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_on_sale(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_on_sale_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-现售信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_on_sale_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_on_sale_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_on_sale(str);
        return r;
    }

    /**
     * 市房地产-现售变更信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_on_sale_change")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_on_sale_change(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_on_sale_change_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-现售变更信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_on_sale_change_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_on_sale_change_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_on_sale_change(str);
        return r;
    }

    /**
     * 市房地产-预转现信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_pre_to_on")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_to_on(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_pre_to_on_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-预转现信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_pre_to_on_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_to_on_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_pre_to_on(str);
        return r;
    }

    /**
     * 市房地产-预售备案信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_record")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_record(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_pre_sale_record_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-预售备案信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_record_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_record_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_pre_sale_record(str);
        return r;
    }

    /**
     * 市房地产-预售备案变更信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_record_change")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_record_change(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_pre_sale_record_change_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-预售备案变更信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_record_change_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_record_change_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_pre_sale_record_change(str);
        return r;
    }

    /**
     * 市房地产-现售备案信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_on_sale_record")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_on_sale_record(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_on_sale_record_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-现售备案信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_on_sale_record_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_on_sale_record_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_on_sale_record(str);
        return r;
    }

    /**
     * 市房地产-现售备案变更信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_on_sale_record_change")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_on_sale_record_change(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_on_sale_record_change_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-现售备案变更信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_on_sale_record_change_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_on_sale_record_change_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_on_sale_record_change(str);
        return r;
    }

    /**
     * 市房地产-备案补录信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_record_additional")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_record_additional(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_record_additional_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-备案补录信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_record_additional_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_record_additional_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_record_additional(str);
        return r;
    }

    /**
     * 市房地产-备案补录信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_additional")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_additional(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_pre_sale_additional_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-备案补录信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_pre_sale_additional_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_pre_sale_additional_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_pre_sale_additional(str);
        return r;
    }

    /**
     * 市房地产-合同退房信息 （互联网）
     */
    @POST
    @Path("/guiji_real_estate_contract_check_out")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_contract_check_out(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_real_estate_contract_check_out_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市房地产-合同退房信息 （内网）
     */
    @POST
    @Path("/guiji_real_estate_contract_check_out_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_real_estate_contract_check_out_forward(String str) {
        ResultModel r = guiji_city_real_estate_service.guiji_real_estate_contract_check_out(str);
        return r;
    }


    /**
     * 查询接口
     */

    /**
     * 市房地产
     * @param bean
     * @return 商品房初始信息
     */
    @POST
    @Path("/select_real_estate_housing_initial")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_housing_initial(Guiji_City_Real_Estate1_housing_initial_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_housing_initial(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 存量房信息
     */
    @POST
    @Path("/select_real_estate_housing_stock")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_housing_stock(Guiji_City_Real_Estate2_housing_stock_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_housing_stock(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 商品房信息
     */
    @POST
    @Path("/select_real_estate_housing_commercial")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_housing_commercial(Guiji_City_Real_Estate3_housing_commercial_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_housing_commercial(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 回迁房信息
     */
    @POST
    @Path("/select_real_estate_housing_relocation")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_housing_relocation(Guiji_City_Real_Estate4_housing_relocation_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_housing_relocation(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 一般抵押信息
     */
    @POST
    @Path("/select_real_estate_mortgage_general")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_mortgage_general(Guiji_City_Real_Estate5_mortgage_general_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_mortgage_general(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 最商额抵押信息
     */
    @POST
    @Path("/select_real_estate_mortgage_business")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_mortgage_business(Guiji_City_Real_Estate6_mortgage_business_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_mortgage_business(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 在建工程抵押信息
     */
    @POST
    @Path("/select_real_estate_mortgage_construction")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_mortgage_construction(Guiji_City_Real_Estate7_mortgage_construction_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_mortgage_construction(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 一般抵押权变更信息
     */
    @POST
    @Path("/select_real_estate_mortgage_change")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_mortgage_change(Guiji_City_Real_Estate8_mortgage_change_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_mortgage_change(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 一般抵押权注销信息
     */
    @POST
    @Path("/select_real_estate_mortgage_cancel")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_mortgage_cancel(Guiji_City_Real_Estate9_mortgage_cancel_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_mortgage_cancel(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 解封信息
     */
    @POST
    @Path("/select_real_estate_unseal")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_unseal(Guiji_City_Real_Estate10_estate_unseal_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_unseal(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预购商品房预告注销信息
     */
    @POST
    @Path("/select_real_estate_pre_order_cancel_notice")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_pre_order_cancel_notice(Guiji_City_Real_Estate11_pre_order_cancel_notice_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_pre_order_cancel_notice(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预购商品房抵押权注销信息
     */
    @POST
    @Path("/select_real_estate_pre_order_cancel_mortgage")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_pre_order_cancel_mortgage(Guiji_City_Real_Estate12_pre_order_cancel_mortgage_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_pre_order_cancel_mortgage(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 档案补录信息
     */
    @POST
    @Path("/select_real_estate_file_additional")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_file_additional(Guiji_City_Real_Estate13_file_additional_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_file_additional(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售信息
     */
    @POST
    @Path("/select_real_estate_pre_sale")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_pre_sale(Guiji_City_Real_Estate14_pre_sale_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_pre_sale(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售变更信息
     */
    @POST
    @Path("/select_real_estate_pre_sale_change")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_pre_sale_change(Guiji_City_Real_Estate15_pre_sale_change_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_pre_sale_change(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 现售信息
     */
    @POST
    @Path("/select_real_estate_on_sale")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_on_sale(Guiji_City_Real_Estate16_on_sale_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_on_sale(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 现售变更信息
     */
    @POST
    @Path("/select_real_estate_on_sale_change")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_on_sale_change(Guiji_City_Real_Estate17_on_sale_change_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_on_sale_change(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预转现信息
     */
    @POST
    @Path("/select_real_estate_pre_to_on")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_pre_to_on(Guiji_City_Real_Estate18_pre_to_on_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_pre_to_on(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售备案信息
     */
    @POST
    @Path("/select_real_estate_pre_sale_record")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_pre_sale_record(Guiji_City_Real_Estate19_pre_sale_record_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_pre_sale_record(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售备案变更信息
     */
    @POST
    @Path("/select_real_estate_pre_sale_record_change")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_pre_sale_record_change(Guiji_City_Real_Estate20_pre_sale_record_change_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_pre_sale_record_change(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 现售备案信息
     */
    @POST
    @Path("/select_real_estate_on_sale_record")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_on_sale_record(Guiji_City_Real_Estate21_on_sale_record_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_on_sale_record(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 现售备案变更信息
     */
    @POST
    @Path("/select_real_estate_on_sale_record_change")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_on_sale_record_change(Guiji_City_Real_Estate22_on_sale_record_change_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_on_sale_record_change(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售补录信息
     */
    @POST
    @Path("/select_real_estate_pre_sale_additional")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_pre_sale_additional(Guiji_City_Real_Estate23_pre_sale_additional_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_pre_sale_additional(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 备案补录信息
     */
    @POST
    @Path("/select_real_estate_record_additional")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_record_additional(Guiji_City_Real_Estate24_record_additional_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_record_additional(bean);
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 合同退房信息
     */
    @POST
    @Path("/select_real_estate_contract_check_out")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel select_real_estate_contract_check_out(Guiji_City_Real_Estate25_contract_check_out_Bean bean) {
        ResultModel r = guiji_city_real_estate_service.select_real_estate_contract_check_out(bean);
        return r;
    }
}
