package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Funeral_Service;
import com.sooka.service.Guiji_Medicine_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling
public class Guiji_Funeral extends BaseApi {

    @Autowired
    Guiji_Funeral_Service guiji_funeral_service;


    //-----------------------------市殡葬接口--------------------------------------------------

    /**
     * 市殡葬 - 逝者基本信息 （互联网）
     */
    @POST
    @Path("/guiji_funeral_the_dead")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_plant(String str) {
        System.out.println("A guiji_funeral_the_dead:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_funeral_the_dead_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市殡葬 - 逝者基本信息 （内网）
     */
    @POST
    @Path("/guiji_funeral_the_dead_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_forward(String str) {
        System.out.println("B guiji_funeral_the_dead_forward:" + str);
        ResultModel r = guiji_funeral_service.guiji_funeral(str);
        return r;
    }

    /**
     * 市殡葬 - 缴费基本信息 （互联网）
     */
    @POST
    @Path("/guiji_funeral_pay")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_pay(String str) {
        System.out.println("A guiji_funeral_pay:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_funeral_pay_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市殡葬 - 缴费基本信息 （内网）
     */
    @POST
    @Path("/guiji_funeral_pay_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_pay_forward(String str) {
        System.out.println("B guiji_funeral_pay_forward:" + str);
        ResultModel r = guiji_funeral_service.guiji_funeral2(str);
        return r;
    }

    /**
     * 市殡葬 - 冷冻基本信息 （互联网）
     */
    @POST
    @Path("/guiji_funeral_freeze")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_freeze(String str) {
        System.out.println("A guiji_funeral_freeze:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_funeral_freeze_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市殡葬 - 冷冻基本信息 （内网）
     */
    @POST
    @Path("/guiji_funeral_freeze_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_freeze_forward(String str) {
        System.out.println("B guiji_funeral_freeze_forward:" + str);
        ResultModel r = guiji_funeral_service.guiji_funeral3(str);
        return r;
    }

    /**
     * 市殡葬 - 骨灰寄存基本信息 （互联网）
     */
    @POST
    @Path("/guiji_funeral_ashes_storage")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_ashes_storage(String str) {
        System.out.println("A guiji_funeral_ashes_storage:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_funeral_ashes_storage_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市殡葬 - 骨灰寄存基本信息 （内网）
     */
    @POST
    @Path("/guiji_funeral_ashes_storage_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_ashes_storage_forward(String str) {
        System.out.println("B guiji_funeral_ashes_storage_forward:" + str);
        ResultModel r = guiji_funeral_service.guiji_funeral4(str);
        return r;
    }

    /**
     * 市殡葬 - 骨灰续存基本信息 （互联网）
     */
    @POST
    @Path("/guiji_funeral_ashes_renew")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_ashes_renew(String str) {
        System.out.println("A guiji_funeral_ashes_renew:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_funeral_ashes_renew_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市殡葬 - 骨灰续存基本信息 （内网）
     */
    @POST
    @Path("/guiji_funeral_ashes_renew_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_ashes_renew_forward(String str) {
        System.out.println("B guiji_funeral_ashes_renew_forward:" + str);
        ResultModel r = guiji_funeral_service.guiji_funeral5(str);
        return r;
    }

    /**
     * 市殡葬 - 骨灰取走基本信息 （互联网）
     */
    @POST
    @Path("/guiji_funeral_ashes_remove")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_ashes_remove(String str) {
        System.out.println("A guiji_funeral_ashes_remove:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_funeral_ashes_remove_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市殡葬 - 骨灰取走基本信息 （内网）
     */
    @POST
    @Path("/guiji_funeral_ashes_remove_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_funeral_ashes_remove_forward(String str) {
        System.out.println("B guiji_funeral_ashes_remove_forward:" + str);
        ResultModel r = guiji_funeral_service.guiji_funeral6(str);
        return r;
    }

    
    /**
     * 查询接口
     */

    /**
     * 市殡葬
     * @param bean
     * @return 逝者基本信息
     */
    @POST
    @Path("/guiji_select_funeral_the_dead")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_funeral_the_dead(Guiji_funeral1_the_dead_Bean bean) {
        ResultModel r = guiji_funeral_service.select_funeral_the_dead(bean);
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 缴费基本信息
     */
    @POST
    @Path("/guiji_select_funeral_pay")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_funeral_pay(Guiji_funeral2_pay_Bean bean) {
        ResultModel r = guiji_funeral_service.select_funeral_pay(bean);
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 冷冻基本信息
     */
    @POST
    @Path("/guiji_select_funeral_freeze")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_funeral_freeze(Guiji_funeral3_freeze_Bean bean) {
        ResultModel r = guiji_funeral_service.select_funeral_freeze(bean);
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 骨灰寄存基本信息
     */
    @POST
    @Path("/guiji_select_ashes_storage")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_ashes_storage(Guiji_funeral4_ashes_storage_Bean bean) {
        ResultModel r = guiji_funeral_service.select_ashes_storage(bean);
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 骨灰续存基本信息
     */
    @POST
    @Path("/guiji_select_ashes_renew")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_ashes_renew(Guiji_funeral5_ashes_renew_Bean bean) {
        ResultModel r = guiji_funeral_service.select_ashes_renew(bean);
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 骨灰取走基本信息
     */
    @POST
    @Path("/guiji_select_ashes_remove")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_ashes_remove(Guiji_funeral6_ashes_remove_Bean bean) {
        ResultModel r = guiji_funeral_service.select_ashes_remove(bean);
        return r;
    }
}
