package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Gas_Service;
import com.sooka.service.Guiji_Medicine_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling
public class Guiji_Gas extends BaseApi {

    @Autowired
    Guiji_Gas_Service guiji_gas_service;


    //-----------------------------市燃气接口--------------------------------------------------

    /**
     * 真兰收费系统 - 用户信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Zenner_user_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_user_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Zenner_user_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 真兰收费系统 - 用户信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Zenner_user_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_user_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Zenner_user_infor(str);
        return r;
    }

    /**
     * 真兰收费系统 - 表具信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Zenner_gas_meter_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Zenner_gas_meter_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 真兰收费系统 - 表具信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Zenner_gas_meter_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_gas_meter_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Zenner_gas_meter_infor(str);
        return r;
    }

    /**
     * 真兰收费系统 - 预付费购气信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Zenner_gas_purchase_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Zenner_gas_purchase_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 真兰收费系统 - 预付费购气信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Zenner_gas_purchase_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_gas_purchase_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Zenner_gas_purchase_infor(str);
        return r;
    }

    /**
     * 真兰收费系统 - 中心计费购气信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Zenner_gas_purchase_center_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_gas_purchase_center_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Zenner_gas_purchase_center_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 真兰收费系统 - 中心计费购气信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Zenner_gas_purchase_center_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_gas_purchase_center_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Zenner_gas_purchase_center_infor(str);
        return r;
    }

    /**
     * 真兰收费系统 - 抄表信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Zenner_meter_reading_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Zenner_meter_reading_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 真兰收费系统 - 抄表信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Zenner_meter_reading_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Zenner_meter_reading_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Zenner_meter_reading_infor(str);
        return r;
    }

    /**
     * 奥枫收费系统 - 用户信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Aofe_user_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Aofe_user_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Aofe_user_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 奥枫收费系统 - 用户信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Aofe_user_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Aofe_user_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Aofe_user_infor(str);
        return r;
    }

    /**
     * 奥枫收费系统 - 表具信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Aofe_gas_meter_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Aofe_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Aofe_gas_meter_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 奥枫收费系统 - 表具信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Aofe_gas_meter_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Aofe_gas_meter_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Aofe_gas_meter_infor(str);
        return r;
    }

    /**
     * 奥枫收费系统 - 购气信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Aofe_gas_purchase_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Aofe_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Aofe_gas_purchase_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 奥枫收费系统 - 购气信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Aofe_gas_purchase_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Aofe_gas_purchase_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Aofe_gas_purchase_infor(str);
        return r;
    }

    /**
     * 奥枫收费系统 - 抄表信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_Aofe_meter_reading_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Aofe_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_Aofe_meter_reading_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 奥枫收费系统 - 抄表信息 （内网）
     */
    @POST
    @Path("/guiji_gas_Aofe_meter_reading_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_Aofe_meter_reading_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_Aofe_meter_reading_infor(str);
        return r;
    }

    /**
     * 秦川业务系统 - 用户信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_qinchuan_user_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_qinchuan_user_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_qinchuan_user_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 秦川业务系统 - 用户信息 （内网）
     */
    @POST
    @Path("/guiji_gas_qinchuan_user_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_qinchuan_user_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_qinchuan_user_infor(str);
        return r;
    }

    /**
     * 思凯收费系统 - 用户信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_SC_user_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_SC_user_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_SC_user_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 思凯收费系统 - 用户信息 （内网）
     */
    @POST
    @Path("/guiji_gas_SC_user_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_SC_user_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_SC_user_infor(str);
        return r;
    }

    /**
     * 思凯收费系统 - 表具信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_SC_gas_meter_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_SC_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_SC_gas_meter_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 思凯收费系统 - 表具信息 （内网）
     */
    @POST
    @Path("/guiji_gas_SC_gas_meter_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_SC_gas_meter_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_SC_gas_meter_infor(str);
        return r;
    }

    /**
     * 思凯收费系统 - 购气信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_SC_gas_purchase_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_SC_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_SC_gas_purchase_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 思凯收费系统 - 购气信息 （内网）
     */
    @POST
    @Path("/guiji_gas_SC_gas_purchase_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_SC_gas_purchase_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_SC_gas_purchase_infor(str);
        return r;
    }

    /**
     * 思凯收费系统 - 抄表信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_SC_meter_reading_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_SC_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_SC_meter_reading_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 思凯收费系统 - 抄表信息 （内网）
     */
    @POST
    @Path("/guiji_gas_SC_meter_reading_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_SC_meter_reading_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_SC_meter_reading_infor(str);
        return r;
    }

    /**
     * 鑫科客户系统 - 客户信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_XinKer_user_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_XinKer_user_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_XinKer_user_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 鑫科客户系统 - 客户信息 （内网）
     */
    @POST
    @Path("/guiji_gas_XinKer_user_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_XinKer_user_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_XinKer_user_infor(str);
        return r;
    }

    /**
     * 鑫科客户系统 - 受理信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_XinKer_acceptance_infor")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_XinKer_acceptance_infor(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_XinKer_acceptance_infor_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 鑫科客户系统 - 受理信息 （内网）
     */
    @POST
    @Path("/guiji_gas_XinKer_acceptance_infor_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_XinKer_acceptance_infor_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_XinKer_acceptance_infor(str);
        return r;
    }

    /**
     * 鑫科客户系统 - 处理信息 （互联网）
     */
    @POST
    @Path("/guiji_gas_XinKer_disposition_info")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_XinKer_disposition_info(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_gas_XinKer_disposition_info_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 鑫科客户系统 - 处理信息 （内网）
     */
    @POST
    @Path("/guiji_gas_XinKer_disposition_info_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_gas_XinKer_disposition_info_forward(String str) {
        ResultModel r = guiji_gas_service.guiji_gas_XinKer_disposition_info(str);
        return r;
    }


    /**
     * 查询接口
     */

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-用户信息
     */
    @POST
    @Path("/guiji_select_gas_Zenner_user_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Zenner_user_infor(Guiji_gas1_Zenner_user_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Zenner_user_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-表具信息
     */
    @POST
    @Path("/guiji_select_gas_Zenner_gas_meter_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Zenner_gas_meter_infor(Guiji_gas2_Zenner_gas_meter_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Zenner_gas_meter_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-预付费购气信息
     */
    @POST
    @Path("/guiji_select_gas_Zenner_gas_purchase_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Zenner_gas_purchase_infor(Guiji_gas3_Zenner_gas_purchase_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Zenner_gas_purchase_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-抄表信息
     */
    @POST
    @Path("/guiji_select_gas_Zenner_meter_reading_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Zenner_meter_reading_infor(Guiji_gas4_Zenner_meter_reading_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Zenner_meter_reading_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-中心计费购气信息
     */
    @POST
    @Path("/guiji_select_gas_Zenner_gas_purchase_center_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Zenner_gas_purchase_center_infor(Guiji_gas3_Zenner_gas_purchase_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Zenner_gas_purchase_center_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 奥枫收费系统-用户信息
     */
    @POST
    @Path("/guiji_select_gas_Aofe_user_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Aofe_user_infor(Guiji_gas5_Aofe_user_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Aofe_user_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 奥枫收费系统-表具信息
     */
    @POST
    @Path("/guiji_select_gas_Aofe_gas_meter_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Aofe_gas_meter_infor(Guiji_gas6_Aofe_gas_meter_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Aofe_gas_meter_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 奥枫收费系统-购气信息
     */
    @POST
    @Path("/guiji_select_gas_Aofe_gas_purchase_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Aofe_gas_purchase_infor(Guiji_gas7_Aofe_gas_purchase_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Aofe_gas_purchase_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 奥枫收费系统-抄表信息
     */
    @POST
    @Path("/guiji_select_gas_Aofe_meter_reading_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_Aofe_meter_reading_infor(Guiji_gas8_Aofe_meter_reading_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_Aofe_meter_reading_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 秦川业务系统-用户信息
     */
    @POST
    @Path("/guiji_select_gas_qinchuan_user_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_qinchuan_user_infor(Guiji_gas9_qinchuan_user_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_qinchuan_user_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 思凯收费系统-用户信息
     */
    @POST
    @Path("/guiji_select_gas_SC_user_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_SC_user_infor(Guiji_gas10_SC_user_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_SC_user_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 思凯收费系统-表具信息
     */
    @POST
    @Path("/guiji_select_gas_SC_gas_meter_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_SC_gas_meter_infor(Guiji_gas11_SC_gas_meter_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_SC_gas_meter_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 思凯收费系统-购气信息
     */
    @POST
    @Path("/guiji_select_gas_SC_gas_purchase_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_SC_gas_purchase_infor(Guiji_gas12_SC_gas_purchase_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_SC_gas_purchase_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 思凯收费系统-抄表信息
     */
    @POST
    @Path("/guiji_select_gas_SC_meter_reading_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_SC_meter_reading_infor(Guiji_gas13_SC_meter_reading_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_SC_meter_reading_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 鑫科客户系统-客户信息
     */
    @POST
    @Path("/guiji_select_gas_XinKer_user_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_XinKer_user_infor(Guiji_gas14_XinKer_user_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_XinKer_user_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 鑫科客户系统-受理信息
     */
    @POST
    @Path("/guiji_select_gas_XinKer_acceptance_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_XinKer_acceptance_infor(Guiji_gas15_XinKer_acceptance_infor_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_XinKer_acceptance_infor(bean);
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 鑫科客户系统-处理信息
     */
    @POST
    @Path("/guiji_select_gas_XinKer_disposition_infor")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_gas_XinKer_disposition_infor(Guiji_gas16_XinKer_disposition_info_Bean bean) {
        ResultModel r = guiji_gas_service.select_gas_XinKer_disposition_infor(bean);
        return r;
    }
}
