package com.sooka.api;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.Guiji_housingconstruction_yhjjxx_Bean;
import com.sooka.model.bo.Guiji_library_baseinfo_Bean;
import com.sooka.service.Guiji_Housingconstruction_Service;
import com.sooka.utils.HttpUtil;
import com.sooka.utils.HttpUtil2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Path("/")
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling
public class Guiji_Housingconstruction extends BaseApi {

    @Autowired
    Guiji_Housingconstruction_Service guiji_housingconstruction_service;

    /**
     * 昨夜星辰昨夜风
     * 画廊西畔桂堂东
     * 身无彩凤双飞翼
     * 心有灵犀一点通
     *
     * 寻找附件-有缘人@阿弥陀佛
     */
    //-----------------------------住建自来水营收- 扎小辫（微信）--------------------------------------------------
    /**
     * 昨夜雨疏风骤，
     * 浓睡不消残酒。
     * 试问卷帘人，
     * 却道海棠依旧。
     * 知否，
     * 知否？
     * 应是绿肥红瘦。
     */
    @POST
    @Path("/guiji_housingconstruction_yhjbxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel yhjbxx(String str) {
        System.out.println("yhjbxx:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_housingconstruction_yhjbxx_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }


    @POST
    @Path("/guiji_housingconstruction_yhjbxx_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel forward_guiji_housingconstruction_yhjbxx(String str) {
        System.out.println("yhjbxx_forward:" + str);
        ResultModel r = guiji_housingconstruction_service.add_guiji_housingconstruction_yhjbxx(str);
        return r;
    }
//----------------------------------------------------------------------------------------

    //用水量检测
    @POST
    @Path("/guiji_housingconstruction_ysljc")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel ysljc(String str) {
        System.out.println("ysljc:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_housingconstruction_ysljc_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    //用水量检测
    @POST
    @Path("/guiji_housingconstruction_ysljc_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_housingconstruction_ysljc_forward(String str) {
        System.out.println("ysljc_forward:" + str);
        ResultModel r = guiji_housingconstruction_service.add_guiji_housingconstruction_ysljc(str);

        return r;
    }

    //自来水客服热线
    @POST
    @Path("/guiji_housingconstruction_zlskfrx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel zlskfrx(String str) {
        System.out.println("zlskfrx:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_housingconstruction_zlskfrx_forward", str, null);
            r.setCode(00000);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    @POST
    @Path("/guiji_housingconstruction_zlskfrx_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_housingconstruction_zlskfrx_forward(String str) {
        System.out.println("zlskfrx_forward:" + str);
        ResultModel r = guiji_housingconstruction_service.add_guiji_housingconstruction_zlskfrx(str);
        return r;
    }

    //自来水营收

    @POST
    @Path("/guiji_housingconstruction_ysxt")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel ys(String str) {
        System.out.println("ysxt:" + str);
        ResultModel r = new ResultModel();
        r.setCode(00000);
        r.setMessage("成功");
        return r;
    }

    @POST
    @Path("/forward_guiji_housingconstruction_ysxt")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel forward_guiji_housingconstruction_ys(String str) {
        System.out.println("ysxt:" + str);
        ResultModel r = new ResultModel();
        r.setCode(00000);
        r.setMessage("成功");
        return r;
    }


    //住建热力-------------------------------2个接口
    @POST
    @Path("/guiji_housingconstruction_hqhrzzxsjjk")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_housingconstruction_hqhrzzxsjjk(String str) {
        System.out.println("hqhrzzxsjjk获取换热站最新数据接口:" + str);
        ResultModel r = new ResultModel();
        r.setCode(00000);
        r.setMessage("成功");
        return r;
    }

    @POST
    @Path("/guiji_housingconstruction_hqryzxsjjk")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_housingconstruction_hqryzxsjjk(String str) {
        System.out.println("hqryzxsjjk获取热源最新数据接口:" + str);
        ResultModel r = new ResultModel();
        r.setCode(00000);
        r.setMessage("成功");
        return r;
    }

    //住建热力-主动请求-----------------------------------------------------
    String heat_token;
    //token使用时间8小时
    Date heat_token_time;
    Map head = new HashMap();


    public String getHeatToken() {
        if (heat_token == null || heat_token_time == null || new Date().getTime() - heat_token_time.getTime() >= 1000 * 60 * 60 * 8) {
            //token过期重新获得
            String params = "{\"username\":\"apiuser\",\"password\":\"thhtrl_psd*2021\"}";
            String result = HttpUtil.doPost("http://222.160.143.205:28080/api/auth/login", params, null);
            JSONObject jsonObject = JSON.parseObject(result);
            if (jsonObject.getString("status").equals("1")) {
                JSONObject data = jsonObject.getJSONObject("data");
                heat_token = data.getString("token");
                head.put("Authorization", heat_token);
//                System.out.println("heat_token:" + heat_token);
            }
        }
        return heat_token;
    }

    //获取换热站最新数据接口
    @Value("${project.setting.env}")
    private String env;

    final String scheduTime = "0 0 0-23 * * ?";//互联网使用 政务外网需要注释掉
//    final String scheduTime = "0 06 22 * * ?";//本地测试使用

    @Scheduled(cron = scheduTime)//互联网使用 政务外网需要注释掉 不然报错
    public ResultModel guiji_housingconstruction_hqhrzzxsjjk() {
        getHeatToken();
        String str = HttpUtil.doGet("http://222.160.143.205:28080/api/realtime/data", null, head);
        System.out.println("guiji_housingconstruction_hqrzzxsjjk:" + str);
        ResultModel r = new ResultModel();
        if (env != null && env.equals("internate")) {
            try {
                HttpUtil.doPost(forward_url + "/api/guiji_housingconstruction_hqhrzzxsjjk_forward", str, null);
//                this.guiji_housingconstruction_hqhrzzxsjjk_forward(str);//本地测试使用
                r.setCode(00000);
                r.setMessage("成功");
            } catch (Exception e) {
                e.printStackTrace();
                r.setCode(99999);
                r.setMessage("失败" + e.getMessage());
            }
            r.setCode(00000);
            r.setMessage("成功");
        }
        return r;

    }

    @POST
    @Path("/guiji_housingconstruction_hqhrzzxsjjk_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_housingconstruction_hqhrzzxsjjk_forward(String str) {
        ResultModel r = guiji_housingconstruction_service.add_guiji_housingconstruction_hqrlsj(str, "1");
        return r;
    }


    //获取热源最新数据接口
    @Scheduled(cron = scheduTime)//互联网使用 政务外网需要注释掉 不然报错
    public ResultModel guiji_housingconstruction_hqryzxsjjk() {
        getHeatToken();
        String str = HttpUtil.doGet("http://222.160.143.205:28080/api/realtime/source", null, head);
        System.out.println("guiji_housingconstruction_hqryzxsjjk:" + str);
        ResultModel r = new ResultModel();
        if (env != null && env.equals("internate")) {
            try {
                HttpUtil.doPost(forward_url + "/api/guiji_housingconstruction_hqryzxsjjk_forward", str, null);
//                this.guiji_housingconstruction_hqryzxsjjk_forward(str);//本地测试使用
                r.setCode(00000);
                r.setMessage("成功");
            } catch (Exception e) {
                e.printStackTrace();
                r.setCode(99999);
                r.setMessage("失败" + e.getMessage());
            }
            r.setCode(00000);
            r.setMessage("成功");
        }
        return r;
    }

    @POST
    @Path("/guiji_housingconstruction_hqryzxsjjk_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_housingconstruction_hqryzxsjjk_forward(String str) {
        ResultModel r = guiji_housingconstruction_service.add_guiji_housingconstruction_hqrlsj(str, "2");
        return r;
    }

//    public static void main(String[] args) {
//        Guiji_Housingconstruction guiji_housingconstruction = new Guiji_Housingconstruction();
//        guiji_housingconstruction.guiji_housingconstruction_hqrzzxsjjk();
//        guiji_housingconstruction.guiji_housingconstruction_hqryzxsjjk();
//    }

    //----------------------------------
    @POST
    @Path("/guiji_housingconstruction_yhjbxx_select")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_housingconstruction_yhjbxx_select(Guiji_housingconstruction_yhjjxx_Bean bean) {
        ResultModel r = guiji_housingconstruction_service.select_guiji_housingconstruction_yhjbxx(bean);
        return r;
    }


}
