package com.sooka.api;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.Guiji_library_baseinfo_Bean;
import com.sooka.model.bo.Guiji_library_borrow_Bean;
import com.sooka.model.bo.Guiji_library_creditpoints_Bean;
import com.sooka.model.bo.Guiji_library_give_Bean;
import com.sooka.model.vo.PeoplemarryInfodouble_VO;
import com.sooka.service.Guiji_Library_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("/")
public class Guiji_Library extends BaseApi {


    @Autowired
    Guiji_Library_Service guiji_library_service;


    //503033


    //人员基本信息
    @POST
    @Path("/guiji_library_baseinfo")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel baseinfo(String str) {
        System.out.println("baseinfo:" + str);

        ResultModel r = guiji_library_service.add_guiji_library_baseinfo(str);
        return r;
    }

    //图书借
    @POST
    @Path("/guiji_library_borrow")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel borrow(String str) {
        System.out.println("borrow:" + str);
//        ResultModel r = new ResultModel();
//        r.setCode(00000);
//        r.setMessage("成功");
//
//        Guiji_library_borrow_Bean bean = new Guiji_library_borrow_Bean();
//        JSONObject jsonObject = JSON.parseObject(str);
//        bean.setId(jsonObject.getString("id"));
//        bean.setCd_time(jsonObject.getString("cd_time"));
//        bean.setCd_batch(jsonObject.getString("cd_batch"));
//        bean.setCd_operation(jsonObject.getString("cd_operation"));
//        bean.setCd_source(jsonObject.getString("cd_source"));
//        JSONObject Data = jsonObject.getJSONObject("Data");
//
//        bean.setCardno(Data.getString("cardno"));
//        bean.setName(Data.getString("name"));
//        bean.setBarcode(Data.getString("barcode"));
//        bean.setTitle(Data.getString("title"));
//        bean.setOperationDate(Data.getString("operationDate"));

        ResultModel r = guiji_library_service.add_guiji_library_borrow(str);
        return r;
    }

    //图书还
    @POST
    @Path("/guiji_library_give")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel give(String str) {
        System.out.println("give:" + str);
//        ResultModel r = new ResultModel();
//        r.setCode(00000);
//        r.setMessage("成功");
//        Guiji_library_give_Bean bean = new Guiji_library_give_Bean();
//        JSONObject jsonObject = JSON.parseObject(str);
//        bean.setId(jsonObject.getString("id"));
//        bean.setCd_time(jsonObject.getString("cd_time"));
//        bean.setCd_batch(jsonObject.getString("cd_batch"));
//        bean.setCd_operation(jsonObject.getString("cd_operation"));
//        bean.setCd_source(jsonObject.getString("cd_source"));
//        JSONObject Data = jsonObject.getJSONObject("Data");
//
//        bean.setCardno(Data.getString("cardno"));
//        bean.setName(Data.getString("name"));
//        bean.setBarcode(Data.getString("barcode"));
//        bean.setTitle(Data.getString("title"));
//        bean.setOperationDate(Data.getString("operationDate"));

        ResultModel r = guiji_library_service.add_guiji_library_give(str);
        return r;
    }

    //信用积分
    @POST
    @Path("/guiji_library_creditpoints")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel creditpoints(String str) {
        System.out.println("creditpoints:" + str);
//        ResultModel r = new ResultModel();
//        r.setCode(00000);
//        r.setMessage("成功");
//        Guiji_library_creditpoints_Bean bean = new Guiji_library_creditpoints_Bean();
//        JSONObject jsonObject = JSON.parseObject(str);
//        bean.setId(jsonObject.getString("id"));
//        bean.setCd_time(jsonObject.getString("cd_time"));
//        bean.setCd_batch(jsonObject.getString("cd_batch"));
//        bean.setCd_operation(jsonObject.getString("cd_operation"));
//        bean.setCd_source(jsonObject.getString("cd_source"));
//        JSONObject Data = jsonObject.getJSONObject("Data");
//
//        bean.setCardno(Data.getString("cardno"));
//        bean.setName(Data.getString("name"));
//        bean.setBarcode(Data.getString("barcode"));
//        bean.setRecordType(Data.getString("recordType"));
//        bean.setFinancialType(Data.getString("financialType"));
//        bean.setMoney(Data.getString("money"));
//        bean.setOperator(Data.getString("operator"));
//        bean.setOperationDate(Data.getString("operationDate"));


        ResultModel r = guiji_library_service.add_creditpoints(str);
        return r;
    }

    //-----------------------------------------------
    @POST
    @Path("/guiji_library_baseinfo_select")
//     指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_library_baseinfo_select(Guiji_library_baseinfo_Bean bean) {
        return guiji_library_service.select_guiji_library_baseinfo(bean);
    }

    @POST
    @Path("/guiji_library_borrow_select")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_library_borrow_select(Guiji_library_borrow_Bean bean) {
        return guiji_library_service.select_guiji_library_borrow(bean);
    }

    @POST
    @Path("/guiji_library_give_select")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_library_give_select(Guiji_library_give_Bean bean) {
        return guiji_library_service.select_guiji_library_give(bean);
    }
    @POST
    @Path("/guiji_library_creditpoints_select")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_library_creditpoints_select(Guiji_library_creditpoints_Bean bean) {
        return guiji_library_service.select_guiji_library_creditpoints(bean);
    }

}
