package com.sooka.api;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Medicine_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Path("/")
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling
public class Guiji_Medicine extends BaseApi {

    @Autowired
    Guiji_Medicine_Service guiji_medicine_service;


    //-----------------------------市医食药接口--------------------------------------------------

    /**
     * 通化部门数据 - 种植采集数据 （互联网）
     */
    @POST
    @Path("/guiji_medicine_dept_data_plant")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_medicine_dept_data_plant(String str) {
        System.out.println("A guiji_medicine_dept_data:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_medicine_dept_data_plant_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 通化部门数据 - 种植采集数据 （内网）
     */
    @POST
    @Path("/guiji_medicine_dept_data_plant_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_medicine_dept_data_forward(String str) {
        System.out.println("B guiji_medicine_dept_data_plant_forward:" + str);
        ResultModel r = guiji_medicine_service.guiji_medicine_dept_data(str);
        return r;
    }

    /**
     * 通化部门数据 - 平台采集 （互联网）
     */
    @POST
    @Path("/guiji_medicine_dept_data_platform")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_medicine_dept_data_platform(String str) {
        System.out.println("A guiji_medicine_dept_data_platform:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_medicine_dept_data_platform_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 通化部门数据 - 平台采集 （内网）
     */
    @POST
    @Path("/guiji_medicine_dept_data_platform_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_medicine_dept_data_platform_forward(String str) {
        System.out.println("B guiji_medicine_dept_data_platform_forward:" + str);
        ResultModel r = guiji_medicine_service.guiji_medicine_dept_data2(str);
        return r;
    }

    /**
     * 通化部门数据 - 项目采集 （互联网）
     */
    @POST
    @Path("/guiji_medicine_dept_data_project")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_medicine_dept_data_project(String str) {
        System.out.println("A guiji_medicine_dept_data_project:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_medicine_dept_data_project_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 通化部门数据 - 项目采集 （内网）
     */
    @POST
    @Path("/guiji_medicine_dept_data_project_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_medicine_dept_data_project_forward(String str) {
        System.out.println("B guiji_medicine_dept_data_project_forward:" + str);
        ResultModel r = guiji_medicine_service.guiji_medicine_dept_data3(str);
        return r;
    }

    /**
     * 通化部门数据 - 规上工业经济数据 （互联网）
     */
    @POST
    @Path("/guiji_medicine_dept_data_industry")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_medicine_dept_data_industry(String str) {
        System.out.println("A guiji_medicine_dept_data_industry:" + str);
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_medicine_dept_data_industry_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 通化部门数据 - 规上工业经济数据 （内网）
     */
    @POST
    @Path("/guiji_medicine_dept_data_industry_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_medicine_dept_data_industry_forward(String str) {
        System.out.println("B guiji_medicine_dept_data_industry_forward:" + str);
        ResultModel r = guiji_medicine_service.guiji_medicine_dept_data4(str);
        return r;
    }


    /**
     * 查询接口
     */

    /**
     * 市医药
     * @param bean
     * @return 种植采集数据信息
     */
    @POST
    @Path("/guiji_select_medicine_plant")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_medicine_plant(Guiji_medicine_dept_data_Bean bean) {
        ResultModel r = guiji_medicine_service.select_1(bean);
        return r;
    }

    /**
     * 市医药
     * @param bean
     * @return 平台采集
     */
    @POST
    @Path("/guiji_select_medicine_platform")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_medicine_platform(Guiji_medicine_dept_data2_Bean bean) {
        ResultModel r = guiji_medicine_service.select_2(bean);
        return r;
    }

    /**
     * 市医药
     * @param bean
     * @return 项目采集
     */
    @POST
    @Path("/guiji_select_medicine_project")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_medicine_project(Guiji_medicine_dept_data3_Bean bean) {
        ResultModel r = guiji_medicine_service.select_3(bean);
        return r;
    }

    /**
     * 市医药
     * @param bean
     * @return 规上工业经济数据
     */
    @POST
    @Path("/guiji_select_medicine_industry")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_select_medicine_industry(Guiji_medicine_dept_data4_Bean bean) {
        ResultModel r = guiji_medicine_service.select_4(bean);
        return r;
    }
}
