package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.service.Guiji_Public_Resource_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling
public class Guiji_Public_Resource extends BaseApi {

    @Autowired
    Guiji_Public_Resource_Service guiji_public_resource_service;


    //-----------------------------市公共资源接口--------------------------------------------------

    /**
     * 市公共资源-招标公告 （互联网）
     */
    @POST
    @Path("/guiji_public_resource_call_for_bid")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_public_resource_call_for_bid(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_public_resource_call_for_bid_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市公共资源-招标公告 （内网）
     */
    @POST
    @Path("/guiji_public_resource_call_for_bid_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_public_resource_call_for_bid_forward(String str) {
        ResultModel r = guiji_public_resource_service.guiji_public_resource_call_for_bid(str);
        return r;
    }

    /**
     * 市公共资源-变更公告 （互联网）
     */
    @POST
    @Path("/guiji_public_resource_change_the_bid")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_public_resource_change_the_bid(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_public_resource_change_the_bid_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 市公共资源-变更公告 （内网）
     */
    @POST
    @Path("/guiji_public_resource_change_the_bid_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_public_resource_change_the_bid_forward(String str) {
        ResultModel r = guiji_public_resource_service.guiji_public_resource_change_the_bid(str);
        return r;
    }

    /**
     * 归集-市公共资源-中标公告 （互联网）
     */
    @POST
    @Path("/guiji_public_resource_win_the_bid")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_public_resource_win_the_bid(String str) {
        ResultModel r = new ResultModel();
        try {
            HttpUtil.doPost(forward_url + "/api/guiji_public_resource_win_the_bid_forward", str, null);
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }

    /**
     * 归集-市公共资源-中标公告 （内网）
     */
    @POST
    @Path("/guiji_public_resource_win_the_bid_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_public_resource_win_the_bid_forward(String str) {
        ResultModel r = guiji_public_resource_service.guiji_public_resource_win_the_bid(str);
        return r;
    }
}
