package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.Guiji_healthcommission_tjxx_Bean;
import com.sooka.model.bo.Guiji_healthcommission_xx_Bean;
import com.sooka.model.bo.Guiji_healthcommission_yyryxx_Bean;
import com.sooka.service.Guiji_healthcommission_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
public class Guiji_healthcommission extends BaseApi {


    @Autowired
    Guiji_healthcommission_Service guiji_healthcommission_service;

    /**
     * 献血
     * @param str
     * @return
     */
    /**
     guiji_healthcommission_xx:{"Key":"b82addf71cdc456d9fc97915e56013d1","iNumber":"00015","id":"6150104921283000000","cd_time":"\/Date(1631237779371+0800)\/","cd_batch":"2021091000001","cd_operation":"I","cd_source":"503011","Data":{"ID":"6150104921283000000","Name":"¹¢¼ÆÅó","IDCardNum":"13018119881020307X","SexID":"1","Birthday":"\/Date(593280000000+0800)\/","Address":"ºÓ±±Ê¡ÐÁ¼¯ÊÐ¾É³ÇÕò²ËÔ°´å","FMName":",","CHName":"","DonCode":"0050121000000","DonKind":"0","Volume":"600","ABO":"O","RhD":"","CollectDate":"\/Date(1625638053000+0800)\/","CollectPlace":"ÎÄ»¯¹ã³¡²ÉÑªÎÝ","OrganName":null,"OrganTel":null}}

     * @param str
     * @return
     */
    @POST
    @Path("/guiji_healthcommission_xx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel xx(String str) {
        System.out.println("guiji_healthcommission_xx:" + str);
        ResultModel r = new ResultModel();
        try{
            HttpUtil.doPost(forward_url + "/api/guiji_healthcommission_xx_forward", str,null);
            r.setCode(0);
            r.setMessage("成功");
        }catch (Exception e){
            r.setCode(99999);
            r.setMessage("失败"+e.getMessage());
        }
        return r;
    }

    @POST
    @Path("/guiji_healthcommission_xx_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_healthcommission_xx_forward(String str) {
        System.out.println("guiji_healthcommission_xx_forward:" + str);
        ResultModel r = guiji_healthcommission_service.add_guiji_healthcommission_xx(str);
//        recordLog("xxx",request,1);
        return r;
    }

    //健康证-预约人员信息
    @POST
    @Path("/guiji_healthcommission_yyryxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel jkz(String str) {
        System.out.println("guiji_healthcommission_yyryxx:" + str);
        ResultModel r = new ResultModel();
        try{
            HttpUtil.doPost(forward_url + "/api/guiji_healthcommission_yyryxx_forward", str,null);
            r.setCode(0);
            r.setMessage("成功");
        }catch (Exception e){
            r.setCode(99999);
            r.setMessage("失败"+e.getMessage());
        }
        return r;
    }

    @POST
    @Path("/guiji_healthcommission_yyryxx_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_healthcommission_yyryxx_forward(String str) {
        System.out.println("guiji_healthcommission_yyryxx_forward:" + str);
        ResultModel r = guiji_healthcommission_service.add_guiji_healthcommission_yyryxx(str);
        return r;
    }


    //健康证-体检信息
    @POST
    @Path("/guiji_healthcommission_tjxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel tjxx(String str) {
        System.out.println("guiji_healthcommission_tjxx:" + str);
        ResultModel r = new ResultModel();
        try{
            HttpUtil.doPost(forward_url + "/api/guiji_healthcommission_tjxx_forward", str,null);
            r.setCode(0);
            r.setMessage("成功");
        }catch (Exception e){
            r.setCode(99999);
            r.setMessage("失败"+e.getMessage());
        }
        return r;
    }

    @POST
    @Path("/guiji_healthcommission_tjxx_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_healthcommission_tjxx_forward(String str) {
        System.out.println("guiji_healthcommission_tjxx_forward:" + str);
        ResultModel r = guiji_healthcommission_service.add_guiji_healthcommission_tjxx(str);
        return r;
    }

    //----------------------------------------------------------
    @POST
    @Path("/guiji_healthcommission_xx_select")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_healthcommission_xx_select(Guiji_healthcommission_xx_Bean bean) {
        ResultModel r = guiji_healthcommission_service.select_guiji_healthcommission_xx(bean);
        return r;
    }

    @POST
    @Path("/guiji_healthcommission_tjxx_select")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel guiji_healthcommission_tjxx_select(Guiji_healthcommission_tjxx_Bean bean) {
        ResultModel r = guiji_healthcommission_service.select_guiji_healthcommission_tjxx(bean);
        return r;
    }
}
