package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.Guiji_library_baseinfo_Bean;
import com.sooka.model.bo.Guiji_naturalresources_bdcdjxx_Bean;
import com.sooka.model.bo.Guiji_naturalresources_bdcdjzxx_Bean;
import com.sooka.model.bo.Guiji_naturalresources_qlrjbxx_Bean;
import com.sooka.service.Guiji_naturalresources_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
public class Guiji_naturalresources extends BaseApi {

    @Autowired
    Guiji_naturalresources_Service guiji_naturalresources_service;


    @POST
    @Path("/guiji_naturalresources_qlrjbxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel qlrjbxx(String str) {
        System.out.println("qlrjbxx:" + str);
        return guiji_naturalresources_service.add_guiji_naturalresources_qlrjbxx(str);
    }

    @POST
    @Path("/guiji_naturalresources_bdcdjxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjxx(String str) {
        System.out.println("bdcdjxx:" + str);
        return guiji_naturalresources_service.add_guiji_naturalresources_bdcdjxx(str);
    }

    @POST
    @Path("/guiji_naturalresources_bdcdjzxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjzxx(String str) {
        System.out.println("bdcdjzxx:" + str);
        return guiji_naturalresources_service.add_guiji_naturalresources_bdcdjzxx(str);
    }


    //---------------------------------------------------------------------------------------------------
    @POST
    @Path("/guiji_naturalresources_qlrjbxx_select_geren")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel qlrjbxx_select_genren(Guiji_naturalresources_qlrjbxx_Bean bean) {
        bean.setQLRXZ("个人");
        return guiji_naturalresources_service.qlrjbxx_select(bean);
    }


    @POST
    @Path("/guiji_naturalresources_qlrjbxx_select_qiye")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel qlrjbxx_select_qiye(Guiji_naturalresources_qlrjbxx_Bean bean) {
        bean.setQLRXZ("企业");
        return guiji_naturalresources_service.qlrjbxx_select(bean);
    }

    @POST
    @Path("/guiji_naturalresources_qlrjbxx_select_qita")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel qlrjbxx_select_qita(Guiji_naturalresources_qlrjbxx_Bean bean) {
        bean.setQLRXZ("其他");
        return guiji_naturalresources_service.qlrjbxx_select(bean);
    }


    /**
     * 不动产登记信息
     * @param bean
     * @return
     */
    @POST
    @Path("/guiji_naturalresources_bdcdjxx_select_zhuzhai")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjxx_select_zhuzhai(Guiji_naturalresources_bdcdjxx_Bean bean) {
        bean.setGHYT("住宅");
        return guiji_naturalresources_service.bdcdjxx_select(bean);
    }
    @POST
    @Path("/guiji_naturalresources_bdcdjxx_select_bangongg")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjxx_select_bangong(Guiji_naturalresources_bdcdjxx_Bean bean) {
        bean.setGHYT("办公");
        return guiji_naturalresources_service.bdcdjxx_select(bean);
    }
    @POST
    @Path("/guiji_naturalresources_bdcdjxx_select_shangyefuwu")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjxx_select_shangyefuwu(Guiji_naturalresources_bdcdjxx_Bean bean) {
        bean.setGHYT("商业服务");
        return guiji_naturalresources_service.bdcdjxx_select(bean);
    }
    @POST
    @Path("/guiji_naturalresources_bdcdjxx_select_qita")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjxx_select_qita(Guiji_naturalresources_bdcdjxx_Bean bean) {
        bean.setGHYT("其他");
        return guiji_naturalresources_service.bdcdjxx_select(bean);
    }


    @POST
    @Path("/guiji_naturalresources_bdcdjzxx_select_zhuzhai")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjzxx_select_zhuzhai(Guiji_naturalresources_bdcdjzxx_Bean bean) {
        bean.setYT("住宅");
        return guiji_naturalresources_service.bdcdjzxx_select(bean);
    }


    @POST
    @Path("/guiji_naturalresources_bdcdjzxx_select_bangong")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjzxx_select_bangong(Guiji_naturalresources_bdcdjzxx_Bean bean) {
        bean.setYT("办公");
        return guiji_naturalresources_service.bdcdjzxx_select(bean);
    }
    @POST
    @Path("/guiji_naturalresources_bdcdjzxx_select_shangyewufu")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjzxx_select_shangyewufu(Guiji_naturalresources_bdcdjzxx_Bean bean) {
        bean.setYT("商业服务");
        return guiji_naturalresources_service.bdcdjzxx_select(bean);
    }
    @POST
    @Path("/guiji_naturalresources_bdcdjzxx_select_qita")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel bdcdjzxx_select_qita(Guiji_naturalresources_bdcdjzxx_Bean bean) {
        bean.setYT("其他");
        return guiji_naturalresources_service.bdcdjzxx_select(bean);
    }
//
//    /**
//     * 不动产登记证信息
//     * @param bean
//     * @return
//     */
//    @POST
//    @Path("/guiji_naturalresources_bdcdjzxx_select")
//    // 指定请求与返回的相应体为JSON
//    @Consumes(MediaType.APPLICATION_JSON)
//    @Produces(MediaType.APPLICATION_JSON)
//    public ResultModel bdcdjzxx_select(Guiji_naturalresources_qlrjbxx_Bean bean) {
//        return null;
//    }
}
