package com.sooka.api_sp.province_1_labor_contract.service.impl;


import com.alibaba.fastjson.JSONObject;
import com.sooka.api_sp.province_1_labor_contract.domain.*;
import com.sooka.api_sp.province_1_labor_contract.service.SP_LaborContract_Service;
import com.sooka.model.ResultModel;
import com.sooka.service.impl.ABaseService_SP;
import com.sooka.utils.HttpUtil;
import com.sooka.utils.HttpUtil2;
import org.apache.commons.lang.StringEscapeUtils;
import org.springframework.stereotype.Service;

@Service
public class SP_LaborContract_ServiceImpl extends ABaseService_SP implements SP_LaborContract_Service {


    /**
     * 劳动备案信息---劳动合同新订备案信息（新）参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getLaborContractNewRecordInfoListQuery(SP_1_LaborContractNewRecordInfoListQuery_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
//        String page = vo.getPage();
//        String size = vo.getSize();
        String idcardNo = vo.getIdcardNo();
//        if(page == null || page.equals("")){
//            bean.setCode("201");
//            bean.setMessage("page不能为空!");
//            bean.setResult("page null error!");
//            return ResultModel.ok(bean);
//        }
//        if(size == null || size.equals("")){
//            bean.setCode("202");
//            bean.setMessage("size不能为空!");
//            bean.setResult("size null error!");
//            return ResultModel.ok(bean);
//        }
        if(idcardNo == null || idcardNo.equals("")){
            bean.setCode("203");
            bean.setMessage("idcardNo不能为空!");
            bean.setResult("idcardNo null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
//                "\"page\":\"" + vo.getPage() + "\"," +
//                "\"size\":\"" + vo.getSize() + "\"," +
                "\"idcardNo\":\"" + vo.getIdcardNo() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil.doPost(baseurl_sp + "/api/social/getLaborContractNewRecordInfoListQuery", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
//                JSONObject data_obj = JSON.parseObject(data);
//                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setMessage("message!");
//                bean.setResult(r);
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    /**
     * 劳动备案信息---劳动合同新订备案信息（新）参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getLaborContractRenewRecordInfoListQuery(SP_2_LaborContractRenewRecordInfoListQuery_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
//        String page = vo.getPage();
//        String size = vo.getSize();
        String idcardNo = vo.getIdcardNo();
//        if(page == null || page.equals("")){
//            bean.setCode("201");
//            bean.setMessage("page不能为空!");
//            bean.setResult("page null error!");
//            return ResultModel.ok(bean);
//        }
//        if(size == null || size.equals("")){
//            bean.setCode("202");
//            bean.setMessage("size不能为空!");
//            bean.setResult("size null error!");
//            return ResultModel.ok(bean);
//        }
        if(idcardNo == null || idcardNo.equals("")){
            bean.setCode("203");
            bean.setMessage("idcardNo不能为空!");
            bean.setResult("idcardNo null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
//                "\"page\":\"" + vo.getPage() + "\"," +
//                "\"size\":\"" + vo.getSize() + "\"," +
                "\"idcardNo\":\"" + vo.getIdcardNo() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/getLaborContractRenewRecordInfoListQuery", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
//                JSONObject data_obj = JSON.parseObject(data);
//                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setMessage("message!");
//                bean.setResult(r);
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    /**
     * 劳动备案信息---劳动合同新订备案信息（新）参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getLaborContractCancelRecordBookListQuery(SP_3_LaborContractCancelRecordBookListQuery_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
        String page = vo.getPage();
        String size = vo.getSize();
        String unitName = vo.getUnitName();
        if(page == null || page.equals("")){
            bean.setCode("201");
            bean.setMessage("page不能为空!");
            bean.setResult("page null error!");
            return ResultModel.ok(bean);
        }
        if(size == null || size.equals("")){
            bean.setCode("202");
            bean.setMessage("size不能为空!");
            bean.setResult("size null error!");
            return ResultModel.ok(bean);
        }
        if(unitName == null || unitName.equals("")){
            bean.setCode("203");
            bean.setMessage("unitName不能为空!");
            bean.setResult("unitName null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"page\":\"" + vo.getPage() + "\"," +
                "\"size\":\"" + vo.getSize() + "\"," +
                "\"unitName\":\"" + vo.getUnitName() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/getLaborContractCancelRecordBookListQuery", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
//                JSONObject data_obj = JSON.parseObject(data);
//                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setMessage("message!");
//                bean.setResult(r);
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    /**
     * 劳动备案信息---劳动合同新订备案信息（新）参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getLaborContractNewRecordBookListQuery(SP_4_LaborLaborContractNewRecordBookListQuery_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
        String page = vo.getPage();
        String size = vo.getSize();
        String unitName = vo.getUnitName();
        if(page == null || page.equals("")){
            bean.setCode("201");
            bean.setMessage("page不能为空!");
            bean.setResult("page null error!");
            return ResultModel.ok(bean);
        }
        if(size == null || size.equals("")){
            bean.setCode("202");
            bean.setMessage("size不能为空!");
            bean.setResult("size null error!");
            return ResultModel.ok(bean);
        }
        if(unitName == null || unitName.equals("")){
            bean.setCode("203");
            bean.setMessage("unitName不能为空!");
            bean.setResult("unitName null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"page\":\"" + vo.getPage() + "\"," +
                "\"size\":\"" + vo.getSize() + "\"," +
                "\"unitName\":\"" + vo.getUnitName() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/social/getLaborContractNewRecordBookListQuery", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
//                JSONObject data_obj = JSON.parseObject(data);
//                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setMessage("message!");
//                bean.setResult(r);
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    /**
     * 劳动备案信息---劳动合同新订备案信息（新）参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getLaborContractRenewRecordBookListQuery(SP_5_LaborContractRenewRecordBookListQuery_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
        String page = vo.getPage();
        String size = vo.getSize();
        String unitName = vo.getUnitName();
        if(page == null || page.equals("")){
            bean.setCode("201");
            bean.setMessage("page不能为空!");
            bean.setResult("page null error!");
            return ResultModel.ok(bean);
        }
        if(size == null || size.equals("")){
            bean.setCode("202");
            bean.setMessage("size不能为空!");
            bean.setResult("size null error!");
            return ResultModel.ok(bean);
        }
        if(unitName == null || unitName.equals("")){
            bean.setCode("203");
            bean.setMessage("unitName不能为空!");
            bean.setResult("unitName null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"page\":\"" + vo.getPage() + "\"," +
                "\"size\":\"" + vo.getSize() + "\"," +
                "\"unitName\":\"" + vo.getUnitName() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/getLaborContractRenewRecordBookListQuery", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
//                JSONObject data_obj = JSON.parseObject(data);
//                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setMessage("message!");
//                bean.setResult(r);
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    public static void main(String[] args) {
//        SP_LaborContract_ServiceImpl s = new SP_LaborContract_ServiceImpl();
//        SP_1_LaborContractNewRecordInfoListQuery_VO v = new SP_1_LaborContractNewRecordInfoListQuery_VO();
//        v.setIdcardNo("230811198805284621");
////        v.setNameMan("李明泽");
//        ResultModel r = s.getLaborContractNewRecordInfoListQuery(v);
//        System.out.println(r);
        String json = "{\"code\\\":0,\\\"data\\\":{\\\"list\\\":[{\\\"CERT_NUM_MAN\\\":\\\"22050219750326161X\\\",\\\"CERT_NUM_WOMAN\\\":\\\"220502197705270821\\\",\\\"DEPT_NAME\\\":\\\"东昌区民政局婚姻登记处\\\",\\\"NAME_MAN\\\":\\\"李德胜\\\",\\\"NAME_WOMAN\\\":\\\"吴湘丽\\\",\\\"OP_DATE\\\":\\\"2006-10-20 00:00:00\\\",\\\"OP_TYPE\\\":\\\"IB\\\"},{\\\"CERT_NUM_MAN\\\":\\\"22050219750326161X\\\",\\\"CERT_NUM_WOMAN\\\":\\\"220502197705270821\\\",\\\"DEPT_NAME\\\":\\\"东昌区民政局婚姻登记处\\\",\\\"NAME_MAN\\\":\\\"李德胜\\\",\\\"NAME_WOMAN\\\":\\\"吴湘丽\\\",\\\"OP_DATE\\\":\\\"2006-10-31 00:00:00\\\",\\\"OP_TYPE\\\":\\\"IA\\\"},{\\\"CERT_NUM_MAN\\\":\\\"22050219750326161X\\\",\\\"CERT_NUM_WOMAN\\\":\\\"220502197705270821\\\",\\\"DEPT_NAME\\\":\\\"东昌区民政局婚姻登记处\\\",\\\"NAME_MAN\\\":\\\"李德胜\\\",\\\"NAME_WOMAN\\\":\\\"吴湘丽\\\",\\\"OP_DATE\\\":\\\"2017-04-06 00:00:00\\\",\\\"OP_TYPE\\\":\\\"IB\\\"},{\\\"CERT_NUM_MAN\\\":\\\"22050219750326161X\\\",\\\"CERT_NUM_WOMAN\\\":\\\"220502197705270821\\\",\\\"DEPT_NAME\\\":\\\"东昌区民政局婚姻登记处\\\",\\\"NAME_MAN\\\":\\\"李德胜\\\",\\\"NAME_WOMAN\\\":\\\"吴湘丽\\\",\\\"OP_DATE\\\":\\\"2017-04-18 00:00:00\\\",\\\"OP_TYPE\\\":\\\"IA\\\"},{\\\"CERT_NUM_MAN\\\":\\\"22050219750326161X\\\",\\\"CERT_NUM_WOMAN\\\":\\\"220502197705270821\\\",\\\"DEPT_NAME\\\":\\\"东昌区民政局婚姻登记处\\\",\\\"NAME_MAN\\\":\\\"李德胜\\\",\\\"NAME_WOMAN\\\":\\\"吴湘丽\\\",\\\"OP_DATE\\\":\\\"2023-05-22 09:46:45\\\",\\\"OP_TYPE\\\":\\\"ICA\\\"}]},\\\"status\\\":\\\"success\\\"}";

        System.out.println(json);
        System.out.println(StringEscapeUtils.unescapeJava(json));
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        bean.setResult(StringEscapeUtils.unescapeJava(json));
        ResultModel resultModel = ResultModel.ok(bean);

        System.out.println(resultModel);
        System.out.println(resultModel.getMessage());
        System.out.println(((ResultModel_SP_Bean)resultModel.getData()).getResult());

    }



    /**
     * 6.吉林省-企业登记基本信息 参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getqueryEBaseinfos(SP_6_EBaseinfos_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
//        String page = vo.getPage();
//        String size = vo.getSize();
        String uniscid = vo.getUniscid();
        String entName = vo.getEntName();
//        if(page == null || page.equals("")){
//            bean.setCode("201");
//            bean.setMessage("page不能为空!");
//            bean.setResult("page null error!");
//            return ResultModel.ok(bean);
//        }
//        if(size == null || size.equals("")){
//            bean.setCode("202");
//            bean.setMessage("size不能为空!");
//            bean.setResult("size null error!");
//            return ResultModel.ok(bean);
//        }
        if(uniscid == null || uniscid.equals("")){
            bean.setCode("203");
            bean.setMessage("uniscid不能为空!");
            bean.setResult("uniscid null error!");
            return ResultModel.ok(bean);
        }
        if(entName == null || entName.equals("")){
            bean.setCode("204");
            bean.setMessage("entName不能为空!");
            bean.setResult("entName null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
//                "\"page\":\"" + vo.getPage() + "\"," +
//                "\"size\":\"" + vo.getSize() + "\"," +
                "\"uniscid\":\"" + vo.getUniscid() + "\"," +
                "\"entName\":\"" + vo.getEntName() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/getqueryEBaseinfos", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
//                JSONObject data_obj = JSON.parseObject(data);
//                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setMessage("message!");
//                bean.setResult(r);
//                bean.setResult(data.replace("\\\"", "\""));
//                bean.setResult(StringEscapeUtils.unescapeJava(data));
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    /**
     * 7.契税完税证-数据查询接口 参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getQsWszInfo(SP_7_QsWszInfo_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
//        String page = vo.getPage();
//        String size = vo.getSize();
        String nsrmc = vo.getNsrmc();
        String shxydm = vo.getShxydm();
        String nsrsbh = vo.getNsrsbh();
//        if(page == null || page.equals("")){
//            bean.setCode("201");
//            bean.setMessage("page不能为空!");
//            bean.setResult("page null error!");
//            return ResultModel.ok(bean);
//        }
//        if(size == null || size.equals("")){
//            bean.setCode("202");
//            bean.setMessage("size不能为空!");
//            bean.setResult("size null error!");
//            return ResultModel.ok(bean);
//        }
        if(nsrmc == null || nsrmc.equals("")){
            bean.setCode("203");
            bean.setMessage("nsrmc不能为空!");
            bean.setResult("nsrmc null error!");
            return ResultModel.ok(bean);
        }
        if(shxydm == null || shxydm.equals("")){
            bean.setCode("204");
            bean.setMessage("shxydm不能为空!");
            bean.setResult("shxydm null error!");
            return ResultModel.ok(bean);
        }
        if(nsrsbh == null || nsrsbh.equals("")){
            bean.setCode("205");
            bean.setMessage("nsrsbh不能为空!");
            bean.setResult("nsrsbh null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
//                "\"page\":\"" + vo.getPage() + "\"," +
//                "\"size\":\"" + vo.getSize() + "\"," +
                "\"nsrmc\":\"" + vo.getNsrmc() + "\"," +
                "\"shxydm\":\"" + vo.getShxydm() + "\"," +
                "\"nsrsbh\":\"" + vo.getNsrsbh() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/jptssta/getQsWszInfo", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
//                JSONObject data_obj = JSON.parseObject(data);
//                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setMessage("message!");
//                bean.setResult(r);
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    /**
     * 8.发票信息验证查询-数据查询接口 参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getFpxxxx(SP_8_Fpxxxx_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
//        String page = vo.getPage();
//        String size = vo.getSize();
        String fpdm = vo.getFpdm();
        String fphm = vo.getFphm();
        String kprq = vo.getKprq();
        String je = vo.getJe();
//        if(page == null || page.equals("")){
//            bean.setCode("201");
//            bean.setMessage("page不能为空!");
//            bean.setResult("page null error!");
//            return ResultModel.ok(bean);
//        }
//        if(size == null || size.equals("")){
//            bean.setCode("202");
//            bean.setMessage("size不能为空!");
//            bean.setResult("size null error!");
//            return ResultModel.ok(bean);
//        }
        if(fpdm == null || fpdm.equals("")){
            bean.setCode("203");
            bean.setMessage("fpdm不能为空!");
            bean.setResult("fpdm null error!");
            return ResultModel.ok(bean);
        }
        if(fphm == null || fphm.equals("")){
            bean.setCode("204");
            bean.setMessage("fphm不能为空!");
            bean.setResult("fphm null error!");
            return ResultModel.ok(bean);
        }
        if(kprq == null || kprq.equals("")){
            bean.setCode("205");
            bean.setMessage("kprq不能为空!");
            bean.setResult("kprq null error!");
            return ResultModel.ok(bean);
        }
        if(je == null || je.equals("")){
            bean.setCode("206");
            bean.setMessage("je不能为空!");
            bean.setResult("je null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
//                "\"page\":\"" + vo.getPage() + "\"," +
//                "\"size\":\"" + vo.getSize() + "\"," +
                "\"fpdm\":\"" + vo.getFpdm() + "\"," +
                "\"fphm\":\"" + vo.getFphm() + "\"," +
                "\"kprq\":\"" + vo.getKprq() + "\"," +
                "\"je\":\"" + vo.getJe() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/jlsswj/p01/getFpxxxx/1.0.0", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
//                JSONObject data_obj = JSON.parseObject(data);
//                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setMessage("message!");
//                bean.setResult(r);
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    /**
     * 9.婚姻登记信息-数据查询接口 参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getApi_1680488576658(SP_9_Api_1680488576658_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
//        String page = vo.getPage();
//        String size = vo.getSize();
        String NAME_MAN = vo.getNAME_MAN();
        String NAME_WOMAN = vo.getNAME_WOMAN();
        String CERT_NUM_MAN = vo.getCERT_NUM_MAN();
        String CERT_NUM_WOMAN = vo.getCERT_NUM_WOMAN();
//        if(page == null || page.equals("")){
//            bean.setCode("201");
//            bean.setMessage("page不能为空!");
//            bean.setResult("page null error!");
//            return ResultModel.ok(bean);
//        }
//        if(size == null || size.equals("")){
//            bean.setCode("202");
//            bean.setMessage("size不能为空!");
//            bean.setResult("size null error!");
//            return ResultModel.ok(bean);
//        }
        if(NAME_MAN == null || NAME_MAN.equals("")){
            bean.setCode("203");
            bean.setMessage("NAME_MAN不能为空!");
            bean.setResult("NAME_MAN null error!");
            return ResultModel.ok(bean);
        }
        if(NAME_WOMAN == null || NAME_WOMAN.equals("")){
            bean.setCode("204");
            bean.setMessage("NAME_WOMAN不能为空!");
            bean.setResult("NAME_WOMAN null error!");
            return ResultModel.ok(bean);
        }
        if(CERT_NUM_MAN == null || CERT_NUM_MAN.equals("")){
            bean.setCode("205");
            bean.setMessage("CERT_NUM_MAN不能为空!");
            bean.setResult("CERT_NUM_MAN null error!");
            return ResultModel.ok(bean);
        }
        if(CERT_NUM_WOMAN == null || CERT_NUM_WOMAN.equals("")){
            bean.setCode("206");
            bean.setMessage("CERT_NUM_WOMAN不能为空!");
            bean.setResult("CERT_NUM_WOMAN null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
//                "\"page\":\"" + vo.getPage() + "\"," +
//                "\"size\":\"" + vo.getSize() + "\"," +
                "\"NAME_MAN\":\"" + vo.getNAME_MAN() + "\"," +
                "\"NAME_WOMAN\":\"" + vo.getNAME_WOMAN() + "\"," +
                "\"CERT_NUM_MAN\":\"" + vo.getCERT_NUM_MAN() + "\"," +
                "\"CERT_NUM_WOMAN\":\"" + vo.getCERT_NUM_WOMAN() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/1680488576658", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setResult(StringEscapeUtils.unescapeJava(data));
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }





    /**
     * 11.吉林省不动产权证查询接口 参数
     * @param vo
     * @return
     */
    @Override
    public ResultModel getDataNew(SP_11_DataNew_VO vo) {
        ResultModel_SP_Bean bean = new ResultModel_SP_Bean();
        // 参数校验
//        String page = vo.getPage();
//        String size = vo.getSize();
        String obligeeName = vo.getObligeeName();
        String obligeeNameIdCardNo = vo.getObligeeNameIdCardNo();
//        if(page == null || page.equals("")){
//            bean.setCode("201");
//            bean.setMessage("page不能为空!");
//            bean.setResult("page null error!");
//            return ResultModel.ok(bean);
//        }
//        if(size == null || size.equals("")){
//            bean.setCode("202");
//            bean.setMessage("size不能为空!");
//            bean.setResult("size null error!");
//            return ResultModel.ok(bean);
//        }
        if(obligeeName == null || obligeeName.equals("")){
            bean.setCode("203");
            bean.setMessage("obligeeName 不能为空!");
            bean.setResult("obligeeName null error!");
            return ResultModel.ok(bean);
        }
        if(obligeeNameIdCardNo == null || obligeeNameIdCardNo.equals("")){
            bean.setCode("204");
            bean.setMessage("obligeeNameIdCardNo 不能为空!");
            bean.setResult("obligeeNameIdCardNo null error!");
            return ResultModel.ok(bean);
        }
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
//                "\"page\":\"" + vo.getPage() + "\"," +
//                "\"size\":\"" + vo.getSize() + "\"," +
                "\"obligeeName\":\"" + obligeeName + "\"," +
                "\"obligeeNameIdCardNo\":\"" + obligeeNameIdCardNo + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getVersion() + "\"" +
                "}";
        String result = "";

        try {
            result = HttpUtil2.doPost(baseurl_sp + "/api/getData/new", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
                bean.setCode(code);
                bean.setMessage(message);
//                bean.setResult(StringEscapeUtils.unescapeJava(data));
//                LinkedHashMap<String, Object> result = new JSONParser(requestParam).parseObject();
//                bean.setResult(JSONObject.parseObject(data));
//                bean.setResult(data);
                bean.setResult(result);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

}
