package com.sooka.base;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.sooka.model.bo.Guiji_library_baseinfo_Bean;
import com.sooka.model.bo.TUInterfaceinfo;
import com.sooka.model.bo.TULog;
import com.sooka.system.mapper.TUInterfaceinfoMapper;
import com.sooka.system.mapper.TULogMapper;
import com.sooka.utils.HttpUtil;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.SecurityContext;
import java.util.UUID;

public class BaseApi {


    // 添加一个上下文注解，该注解会给securityContext赋值
    // 具体的值为我们的拦截器中所返回的SecurityContext
    @Context
    protected SecurityContext securityContext;


    /**
     * 从上下文中直接获取自己的信息
     *
     * @return User
     */
//    protected User getSelf() {
//        return (User) securityContext.getUserPrincipal();
//    }


    public static final String forward_url ="http://172.17.5.4:5522";
    public static final String manager_url ="http://172.18.128.79:8080";
//    public static final String manager_url ="http://127.0.0.1:9090";

    @Resource
    TUInterfaceinfoMapper tuInterfaceinfoMapper;
    @Resource
    TULogMapper logMapper;

    //    调用次数记录-记录日志
    public void recordLog(String interface_id, HttpServletRequest request, int succ_or_fail){
        String osAndBrowser[] = HttpUtil.getOsAndBrowserInfo(request).split("---");
        String os = osAndBrowser[0];
        String browser = osAndBrowser[1];
        String ipaddress = HttpUtil.getIPAddress(request);
        //记录日志
        TULog tuLog = new TULog();
        tuLog.setId(UUID.randomUUID().toString());
        tuLog.setBrowser(browser);
        tuLog.setOs(os);
        tuLog.setInterfaceinfoId(interface_id);
        tuLog.setIpaddress(ipaddress);
        logMapper.insertTULog(tuLog);
        //接口调用次数+1
        TUInterfaceinfo tuInterfaceinfo =tuInterfaceinfoMapper.selectTUInterfaceinfoById(interface_id);
        TUInterfaceinfo u = new TUInterfaceinfo();
        u.setId(tuInterfaceinfo.getId());
        if(succ_or_fail == 0){
            u.setCallsuccnum(tuInterfaceinfo.getCallsuccnum()+1);
        }else{
            u.setCallfailnum(tuInterfaceinfo.getCallfailnum()+1);
        }
        tuInterfaceinfoMapper.updateTUInterfaceinfo(u);
    }

    public final String log_url ="http://localhost:9090/business/app/AddLogController/add_log";

    public void add_Log(BaseGuijiLogBean baseGuijiLogBean){
        HttpUtil.doPost(log_url, JSON.toJSONString(baseGuijiLogBean),null);
    }


    public static void main(String args[]){
        BaseApi baseApi = new BaseApi();
        BaseGuijiLogBean baseGuijiLogBean = new BaseGuijiLogBean();
        baseGuijiLogBean.setInterfaceinfoId("00c7a248-8faf-4c65-a9b2-6aaf5fe541d8");
        baseGuijiLogBean.setInterfaceinfoName("cloud test");
        baseGuijiLogBean.setInterfacetype("platform_interfacetype_2");
        baseApi.add_Log(baseGuijiLogBean);

    }



}
