package com.sooka.exception;

import com.sooka.model.ResultModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;
import java.net.ConnectException;

@RestControllerAdvice
@Slf4j
public class ServiceExceptionHandler {

    @ExceptionHandler(value = Exception.class)
    public ResultModel defaultErrorHandler(HttpServletRequest req, Exception e) {
        log.error("======" + req.getContextPath() + "：" + e.getMessage());
        return ResultModel.error(e.getMessage());

    }

    @ExceptionHandler(value = ConnectException.class)
    public ResultModel defaultErrorHandler(HttpServletRequest req, ConnectException e) {
        log.error("======" + req.getContextPath() + "：" + e.getMessage());
        return ResultModel.error(e.getMessage());

    }

    @ExceptionHandler(value = NullPointerException.class)
    public ResultModel defaultErrorHandler(HttpServletRequest req, NullPointerException e) {
        log.error("======" + req.getContextPath() + "：" + e.getMessage());
        return ResultModel.error(e.getMessage());

    }
}
