package com.sooka.network.http;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.springframework.http.*;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import java.util.Map;

/******************************
 * TODO
 * @author yanhongliang
 ******************************/

@Component
public class HttpRequest {

    private static RestTemplate restTemplate;

    private static HttpHeaders headers;

    static {
        restTemplate= new RestTemplate();
        headers = new HttpHeaders();
    }

    public JSONObject get (String url, Map<String, Object> parameter) throws Exception {
        return sendRequest(url, HttpMethod.GET, null, parameter);
    }

    public JSONObject get (String url, Map<String, Object> header, Map<String, Object> parameter) throws Exception {
        return sendRequest(url, HttpMethod.GET, header, parameter);
    }

    public JSONObject post (String url, Map<String, Object> parameter) throws Exception {
        return sendRequest(url, HttpMethod.POST, null, parameter);
    }

    public JSONObject post (String url, Map<String, Object> header, Map<String, Object> parameter) throws Exception {
        return sendRequest(url, HttpMethod.POST, header, parameter);
    }

    private JSONObject sendRequest (String url, HttpMethod method, Map<String, Object> header, Map<String, Object> parameter) throws Exception {

        if (StringUtils.isEmpty(url)) {
            return null;
        }

        try {

            headers.setContentType(MediaType.APPLICATION_JSON);
            if (header != null) {
                for (Map.Entry<String, Object> entry : header.entrySet()) {
                    headers.set(entry.getKey(), entry.getValue().toString());
                }
            }

            HttpEntity<Map<String, Object>> httpEntity = null;
            if (method == HttpMethod.GET) {
                url = url + "?" + Http.stringFromParams(parameter);
                httpEntity = new HttpEntity<>(headers);
            } else if (method == HttpMethod.POST) {
                httpEntity = new HttpEntity<>(parameter, headers);
            }

            System.out.println("------------"+url);

            ResponseEntity<String> o = restTemplate.exchange(url, method, httpEntity, String.class);

            int code = o.getStatusCode().value();

            if (200 != code) {
                return null;
            }

            return JSONObject.parseObject(o.getBody());

        }catch (Exception e) {
            e.printStackTrace();
            throw new Exception(e.getMessage());
        }

    }

}
