package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_City_Real_Estate_Mapper;
import com.sooka.mapper.Guiji_City_Real_Estate_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_City_Real_Estate_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class Guiji_City_Real_Estate_ServiceImpl extends BaseService implements Guiji_City_Real_Estate_Service {

    @Resource
    Guiji_City_Real_Estate_Mapper guiji_city_real_estate_mapper;
    @Resource
    Guiji_City_Real_Estate_Mapper2 guiji_city_real_estate_mapper2;

    @Override
    public ResultModel guiji_real_estate_housing_initial(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f988036a-3a00-45a9-a03e-ba95bf475682");
            log.put("interfaceinfoName", "归集-市房地产-商品房初始信息");

            Guiji_City_Real_Estate1_housing_initial_Bean bean = new Guiji_City_Real_Estate1_housing_initial_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setLicenseID(Data.getString("LicenseID"));
            bean.setZHLX(Data.getString("ZHLX"));
            bean.setSYQR(Data.getString("SYQR"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setZJMJ(Data.getString("ZJMJ"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_housing_initial(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_housing_initial(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_housing_initial(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_housing_initial(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_housing_stock(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "5b0e4fa7-8840-4213-ad60-c86a43031128");
            log.put("interfaceinfoName", "归集-市房地产-存量房信息");

            Guiji_City_Real_Estate2_housing_stock_Bean bean = new Guiji_City_Real_Estate2_housing_stock_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCSRXM(Data.getString("CSRXM"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setZJMJ(Data.getString("ZJMJ"));
            bean.setJYMJ(Data.getString("JYMJ"));
            bean.setCQZH(Data.getString("CQZH"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setGTMJ(Data.getString("GTMJ"));
            bean.setQYSJ(Data.getString("QYSJ"));
            bean.setBASJ(Data.getString("BASJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_housing_stock(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_housing_stock(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_housing_stock(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_housing_stock(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_housing_commercial(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "9a21f9c8-a0ad-4c1f-9677-45022b003a67");
            log.put("interfaceinfoName", "归集-市房地产-商品房信息");

            Guiji_City_Real_Estate3_housing_commercial_Bean bean = new Guiji_City_Real_Estate3_housing_commercial_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCSRXM(Data.getString("CSRXM"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setZJMJ(Data.getString("ZJMJ"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setFTMJ(Data.getString("FTMJ"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setQYSJ(Data.getString("QYSJ"));
            bean.setBASJ(Data.getString("BASJ"));
            bean.setCMRSFZLX(Data.getString("CMRSFZLX"));
            bean.setCMRSFZH(Data.getString("CMRSFZH"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_housing_commercial(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_housing_commercial(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_housing_commercial(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_housing_commercial(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }
    
    @Override
    public ResultModel guiji_real_estate_housing_relocation(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "4efa1745-ab11-4c71-bc34-f9a01af4e814");
            log.put("interfaceinfoName", "归集-市房地产-回迁房信息");

            Guiji_City_Real_Estate4_housing_relocation_Bean bean = new Guiji_City_Real_Estate4_housing_relocation_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCSRXM(Data.getString("CSRXM"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setZJMJ(Data.getString("ZJMJ"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setFTMJ(Data.getString("FTMJ"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setQYSJ(Data.getString("QYSJ"));
            bean.setBASJ(Data.getString("BASJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_housing_relocation(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_housing_relocation(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_housing_relocation(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_housing_relocation(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_mortgage_general(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "043405a6-0793-4555-81f6-eafc7f58554a");
            log.put("interfaceinfoName", "归集-市房地产-一般抵押信息");

            Guiji_City_Real_Estate5_mortgage_general_Bean bean = new Guiji_City_Real_Estate5_mortgage_general_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setZWLXQXQ(Data.getString("ZWLXQXQ"));
            bean.setZWLXQXZ(Data.getString("ZWLXQXZ"));
            bean.setDYLX(Data.getString("DYLX"));
            bean.setZZQE(Data.getString("ZZQE"));
            bean.setFWJZ(Data.getString("FWJZ"));
            bean.setDBFW(Data.getString("DBFW"));
            bean.setDYHTBH(Data.getString("DYHTBH"));
            bean.setDYQR(Data.getString("DYQR"));
            bean.setDYQRZJHM(Data.getString("DYQRZJHM"));
            bean.setDYR(Data.getString("DYR"));
            bean.setDYRZJHM(Data.getString("DYRZJHM"));
            bean.setZWR(Data.getString("ZWR"));
            bean.setZWRZJHM(Data.getString("ZWRZJHM"));
            bean.setTXQZH(Data.getString("TXQZH"));
            bean.setSYQZH(Data.getString("SYQZH"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_mortgage_general(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_mortgage_general(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_mortgage_general(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_mortgage_general(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_mortgage_business(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "5ed7fd87-f367-401a-ac56-1765d6bf7c10");
            log.put("interfaceinfoName", "归集-市房地产-最商额抵押信息");

            Guiji_City_Real_Estate6_mortgage_business_Bean bean = new Guiji_City_Real_Estate6_mortgage_business_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setZWLXQXQ(Data.getString("ZWLXQXQ"));
            bean.setZWLXQXZ(Data.getString("ZWLXQXZ"));
            bean.setDYLX(Data.getString("DYLX"));
            bean.setZZQE(Data.getString("ZZQE"));
            bean.setFWJZ(Data.getString("FWJZ"));
            bean.setDBFW(Data.getString("DBFW"));
            bean.setDYHTBH(Data.getString("DYHTBH"));
            bean.setDYQR(Data.getString("DYQR"));
            bean.setDYQRZJHM(Data.getString("DYQRZJHM"));
            bean.setDYR(Data.getString("DYR"));
            bean.setDYRZJHM(Data.getString("DYRZJHM"));
            bean.setZWR(Data.getString("ZWR"));
            bean.setZWRZJHM(Data.getString("ZWRZJHM"));
            bean.setTXQZH(Data.getString("TXQZH"));
            bean.setSYQZH(Data.getString("SYQZH"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_mortgage_business(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_mortgage_business(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_mortgage_business(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_mortgage_business(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_mortgage_construction(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "9527f60b-0b2d-441c-b410-baf4de9e23f9");
            log.put("interfaceinfoName", "归集-市房地产-在建工程抵押信息");

            Guiji_City_Real_Estate7_mortgage_construction_Bean bean = new Guiji_City_Real_Estate7_mortgage_construction_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setZWLXQXQ(Data.getString("ZWLXQXQ"));
            bean.setZWLXQXZ(Data.getString("ZWLXQXZ"));
            bean.setDYLX(Data.getString("DYLX"));
            bean.setZZQE(Data.getString("ZZQE"));
            bean.setFWJZ(Data.getString("FWJZ"));
            bean.setDBFW(Data.getString("DBFW"));
            bean.setDYHTBH(Data.getString("DYHTBH"));
            bean.setDYQR(Data.getString("DYQR"));
            bean.setDYQRZJHM(Data.getString("DYQRZJHM"));
            bean.setDYR(Data.getString("DYR"));
            bean.setDYRZJHM(Data.getString("DYRZJHM"));
            bean.setZWR(Data.getString("ZWR"));
            bean.setZWRZJHM(Data.getString("ZWRZJHM"));
            bean.setTXQZH(Data.getString("TXQZH"));
            bean.setLPBH(Data.getString("LPBH"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_mortgage_construction(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_mortgage_construction(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_mortgage_construction(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_mortgage_construction(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_mortgage_change(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "00688aef-7d1a-4f1c-94c4-2b27a981ea5d");
            log.put("interfaceinfoName", "归集-市房地产-一般抵押权变更信息");

            Guiji_City_Real_Estate8_mortgage_change_Bean bean = new Guiji_City_Real_Estate8_mortgage_change_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setZWLXQXQ(Data.getString("ZWLXQXQ"));
            bean.setZWLXQXZ(Data.getString("ZWLXQXZ"));
            bean.setDYLX(Data.getString("DYLX"));
            bean.setZZQE(Data.getString("ZZQE"));
            bean.setFWJZ(Data.getString("FWJZ"));
            bean.setDBFW(Data.getString("DBFW"));
            bean.setDYHTBH(Data.getString("DYHTBH"));
            bean.setDYQR(Data.getString("DYQR"));
            bean.setDYQRZJHM(Data.getString("DYQRZJHM"));
            bean.setDYR(Data.getString("DYR"));
            bean.setDYRZJHM(Data.getString("DYRZJHM"));
            bean.setZWR(Data.getString("ZWR"));
            bean.setZWRZJHM(Data.getString("ZWRZJHM"));
            bean.setTXQZH(Data.getString("TXQZH"));
            bean.setSYQZH(Data.getString("SYQZH"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setYTXQZH(Data.getString("YTXQZH"));
            bean.setBGYY(Data.getString("BGYY"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_mortgage_change(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_mortgage_change(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_mortgage_change(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_mortgage_change(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_mortgage_cancel(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "dfeabe00-9264-43a8-b962-cb282eea5f0b");
            log.put("interfaceinfoName", "归集-市房地产-一般抵押权注销信息");

            Guiji_City_Real_Estate9_mortgage_cancel_Bean bean = new Guiji_City_Real_Estate9_mortgage_cancel_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setZWLXQXQ(Data.getString("ZWLXQXQ"));
            bean.setZWLXQXZ(Data.getString("ZWLXQXZ"));
            bean.setDYLX(Data.getString("DYLX"));
            bean.setZZQE(Data.getString("ZZQE"));
            bean.setFWJZ(Data.getString("FWJZ"));
            bean.setDBFW(Data.getString("DBFW"));
            bean.setDYHTBH(Data.getString("DYHTBH"));
            bean.setDYQR(Data.getString("DYQR"));
            bean.setDYQRZJHM(Data.getString("DYQRZJHM"));
            bean.setDYR(Data.getString("DYR"));
            bean.setDYRZJHM(Data.getString("DYRZJHM"));
            bean.setZWR(Data.getString("ZWR"));
            bean.setZWRZJHM(Data.getString("ZWRZJHM"));
            bean.setTXQZH(Data.getString("TXQZH"));
            bean.setSYQZH(Data.getString("SYQZH"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setZL(Data.getString("ZL"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setZXYY(Data.getString("ZXYY"));
            bean.setYTXQZH(Data.getString("YTXQZH"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_mortgage_cancel(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_mortgage_cancel(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_mortgage_cancel(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_mortgage_cancel(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_unseal(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "16307a63-b26e-4b03-9ea0-62a30826bc86");
            log.put("interfaceinfoName", "归集-市房地产-解封信息");

            Guiji_City_Real_Estate10_estate_unseal_Bean bean = new Guiji_City_Real_Estate10_estate_unseal_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCFJG(Data.getString("CFJG"));
            bean.setCFWH(Data.getString("CFWH"));
            bean.setCFRQ(Data.getString("CFRQ"));
            bean.setCFQX(Data.getString("CFQX"));
            bean.setCFQSRQ(Data.getString("CFQSRQ"));
            bean.setCFZZRQ(Data.getString("CFZZRQ"));
            bean.setJFJG(Data.getString("JFJG"));
            bean.setJFWH(Data.getString("JFWH"));
            bean.setJFRQ(Data.getString("JFRQ"));
            bean.setBXZR(Data.getString("BXZR"));
            bean.setBXZRZJHM(Data.getString("BXZRZJHM"));
            bean.setQZH(Data.getString("QZH"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setZL(Data.getString("ZL"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_unseal(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_unseal(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_unseal(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_unseal(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_pre_order_cancel_notice(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "9c65684d-05c8-49f1-8087-29fbd12e0f0a");
            log.put("interfaceinfoName", "归集-市房地产-预购商品房预告注销信息");

            Guiji_City_Real_Estate11_pre_order_cancel_notice_Bean bean = new Guiji_City_Real_Estate11_pre_order_cancel_notice_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setQLR(Data.getString("QLR"));
            bean.setQLRZJHM(Data.getString("QLRZJHM"));
            bean.setYWR(Data.getString("YWR"));
            bean.setYWRZJHM(Data.getString("YWRZJHM"));
            bean.setHTH(Data.getString("HTH"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setZL(Data.getString("ZL"));
            bean.setZXYY(Data.getString("ZXYY"));
            bean.setYYGDJZMH(Data.getString("YYGDJZMH"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_pre_order_cancel_notice(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_pre_order_cancel_notice(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_pre_order_cancel_notice(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_pre_order_cancel_notice(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_pre_order_cancel_mortgage(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "2e387c1e-7f3a-43c3-a198-fbc108f9466f");
            log.put("interfaceinfoName", "归集-市房地产-预购商品房抵押权注销信息");

            Guiji_City_Real_Estate12_pre_order_cancel_mortgage_Bean bean = new Guiji_City_Real_Estate12_pre_order_cancel_mortgage_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setZWLXQXQ(Data.getString("ZWLXQXQ"));
            bean.setZWLXXZ(Data.getString("ZWLXXZ"));
            bean.setDYLX(Data.getString("DYLX"));
            bean.setZZQE(Data.getString("ZZQE"));
            bean.setFWJZ(Data.getString("FWJZ"));
            bean.setDBFW(Data.getString("DBFW"));
            bean.setDYHTBH(Data.getString("DYHTBH"));
            bean.setDYQR(Data.getString("DYQR"));
            bean.setDYQRZJHM(Data.getString("DYQRZJHM"));
            bean.setDYR(Data.getString("DYR"));
            bean.setDYRZJHM(Data.getString("DYRZJHM"));
            bean.setZWR(Data.getString("ZWR"));
            bean.setZWRZJHM(Data.getString("ZWRZJHM"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setZL(Data.getString("ZL"));
            bean.setZXYY(Data.getString("ZXYY"));
            bean.setYYGDJZMH(Data.getString("YYGDJZMH"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_pre_order_cancel_mortgage(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_pre_order_cancel_mortgage(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_pre_order_cancel_mortgage(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_pre_order_cancel_mortgage(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_file_additional(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "4f3141a1-117d-42ba-910a-e77a0a15c13e");
            log.put("interfaceinfoName", "归集-市房地产-档案补录信息");

            Guiji_City_Real_Estate13_file_additional_Bean bean = new Guiji_City_Real_Estate13_file_additional_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYWZH(Data.getString("YWZH"));
            bean.setLicenseID(Data.getString("LicenseID"));
            bean.setZHLX(Data.getString("ZHLX"));
            bean.setSYQR(Data.getString("SYQR"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setZJMJ(Data.getString("ZJMJ"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_file_additional(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_file_additional(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_file_additional(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_file_additional(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_pre_sale(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "347b41b7-2ea7-4104-a4ae-2c0bf9ca6d3d");
            log.put("interfaceinfoName", "归集-市房地产-预售信息");

            Guiji_City_Real_Estate14_pre_sale_Bean bean = new Guiji_City_Real_Estate14_pre_sale_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYSZH(Data.getString("YSZH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setQYMC(Data.getString("QYMC"));
            bean.setXMMC(Data.getString("XMMC"));
            bean.setXMBH(Data.getString("XMBH"));
            bean.setJGYH(Data.getString("JGYH"));
            bean.setJGZH(Data.getString("JGZH"));
            bean.setYSMJ(Data.getString("YSMJ"));
            bean.setTS(Data.getString("TS"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setMJ(Data.getString("MJ"));
            bean.setYSDJ(Data.getString("YSDJ"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setSPSJ(Data.getString("SPSJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_pre_sale(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_pre_sale(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_pre_sale(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_pre_sale(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }
    
    @Override
    public ResultModel guiji_real_estate_pre_sale_change(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "823a148d-5aa6-43e5-a22f-33b74e216a84");
            log.put("interfaceinfoName", "归集-市房地产-预售变更信息");

            Guiji_City_Real_Estate15_pre_sale_change_Bean bean = new Guiji_City_Real_Estate15_pre_sale_change_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYSZH(Data.getString("YSZH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setQYMC(Data.getString("QYMC"));
            bean.setXMMC(Data.getString("XMMC"));
            bean.setXMBH(Data.getString("XMBH"));
            bean.setJGYH(Data.getString("JGYH"));
            bean.setJGZH(Data.getString("JGZH"));
            bean.setYSMJ(Data.getString("YSMJ"));
            bean.setTS(Data.getString("TS"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setMJ(Data.getString("MJ"));
            bean.setYSDJ(Data.getString("YSDJ"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setSPSJ(Data.getString("SPSJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_pre_sale_change(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_pre_sale_change(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_pre_sale_change(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_pre_sale_change(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_on_sale(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "0c6b93b3-b52d-4fc8-bd3b-0b310888a093");
            log.put("interfaceinfoName", "归集-市房地产-现售信息");

            Guiji_City_Real_Estate16_on_sale_Bean bean = new Guiji_City_Real_Estate16_on_sale_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setXSBAZMH(Data.getString("XSBAZMH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setQYMC(Data.getString("QYMC"));
            bean.setXMMC(Data.getString("XMMC"));
            bean.setXMBH(Data.getString("XMBH"));
            bean.setJGYH(Data.getString("JGYH"));
            bean.setJGZH(Data.getString("JGZH"));
            bean.setYSMJ(Data.getString("YSMJ"));
            bean.setTS(Data.getString("TS"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setMJ(Data.getString("MJ"));
            bean.setYSDJ(Data.getString("YSDJ"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setSPSJ(Data.getString("SPSJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_on_sale(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_on_sale(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_on_sale(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_on_sale(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_on_sale_change(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "2af1310c-e2c4-4e3c-92e7-c1dd04af77c7");
            log.put("interfaceinfoName", "归集-市房地产-现售变更信息");

            Guiji_City_Real_Estate17_on_sale_change_Bean bean = new Guiji_City_Real_Estate17_on_sale_change_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setXSBAZMH(Data.getString("XSBAZMH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setQYMC(Data.getString("QYMC"));
            bean.setXMMC(Data.getString("XMMC"));
            bean.setXMBH(Data.getString("XMBH"));
            bean.setJGYH(Data.getString("JGYH"));
            bean.setJGZH(Data.getString("JGZH"));
            bean.setYSMJ(Data.getString("YSMJ"));
            bean.setTS(Data.getString("TS"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setMJ(Data.getString("MJ"));
            bean.setYSDJ(Data.getString("YSDJ"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setSPSJ(Data.getString("SPSJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_on_sale_change(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_on_sale_change(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_on_sale_change(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_on_sale_change(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_pre_to_on(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "e4a44bce-ff87-418a-903e-9dca90ec4f06");
            log.put("interfaceinfoName", "归集-市房地产-预转现信息");

            Guiji_City_Real_Estate18_pre_to_on_Bean bean = new Guiji_City_Real_Estate18_pre_to_on_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setXSBAZMH(Data.getString("XSBAZMH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setQYMC(Data.getString("QYMC"));
            bean.setXMMC(Data.getString("XMMC"));
            bean.setXMBH(Data.getString("XMBH"));
            bean.setJGYH(Data.getString("JGYH"));
            bean.setJGZH(Data.getString("JGZH"));
            bean.setYSMJ(Data.getString("YSMJ"));
            bean.setTS(Data.getString("TS"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setMJ(Data.getString("MJ"));
            bean.setYSDJ(Data.getString("YSDJ"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setSPSJ(Data.getString("SPSJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_pre_to_on(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_pre_to_on(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_pre_to_on(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_pre_to_on(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_pre_sale_record(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "965719d0-825c-49c1-89d0-c7e212e677b2");
            log.put("interfaceinfoName", "归集-市房地产-预售备案信息");

            Guiji_City_Real_Estate19_pre_sale_record_Bean bean = new Guiji_City_Real_Estate19_pre_sale_record_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCMRXM(Data.getString("CMRXM"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setFTMJ(Data.getString("FTMJ"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setZL(Data.getString("ZL"));
            bean.setQYSJ(Data.getString("QYSJ"));
            bean.setBASJ(Data.getString("BASJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_pre_sale_record(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_pre_sale_record(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_pre_sale_record(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_pre_sale_record(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_pre_sale_record_change(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "5043a50c-73de-47f5-8f98-ca7fee7d55e1");
            log.put("interfaceinfoName", "归集-市房地产-预售备案变更信息");

            Guiji_City_Real_Estate20_pre_sale_record_change_Bean bean = new Guiji_City_Real_Estate20_pre_sale_record_change_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCMRXM(Data.getString("CMRXM"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setFTMJ(Data.getString("FTMJ"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setZL(Data.getString("ZL"));
            bean.setHTRQ(Data.getString("HTRQ"));
            bean.setBGYY(Data.getString("BGYY"));
            bean.setSPSJ(Data.getString("SPSJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_pre_sale_record_change(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_pre_sale_record_change(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_pre_sale_record_change(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_pre_sale_record_change(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_on_sale_record(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "217a4aa5-d938-4a4e-a4ec-929502bb64eb");
            log.put("interfaceinfoName", "归集-市房地产-现售备案信息");

            Guiji_City_Real_Estate21_on_sale_record_Bean bean = new Guiji_City_Real_Estate21_on_sale_record_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCMRXM(Data.getString("CMRXM"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setFTMJ(Data.getString("FTMJ"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setQYSJ(Data.getString("QYSJ"));
            bean.setBASJ(Data.getString("BASJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_on_sale_record(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_on_sale_record(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_on_sale_record(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_on_sale_record(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_on_sale_record_change(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "eac6031c-367f-4050-9271-90f95e0ab187");
            log.put("interfaceinfoName", "归集-市房地产-现售备案变更信息");

            Guiji_City_Real_Estate22_on_sale_record_change_Bean bean = new Guiji_City_Real_Estate22_on_sale_record_change_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCMRXM(Data.getString("CMRXM"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setFTMJ(Data.getString("FTMJ"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setHTRQ(Data.getString("HTRQ"));
            bean.setBGYY(Data.getString("BGYY"));
            bean.setSPSJ(Data.getString("SPSJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_on_sale_record_change(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_on_sale_record_change(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_on_sale_record_change(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_on_sale_record_change(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_pre_sale_additional(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "7711dc00-78db-4f60-ab1d-225868512ad0");
            log.put("interfaceinfoName", "归集-市房地产-预售补录信息");

            Guiji_City_Real_Estate23_pre_sale_additional_Bean bean = new Guiji_City_Real_Estate23_pre_sale_additional_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setYSZH(Data.getString("YSZH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setQYMC(Data.getString("QYMC"));
            bean.setXMMC(Data.getString("XMMC"));
            bean.setXMBH(Data.getString("XMBH"));
            bean.setJGYH(Data.getString("JGYH"));
            bean.setJGZH(Data.getString("JGZH"));
            bean.setYSMJ(Data.getString("YSMJ"));
            bean.setTS(Data.getString("TS"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setMJ(Data.getString("MJ"));
            bean.setYSDJ(Data.getString("YSDJ"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setSPSJ(Data.getString("SPSJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_pre_sale_additional(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_pre_sale_additional(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_pre_sale_additional(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_pre_sale_additional(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_record_additional(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "93f0e9a0-ee96-4609-954c-de60b11a2341");
            log.put("interfaceinfoName", "归集-市房地产-备案补录信息");

            Guiji_City_Real_Estate24_record_additional_Bean bean = new Guiji_City_Real_Estate24_record_additional_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setCMRXM(Data.getString("CMRXM"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setFTMJ(Data.getString("FTMJ"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setZL(Data.getString("ZL"));
            bean.setHTSJ(Data.getString("HTSJ"));
            bean.setBASJ(Data.getString("BASJ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_record_additional(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_record_additional(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_record_additional(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_record_additional(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_real_estate_contract_check_out(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "9af497c8-c53f-4632-b126-c36f32872296");
            log.put("interfaceinfoName", "归集-市房地产-合同退房信息");

            Guiji_City_Real_Estate25_contract_check_out_Bean bean = new Guiji_City_Real_Estate25_contract_check_out_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setHTH(Data.getString("HTH"));
            bean.setYWZH(Data.getString("YWZH"));
            bean.setMSRXM(Data.getString("MSRXM"));
            bean.setSFZLX(Data.getString("SFZLX"));
            bean.setSFZH(Data.getString("SFZH"));
            bean.setLXDZ(Data.getString("LXDZ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setHTZJ(Data.getString("HTZJ"));
            bean.setJZMJ(Data.getString("JZMJ"));
            bean.setTNMJ(Data.getString("TNMJ"));
            bean.setFTMJ(Data.getString("FTMJ"));
            bean.setZH(Data.getString("ZH"));
            bean.setFH(Data.getString("FH"));
            bean.setFWYT(Data.getString("FWYT"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setZL(Data.getString("ZL"));
            bean.setHTRQ(Data.getString("HTRQ"));
            bean.setZXYY(Data.getString("ZXYY"));
            bean.setZXRQ(Data.getString("ZXRQ"));
            if (bean.getCd_operation().equals("I")) {
                guiji_city_real_estate_mapper.add_guiji_real_estate_contract_check_out(bean);
                guiji_city_real_estate_mapper2.add_guiji_real_estate_contract_check_out(bean);
            } else {
                guiji_city_real_estate_mapper.update_guiji_real_estate_contract_check_out(bean);
                guiji_city_real_estate_mapper2.update_guiji_real_estate_contract_check_out(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


    /**
     * 查询接口
     */

    /**
     * 市房地产
     * @param bean
     * @return 商品房初始信息
     */
    @Override
    public ResultModel select_real_estate_housing_initial(Guiji_City_Real_Estate1_housing_initial_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "ab2231f9-47c8-493d-9b5a-2de3296b4607");
        log.put("interfaceinfoName", "共享（市）-市房地产-商品房初始信息");
        try {
            if (bean.getYWZH() == null) {
                r.setCode(99999);
                r.setMessage("业务宗号"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_housing_initial(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 存量房信息
     */
    @Override
    public ResultModel select_real_estate_housing_stock(Guiji_City_Real_Estate2_housing_stock_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "94b9cb0c-3ddd-42a2-b2d9-283de3d5b92e");
        log.put("interfaceinfoName", "共享（市）-市房地产-存量房信息");
        try {
            if(bean.getYWZH() == null){
                r.setCode(99999);
                r.setMessage("业务宗号"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_housing_stock(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 商品房信息
     */
    @Override
    public ResultModel select_real_estate_housing_commercial(Guiji_City_Real_Estate3_housing_commercial_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "5216d910-6fb2-4ffc-96d0-50d6adb3253d");
        log.put("interfaceinfoName", "共享（市）-市房地产-商品房信息");
        try {
            if(bean.getMSRXM() == null){
                r.setCode(99999);
                r.setMessage("买受人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_housing_commercial(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 回迁房信息
     */
    @Override
    public ResultModel select_real_estate_housing_relocation(Guiji_City_Real_Estate4_housing_relocation_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "3822eb3f-ccd9-4ddc-b8ff-5538fc1ee60e");
        log.put("interfaceinfoName", "共享（市）-市房地产-回迁房信息");
        try {
            if(bean.getMSRXM() == null){
                r.setCode(99999);
                r.setMessage("买受人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_housing_relocation(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 一般抵押信息
     */
    @Override
    public ResultModel select_real_estate_mortgage_general(Guiji_City_Real_Estate5_mortgage_general_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "41c885b5-54bd-4a04-8fc4-0cf6fdab8dab");
        log.put("interfaceinfoName", "共享（市）-市房地产-一般抵押信息");
        try {
            if(bean.getDYR() == null){
                r.setCode(99999);
                r.setMessage("抵押人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_mortgage_general(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 最商额抵押信息
     */
    @Override
    public ResultModel select_real_estate_mortgage_business(Guiji_City_Real_Estate6_mortgage_business_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "0259648b-00b5-437e-977b-43dfb6ec798f");
        log.put("interfaceinfoName", "共享（市）-市房地产-最商额抵押信息");
        try {
            if(bean.getDYR() == null){
                r.setCode(99999);
                r.setMessage("抵押人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_mortgage_business(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 在建工程抵押信息
     */
    @Override
    public ResultModel select_real_estate_mortgage_construction(Guiji_City_Real_Estate7_mortgage_construction_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "a0cf7644-848d-4028-8713-7c802b4229c7");
        log.put("interfaceinfoName", "共享（市）-市房地产-在建工程抵押信息");
        try {
            if(bean.getDYR() == null){
                r.setCode(99999);
                r.setMessage("抵押人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_mortgage_construction(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 一般抵押权变更信息
     */
    @Override
    public ResultModel select_real_estate_mortgage_change(Guiji_City_Real_Estate8_mortgage_change_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "3e4edc7c-e957-465d-915d-a656c4bead8b");
        log.put("interfaceinfoName", "共享（市）-市房地产-一般抵押权变更信息");
        try {
            if(bean.getDYR() == null){
                r.setCode(99999);
                r.setMessage("抵押人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_mortgage_change(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 一般抵押权注销信息
     */
    @Override
    public ResultModel select_real_estate_mortgage_cancel(Guiji_City_Real_Estate9_mortgage_cancel_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "685ce1b8-6a90-4f0f-99b5-eed7209510a9");
        log.put("interfaceinfoName", "共享（市）-市房地产-一般抵押权注销信息");
        try {
            if(bean.getDYR() == null){
                r.setCode(99999);
                r.setMessage("抵押人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_mortgage_cancel(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 解封信息
     */
    @Override
    public ResultModel select_real_estate_unseal(Guiji_City_Real_Estate10_estate_unseal_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "fb09f137-26fd-452e-9c87-9b05dc5818a9");
        log.put("interfaceinfoName", "共享（市）-市房地产-解封信息");
        try {
            if(bean.getBXZR() == null){
                r.setCode(99999);
                r.setMessage("被限制人"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_unseal(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预购商品房预告注销信息
     */
    @Override
    public ResultModel select_real_estate_pre_order_cancel_notice(Guiji_City_Real_Estate11_pre_order_cancel_notice_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "4de6849b-a641-48be-ba9e-95b579e9c06d");
        log.put("interfaceinfoName", "共享（市）-市房地产-预购商品房预告注销信息");
        try {
            if(bean.getQLR() == null){
                r.setCode(99999);
                r.setMessage("权利人"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_pre_order_cancel_notice(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预购商品房抵押权注销信息
     */
    @Override
    public ResultModel select_real_estate_pre_order_cancel_mortgage(Guiji_City_Real_Estate12_pre_order_cancel_mortgage_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "01ba7a5b-0f6f-4ece-a18e-ce0993f10210");
        log.put("interfaceinfoName", "共享（市）-市房地产-预购商品房抵押权注销信息");
        try {
            if(bean.getDYR() == null){
                r.setCode(99999);
                r.setMessage("抵押人"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_pre_order_cancel_mortgage(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 档案补录信息
     */
    @Override
    public ResultModel select_real_estate_file_additional(Guiji_City_Real_Estate13_file_additional_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "1de666a7-5d81-4ef5-b8c2-45e899db0bd2");
        log.put("interfaceinfoName", "共享（市）-市房地产-档案补录信息");
        try {
//            if(bean.getMSRXM() == null){
//                r.setCode(99999);
//                r.setMessage("买受人姓名"+check_required);
//            } else {
//                List ls = guiji_city_real_estate_mapper2.select_real_estate_file_additional(bean);
//                r.setData(ls);
//                r.setCode(00000);
//                r.setMessage("成功");
//            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售信息
     */
    @Override
    public ResultModel select_real_estate_pre_sale(Guiji_City_Real_Estate14_pre_sale_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "6dce77aa-27d2-47ac-8680-cdc68044f158");
        log.put("interfaceinfoName", "共享（市）-市房地产-预售信息");
        try {
            if(bean.getXMMC() == null){
                r.setCode(99999);
                r.setMessage("项目名称"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_pre_sale(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售变更信息
     */
    @Override
    public ResultModel select_real_estate_pre_sale_change(Guiji_City_Real_Estate15_pre_sale_change_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "dd7bbde8-d485-4e41-b43b-fdb9fd42ed85");
        log.put("interfaceinfoName", "共享（市）-市房地产-预售变更信息");
        try {
            if(bean.getXMMC() == null){
                r.setCode(99999);
                r.setMessage("项目名称"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_pre_sale_change(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 现售信息
     */
    @Override
    public ResultModel select_real_estate_on_sale(Guiji_City_Real_Estate16_on_sale_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "98b2361c-3860-4d72-b404-6fb35deaaeca");
        log.put("interfaceinfoName", "共享（市）-市房地产-现售信息");
        try {
            if(bean.getXMMC() == null){
                r.setCode(99999);
                r.setMessage("项目名称"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_on_sale(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 现售变更信息
     */
    @Override
    public ResultModel select_real_estate_on_sale_change(Guiji_City_Real_Estate17_on_sale_change_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "3a90f1d5-396e-4010-abd3-a4c71bcec5ee");
        log.put("interfaceinfoName", "共享（市）-市房地产-现售变更信息");
        try {
            if(bean.getXMMC() == null){
                r.setCode(99999);
                r.setMessage("项目名称"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_on_sale_change(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预转现信息
     */
    @Override
    public ResultModel select_real_estate_pre_to_on(Guiji_City_Real_Estate18_pre_to_on_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "12d2eb54-a773-4456-a556-ac897cc6f6b8");
        log.put("interfaceinfoName", "共享（市）-市房地产-预转现信息");
        try {
//            if(bean.getMSRXM() == null){
//                r.setCode(99999);
//                r.setMessage("买受人姓名"+check_required);
//            } else {
//                List ls = guiji_city_real_estate_mapper2.select_real_estate_pre_to_on(bean);
//                r.setData(ls);
//                r.setCode(00000);
//                r.setMessage("成功");
//            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售备案信息
     */
    @Override
    public ResultModel select_real_estate_pre_sale_record(Guiji_City_Real_Estate19_pre_sale_record_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "f1681be4-12cb-4e5b-931f-c84e7c537082");
        log.put("interfaceinfoName", "共享（市）-市房地产-预售备案信息");
        try {
            if(bean.getMSRXM() == null){
                r.setCode(99999);
                r.setMessage("买受人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_pre_sale_record(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售备案变更信息
     */
    @Override
    public ResultModel select_real_estate_pre_sale_record_change(Guiji_City_Real_Estate20_pre_sale_record_change_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "57a10387-5cb8-49a0-be55-0a3599ca9396");
        log.put("interfaceinfoName", "共享（市）-市房地产-预售备案变更信息");
        try {
            if(bean.getMSRXM() == null){
                r.setCode(99999);
                r.setMessage("买受人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_pre_sale_record_change(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 现售备案信息
     */
    @Override
    public ResultModel select_real_estate_on_sale_record(Guiji_City_Real_Estate21_on_sale_record_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "7ff205fa-18d4-4404-b5d1-fd1f5d019c79");
        log.put("interfaceinfoName", "共享（市）-市房地产-现售备案信息");
        try {
            if(bean.getMSRXM() == null){
                r.setCode(99999);
                r.setMessage("买受人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_on_sale_record(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 现售备案变更信息
     */
    @Override
    public ResultModel select_real_estate_on_sale_record_change(Guiji_City_Real_Estate22_on_sale_record_change_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "93cfb65e-9a83-47a2-a588-2517e9c57365");
        log.put("interfaceinfoName", "共享（市）-市房地产-现售备案变更信息");
        try {
            if(bean.getMSRXM() == null){
                r.setCode(99999);
                r.setMessage("买受人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_on_sale_record_change(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 预售补录信息
     */
    @Override
    public ResultModel select_real_estate_pre_sale_additional(Guiji_City_Real_Estate23_pre_sale_additional_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "e84d007e-096c-47c4-b556-7d9688bad523");
        log.put("interfaceinfoName", "共享（市）-市房地产-预售补录信息");
        try {
//            if(bean.getMSRXM() == null){
//                r.setCode(99999);
//                r.setMessage("买受人姓名"+check_required);
//            } else {
//                List ls = guiji_city_real_estate_mapper2.select_real_estate_pre_sale_additional(bean);
//                r.setData(ls);
//                r.setCode(00000);
//                r.setMessage("成功");
//            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 备案补录信息
     */
    @Override
    public ResultModel select_real_estate_record_additional(Guiji_City_Real_Estate24_record_additional_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "7f9dbccd-055f-408e-8795-babd8db84ee3");
        log.put("interfaceinfoName", "共享（市）-市房地产-备案补录信息");
        try {
            if(bean.getMSRXM() == null){
                r.setCode(99999);
                r.setMessage("买受人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_record_additional(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市房地产
     * @param bean
     * @return 合同退房信息
     */
    @Override
    public ResultModel select_real_estate_contract_check_out(Guiji_City_Real_Estate25_contract_check_out_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "f51ce842-1321-401f-973e-2a8f3f6b5343");
        log.put("interfaceinfoName", "共享（市）-市房地产-合同退房信息");
        try {
            if(bean.getMSRXM() == null){
                r.setCode(99999);
                r.setMessage("买受人姓名"+check_required);
            } else {
                List ls = guiji_city_real_estate_mapper2.select_real_estate_contract_check_out(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }
}
