package com.sooka.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_Funeral_Mapper;
import com.sooka.mapper.Guiji_Funeral_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Funeral_Service;
import com.sooka.utils.HttpUtil;
import org.bouncycastle.util.encoders.Base64;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class Guiji_Funeral_ServiceImpl extends BaseService implements Guiji_Funeral_Service {


    @Resource
    Guiji_Funeral_Mapper guiji_funeral_mapper;
    @Resource
    Guiji_Funeral_Mapper2 guiji_funeral_mapper2;

    @Override
    public ResultModel guiji_funeral(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "d8c474bc-0c0c-4b58-9161-6e4ff8d27614");
            log.put("interfaceinfoName", "归集-市殡葬-逝者基本信息");
            Guiji_funeral1_the_dead_Bean bean = new Guiji_funeral1_the_dead_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("ID"));
            bean.setBNO(Data.getString("BNO"));
            bean.setDNAME(new String(Base64.decode(Data.getString("DNAME")),"UTF-8"));
            bean.setDSFZH(new String(Base64.decode(Data.getString("DSFZH")),"UTF-8"));
            bean.setDSEX(new String (Base64.decode(Data.getString("DSEX")),"UTF-8"));
            bean.setDMZ(new String (Base64.decode(Data.getString("DMZ")),"UTF-8"));
            bean.setDAGE(Data.getString("DAGE"));
            bean.setBIRTH(Data.getString("BIRTH"));
            bean.setDHJLY(new String (Base64.decode(Data.getString("DHJLY")),"UTF-8"));
            bean.setDXZQH(new String (Base64.decode(Data.getString("DXZQH")),"UTF-8"));
            bean.setADDRESS(new String (Base64.decode(Data.getString("ADDRESS")),"UTF-8"));
            bean.setDTIME(Data.getString("DTIME"));
            bean.setDREASON(new String (Base64.decode(Data.getString("DREASON")),"UTF-8"));
            bean.setDADDRESS(new String (Base64.decode(Data.getString("DADDRESS")),"UTF-8"));
            bean.setHHSJ(Data.getString("HHSJ"));
            bean.setRELATIONSHIP(new String (Base64.decode(Data.getString("RELATIONSHIP")),"UTF-8"));
            bean.setLINKMAN(new String (Base64.decode(Data.getString("LINKMAN")),"UTF-8"));
            bean.setLINKMANPHONE(new String (Base64.decode(Data.getString("LINKMANPHONE")),"UTF-8"));
            bean.setLINKMANADDRESS(new String (Base64.decode(Data.getString("LINKMANADDRESS")),"UTF-8"));
            bean.setOPERTM(Data.getString("OPERTM"));
            bean.setOPERID(new String (Base64.decode(Data.getString("OPERID")),"UTF-8"));
            bean.setOPERDW(new String (Base64.decode(Data.getString("OPERDW")),"UTF-8"));
            if (bean.getCd_operation().equals("I")) {
                guiji_funeral_mapper.add_guiji_funeral(bean);
                guiji_funeral_mapper2.add_guiji_funeral(bean);
            } else {
                guiji_funeral_mapper.update_guiji_funeral(bean);
                guiji_funeral_mapper2.update_guiji_funeral(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_funeral2(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "7a49ba7d-253b-4372-9b4c-4e11bab57350");
            log.put("interfaceinfoName", "归集-市殡葬-缴费基本信息");
            Guiji_funeral2_pay_Bean bean = new Guiji_funeral2_pay_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("ID"));
            bean.setBNO(Data.getString("BNO"));
            bean.setDNAME(new String (Base64.decode(Data.getString("DNAME")),"UTF-8"));
            bean.setDSEX(Data.getString("DSEX"));
            bean.setDAGE(Data.getString("DAGE"));
            bean.setDMZ(Data.getString("DMZ"));
            bean.setDSFZH(new String (Base64.decode(Data.getString("DSFZH")),"UTF-8"));
            bean.setADDRESS(new String (Base64.decode(Data.getString("ADDRESS")),"UTF-8"));
            bean.setDTIME(Data.getString("DTIME"));
            bean.setLINKMAN(new String (Base64.decode(Data.getString("LINKMAN")),"UTF-8"));
            bean.setLINKMANPHONE(new String (Base64.decode(Data.getString("LINKMANPHONE")),"UTF-8"));
            bean.setJMTYPE(new String (Base64.decode(Data.getString("JMTYPE")),"UTF-8"));
            bean.setNO(Data.getString("NO"));
            bean.setITEMTYPE(new String (Base64.decode(Data.getString("ITEMTYPE")),"UTF-8"));
            bean.setITEMNAME(new String (Base64.decode(Data.getString("ITEMNAME")),"UTF-8"));
            bean.setPRICE(Data.getString("PRICE"));
            bean.setITEMCOUNT(Data.getString("ITEMCOUNT"));
            bean.setSUMMONEY(Data.getString("SUMMONEY"));
            bean.setOPERTM(Data.getString("OPERTM"));
            bean.setOPERID(new String (Base64.decode(Data.getString("OPERID")),"UTF-8"));
            bean.setOPERDW(new String (Base64.decode(Data.getString("OPERDW")),"UTF-8"));
            if (bean.getCd_operation().equals("I")) {
                guiji_funeral_mapper.add_guiji_funeral2(bean);
                guiji_funeral_mapper2.add_guiji_funeral2(bean);
            } else {
                guiji_funeral_mapper.update_guiji_funeral2(bean);
                guiji_funeral_mapper2.update_guiji_funeral2(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_funeral3(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "ef49fba0-eb13-4b4e-af97-b49f215ec6b5");
            log.put("interfaceinfoName", "归集-市殡葬-冷冻基本信息");
            Guiji_funeral3_freeze_Bean bean = new Guiji_funeral3_freeze_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("ID"));
            bean.setBNO(Data.getString("BNO"));
            bean.setDNAME(new String (Base64.decode(Data.getString("DNAME")),"UTF-8"));
            bean.setDSEX(Data.getString("DSEX"));
            bean.setDAGE(Data.getString("DAGE"));
            bean.setDMZ(Data.getString("DMZ"));
            bean.setDSFZH(new String (Base64.decode(Data.getString("DSFZH")),"UTF-8"));
            bean.setADDRESS(new String (Base64.decode(Data.getString("ADDRESS")),"UTF-8"));
            bean.setDTIME(Data.getString("DTIME"));
            bean.setLCJNAME(new String (Base64.decode(Data.getString("LCJNAME")),"UTF-8"));
            bean.setSTARTTM(Data.getString("STARTTM"));
            bean.setENDTM(Data.getString("ENDTM"));
            bean.setDAYS(Data.getString("DAYS"));
            bean.setJSMONEY(Data.getString("JSMONEY"));
            bean.setYJMONEY(Data.getString("YJMONEY"));
            bean.setLINKMAN(new String (Base64.decode(Data.getString("LINKMAN")),"UTF-8"));
            bean.setLINKMANPHONE(new String (Base64.decode(Data.getString("LINKMANPHONE")),"UTF-8"));
            bean.setOPERTM(Data.getString("OPERTM"));
            bean.setOPERID(new String (Base64.decode(Data.getString("OPERID")),"UTF-8"));
            bean.setOPERDW(new String (Base64.decode(Data.getString("OPERDW")),"UTF-8"));
            if (bean.getCd_operation().equals("I")) {
                guiji_funeral_mapper.add_guiji_funeral3(bean);
                guiji_funeral_mapper2.add_guiji_funeral3(bean);
            } else {
                guiji_funeral_mapper.update_guiji_funeral3(bean);
                guiji_funeral_mapper2.update_guiji_funeral3(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_funeral4(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "256021f3-3b78-4cfc-89ba-3a9f491bd4c8");
            log.put("interfaceinfoName", "归集-市殡葬-骨灰寄存基本信息");
            Guiji_funeral4_ashes_storage_Bean bean = new Guiji_funeral4_ashes_storage_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("ID"));
            bean.setBNO(Data.getString("BNO"));
            bean.setDNAME(new String (Base64.decode(Data.getString("DNAME")),"UTF-8"));
            bean.setDSEX(Data.getString("DSEX"));
            bean.setDAGE(Data.getString("DAGE"));
            bean.setDMZ(Data.getString("DMZ"));
            bean.setDSFZH(new String (Base64.decode(Data.getString("DSFZH")),"UTF-8"));
            bean.setADDRESS(new String (Base64.decode(Data.getString("ADDRESS")),"UTF-8"));
            bean.setDTIME(Data.getString("DTIME"));
            bean.setJCGNAME(new String (Base64.decode(Data.getString("JCGNAME")),"UTF-8"));
            bean.setSTARTTM(Data.getString("STARTTM"));
            bean.setENDTM(Data.getString("ENDTM"));
            bean.setLINKMAN(new String (Base64.decode(Data.getString("LINKMAN")),"UTF-8"));
            bean.setLINKMANSFZH(new String (Base64.decode(Data.getString("LINKMANSFZH")),"UTF-8"));;
            bean.setRELATIONSHIP(new String (Base64.decode(Data.getString("RELATIONSHIP")),"UTF-8"));
            bean.setLINKMANPHONE(new String (Base64.decode(Data.getString("LINKMANPHONE")),"UTF-8"));
            bean.setOPERTM(Data.getString("OPERTM"));
            bean.setOPERID(new String (Base64.decode(Data.getString("OPERID")),"UTF-8"));
            bean.setOPERDW(new String (Base64.decode(Data.getString("OPERDW")),"UTF-8"));
            if (bean.getCd_operation().equals("I")) {
                guiji_funeral_mapper.add_guiji_funeral4(bean);
                guiji_funeral_mapper2.add_guiji_funeral4(bean);
            } else {
                guiji_funeral_mapper.update_guiji_funeral4(bean);
                guiji_funeral_mapper2.update_guiji_funeral4(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }@Override
    public ResultModel guiji_funeral5(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "59777051-f848-4f7d-843b-d127e7138bd1");
            log.put("interfaceinfoName", "归集-市殡葬-骨灰续存基本信息");
            Guiji_funeral5_ashes_renew_Bean bean = new Guiji_funeral5_ashes_renew_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("ID"));
            bean.setBNO(Data.getString("BNO"));
            bean.setDNAME(new String (Base64.decode(Data.getString("DNAME")),"UTF-8"));
            bean.setDSEX(Data.getString("DSEX"));
            bean.setDAGE(Data.getString("DAGE"));
            bean.setDMZ(Data.getString("DMZ"));
            bean.setDSFZH(new String (Base64.decode(Data.getString("DSFZH")),"UTF-8"));
            bean.setADDRESS(new String (Base64.decode(Data.getString("ADDRESS")),"UTF-8"));
            bean.setDTIME(Data.getString("DTIME"));
            bean.setJCGNAME(new String (Base64.decode(Data.getString("JCGNAME")),"UTF-8"));
            bean.setXCSTARTTM(Data.getString("XCSTARTTM"));
            bean.setXCENDTM(Data.getString("XCENDTM"));
            bean.setLINKMAN(new String (Base64.decode(Data.getString("LINKMAN")),"UTF-8"));
            bean.setLINKMANSFZH(new String (Base64.decode(Data.getString("LINKMANSFZH")),"UTF-8"));
            bean.setRELATIONSHIP(new String (Base64.decode(Data.getString("RELATIONSHIP")),"UTF-8"));
            bean.setLINKMANPHONE(new String (Base64.decode(Data.getString("LINKMANPHONE")),"UTF-8"));
            bean.setOPERTM(Data.getString("OPERTM"));
            bean.setOPERID(new String (Base64.decode(Data.getString("OPERID")),"UTF-8"));
            bean.setOPERDW(new String (Base64.decode(Data.getString("OPERDW")),"UTF-8"));
            if (bean.getCd_operation().equals("I")) {
                guiji_funeral_mapper.add_guiji_funeral5(bean);
                guiji_funeral_mapper2.add_guiji_funeral5(bean);
            } else {
                guiji_funeral_mapper.update_guiji_funeral5(bean);
                guiji_funeral_mapper2.update_guiji_funeral5(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_funeral6(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "149d5229-4ea0-4f17-8366-8847ce71762d");
            log.put("interfaceinfoName", "归集-市殡葬-骨灰取走基本信息");
            Guiji_funeral6_ashes_remove_Bean bean = new Guiji_funeral6_ashes_remove_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("ID"));
            bean.setBNO(Data.getString("BNO"));
            bean.setDNAME(new String (Base64.decode(Data.getString("DNAME")),"UTF-8"));
            bean.setDSEX(Data.getString("DSEX"));
            bean.setDAGE(Data.getString("DAGE"));
            bean.setDMZ(Data.getString("DMZ"));
            bean.setDSFZH(new String (Base64.decode(Data.getString("DSFZH")),"UTF-8"));
            bean.setADDRESS(new String (Base64.decode(Data.getString("ADDRESS")),"UTF-8"));
            bean.setDTIME(Data.getString("DTIME"));
            bean.setJCGCODE(new String (Base64.decode(Data.getString("JCGCODE")),"UTF-8"));
            bean.setJCGNAME(new String (Base64.decode(Data.getString("JCGNAME")),"UTF-8"));
            bean.setJCPRICE(Data.getString("JCPRICE"));
            bean.setSTARTTM(Data.getString("STARTTM"));
            bean.setGETQZTM(Data.getString("GETQZTM"));
            bean.setGETMAN(new String (Base64.decode(Data.getString("GETMAN")),"UTF-8"));
            bean.setGETMANSFZH(new String (Base64.decode(Data.getString("GETMANSFZH")),"UTF-8"));
            bean.setGETRLP(new String (Base64.decode(Data.getString("GETRLP")),"UTF-8"));
            bean.setGETMANPHONE(new String (Base64.decode(Data.getString("GETMANPHONE")),"UTF-8"));
            bean.setOPERTM(Data.getString("OPERTM"));
            bean.setOPERID(new String (Base64.decode(Data.getString("OPERID")),"UTF-8"));
            bean.setOPERDW(new String (Base64.decode(Data.getString("OPERDW")),"UTF-8"));
        if (bean.getCd_operation().equals("I")) {
                guiji_funeral_mapper.add_guiji_funeral6(bean);
                guiji_funeral_mapper2.add_guiji_funeral6(bean);
            } else {
                guiji_funeral_mapper.update_guiji_funeral6(bean);
                guiji_funeral_mapper2.update_guiji_funeral6(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


    /**
     * 查询接口
     */

    /**
     * 市殡葬
     * @param bean
     * @return 逝者基本信息
     */
    @Override
    public ResultModel select_funeral_the_dead(Guiji_funeral1_the_dead_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "a6eb2687-40bc-410f-92a4-5efa6a21a932");
        log.put("interfaceinfoName", "共享（市）-市殡葬-逝者基本信息");
        try {
            if (bean.getDNAME() == null || bean.getDSFZH() == null) {
                r.setCode(99999);
                r.setMessage("姓名、身份证号"+check_required);
            } else {
                List ls = guiji_funeral_mapper2.select_funeral_the_dead(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 缴费基本信息
     */
    @Override
    public ResultModel select_funeral_pay(Guiji_funeral2_pay_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "f8906ebb-750d-4b41-a747-30970804621c");
        log.put("interfaceinfoName", "共享（市）-市殡葬-缴费基本信息");
        try {
            if(bean.getDNAME() == null || bean.getDSFZH() == null){
                r.setCode(99999);
                r.setMessage("姓名、身份证号"+check_required);
            } else {
                List ls = guiji_funeral_mapper2.select_funeral_pay(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 冷冻基本信息
     */
    @Override
    public ResultModel select_funeral_freeze(Guiji_funeral3_freeze_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "9d9e8fce-6046-4ce5-96bd-6a4228e0a2c5");
        log.put("interfaceinfoName", "共享（市）-市殡葬-冷冻基本信息");
        try {
            if(bean.getDNAME() == null || bean.getDSFZH() == null){
                r.setCode(99999);
                r.setMessage("姓名、身份证号"+check_required);
            } else {
                List ls = guiji_funeral_mapper2.select_funeral_freeze(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 骨灰寄存基本信息
     */
    @Override
    public ResultModel select_ashes_storage(Guiji_funeral4_ashes_storage_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "1b861c89-6958-4dc4-b560-875832c16640");
        log.put("interfaceinfoName", "共享（市）-市殡葬-骨灰寄存基本信息");
        try {
            if(bean.getDNAME() == null || bean.getDSFZH() == null){
                r.setCode(99999);
                r.setMessage("姓名、身份证号"+check_required);
            } else {
                List ls = guiji_funeral_mapper2.select_funeral_ashes_storage(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 骨灰续存基本信息
     */
    @Override
    public ResultModel select_ashes_renew(Guiji_funeral5_ashes_renew_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "cbc7a1a6-e0e9-4719-972b-98bfb2a3be0b");
        log.put("interfaceinfoName", "共享（市）-市殡葬-骨灰续存基本信息");
        try {
            if(bean.getDNAME() == null || bean.getDSFZH() == null){
                r.setCode(99999);
                r.setMessage("姓名、身份证号"+check_required);
            } else {
                List ls = guiji_funeral_mapper2.select_funeral_ashes_renew(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市殡葬
     * @param bean
     * @return 骨灰取走基本信息
     */
    @Override
    public ResultModel select_ashes_remove(Guiji_funeral6_ashes_remove_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "18f46d0a-311d-49ba-83a4-3203a307b510");
        log.put("interfaceinfoName", "共享（市）-市殡葬-骨灰取走基本信息");
        try {
            if(bean.getDNAME() == null || bean.getDSFZH() == null){
                r.setCode(99999);
                r.setMessage("姓名、身份证号"+check_required);
            } else {
                List ls = guiji_funeral_mapper2.select_funeral_ashes_remove(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }
}
