package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_Gas_Mapper;
import com.sooka.mapper.Guiji_Gas_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Gas_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class Guiji_Gas_ServiceImpl extends BaseService implements Guiji_Gas_Service {

    @Resource
    Guiji_Gas_Mapper guiji_gas_mapper;
    @Resource
    Guiji_Gas_Mapper2 guiji_gas_mapper2;

    @Override
    public ResultModel guiji_gas_Zenner_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "d3201e57-d4f9-4301-91de-69f40204f78c");
            log.put("interfaceinfoName", "归集-真兰收费系统-用户信息");

            Guiji_gas1_Zenner_user_infor_Bean bean = new Guiji_gas1_Zenner_user_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setGUID(Data.getString("GUID"));
            bean.setVC_UI_CODE(Data.getString("VC_UI_CODE"));
            bean.setVC_UI_NAME(Data.getString("VC_UI_NAME"));
            bean.setVC_UI_STATE(Data.getString("VC_UI_STATE"));
            bean.setVC_UI_ADDR(Data.getString("VC_UI_ADDR"));
            bean.setVC_UI_TEL(Data.getString("VC_UI_TEL"));
            bean.setVC_UI_IDNO(Data.getString("VC_UI_IDNO"));
            bean.setVC_UI_REMARK(Data.getString("VC_UI_REMARK"));
            bean.setN_UI_BEFOREAMOUNT(Data.getString("N_UI_BEFOREAMOUNT"));
            bean.setN_UI_LASTAMOUNT(Data.getString("N_UI_LASTAMOUNT"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Zenner_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f6cb1f02-ac5d-44bb-b5ae-902bf14a7672");
            log.put("interfaceinfoName", "归集-真兰收费系统-表具信息");

            Guiji_gas2_Zenner_gas_meter_infor_Bean bean= new Guiji_gas2_Zenner_gas_meter_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setGUID(Data.getString("GUID"));
            bean.setVC_MI_USERGUID(Data.getString("VC_MI_USERGUID"));
            bean.setVC_MI_NO(Data.getString("VC_MI_NO"));
            bean.setVC_MI_CARDNO(Data.getString("VC_MI_CARDNO"));
            bean.setVC_MI_DIRECTION(Data.getString("VC_MI_DIRECTION"));
            bean.setVC_MI_TIMA(Data.getString("VC_MI_TIMA"));
            bean.setVC_MI_CHAOBIAO(Data.getString("VC_MI_CHAOBIAO"));
            bean.setN_MI_BASECOUNT(Data.getString("N_MI_BASECOUNT"));
            bean.setN_MI_BASELEAVE(Data.getString("N_MI_BASELEAVE"));
            bean.setVC_MI_STATE(Data.getString("VC_MI_STATE"));
            bean.setI_MI_SALECOUNT(Data.getString("I_MI_SALECOUNT"));
            bean.setI_MI_WLSALECOUNT(Data.getString("I_MI_WLSALECOUNT"));
            bean.setI_MI_FILLCARDCOUNT(Data.getString("I_MI_FILLCARDCOUNT"));
            bean.setVC_MI_REMARK(Data.getString("VC_MI_REMARK"));
            bean.setI_MI_REPORTCOUNT(Data.getString("I_MI_REPORTCOUNT"));
            bean.setD_MI_CREATETIME(Data.getString("D_MI_CREATETIME"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_gas_meter_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_gas_meter_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_gas_meter_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_gas_meter_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Zenner_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "922941df-096f-4b63-80c8-3c822db6cfc1");
            log.put("interfaceinfoName", "归集-真兰收费系统-预付费购气信息");

            Guiji_gas3_Zenner_gas_purchase_infor_Bean bean = new Guiji_gas3_Zenner_gas_purchase_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setGUID(Data.getString("GUID"));
            bean.setVC_SG_USERGUID(Data.getString("VC_SG_USERGUID"));
            bean.setN_SG_BEFOREAMOUNT(Data.getString("N_SG_BEFOREAMOUNT"));
            bean.setN_SG_SHOULDAMOUNT(Data.getString("N_SG_SHOULDAMOUNT"));
            bean.setN_SG_FACTAMOUNT(Data.getString("N_SG_FACTAMOUNT"));
            bean.setN_SG_LASTAMOUNT(Data.getString("N_SG_LASTAMOUNT"));
            bean.setVC_SG_IVNO(Data.getString("VC_SG_IVNO"));
            bean.setVC_SG_OPCODE(Data.getString("VC_SG_OPCODE"));
            bean.setD_SG_SALEDATE(Data.getString("D_SG_SALEDATE"));
            bean.setVC_SG_SALEORBACK(Data.getString("VC_SG_SALEORBACK"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_gas_purchase_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_gas_purchase_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_gas_purchase_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_gas_purchase_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Zenner_gas_purchase_center_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "397882f8-e83e-412f-bffd-387b94ba32a8");
            log.put("interfaceinfoName", "归集-真兰收费系统-中心计费购气信息");

            Guiji_gas3_Zenner_gas_purchase_infor_Bean bean = new Guiji_gas3_Zenner_gas_purchase_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setGUID(Data.getString("GUID"));
            bean.setVC_JFD_USERGUID(Data.getString("VC_JFD_USERGUID"));
            bean.setN_JFD_BEFORENUM(Data.getString("N_JFD_BEFORENUM"));
            bean.setN_JFD_LASTNUM(Data.getString("N_JFD_LASTNUM"));
            bean.setN_JFD_BEFOREAMOUNT(Data.getString("N_JFD_BEFOREAMOUNT"));
            bean.setN_JFD_AMOUNT(Data.getString("N_JFD_AMOUNT"));
            bean.setN_JFD_LASTAMOUNT(Data.getString("N_JFD_LASTAMOUNT"));
            bean.setVC_JFD_INVOICE(Data.getString("VC_JFD_INVOICE"));
            bean.setVC_JFH_SKPERSON(Data.getString("VC_JFH_SKPERSON"));
            bean.setD_JFH_SKDATE(Data.getString("D_JFH_SKDATE"));
            bean.setVC_JFD_SKTYPE(Data.getString("VC_JFD_SKTYPE"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_gas_purchase_center_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_gas_purchase_center_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_gas_purchase_center_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_gas_purchase_center_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Zenner_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "4a7859be-daac-4ee0-b961-5a5c12aaba3f");
            log.put("interfaceinfoName", "归集-真兰收费系统-抄表信息");

            Guiji_gas4_Zenner_meter_reading_infor_Bean bean = new Guiji_gas4_Zenner_meter_reading_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setGUID(Data.getString("GUID"));
            bean.setGUID(Data.getString("GUID"));
            bean.setVC_WCB_USERGUID(Data.getString("VC_WCB_USERGUID"));
            bean.setVC_WCB_METERGUID(Data.getString("VC_WCB_METERGUID"));
            bean.setVC_WCB_PERSON(Data.getString("VC_WCB_PERSON"));
            bean.setD_WCB_OPDATE(Data.getString("D_WCB_OPDATE"));
            bean.setN_WCB_USED(Data.getString("N_WCB_USED"));
            bean.setN_WCB_HEJI(Data.getString("N_WCB_HEJI"));
            bean.setN_WCB_HEJIEX(Data.getString("N_WCB_HEJIEX"));
            bean.setN_WCB_LEAVE(Data.getString("N_WCB_LEAVE"));
            bean.setN_WCB_BUY(Data.getString("N_WCB_BUY"));
            bean.setN_WCB_TOTALBUY(Data.getString("N_WCB_TOTALBUY"));
            bean.setN_WCB_PRICE(Data.getString("N_WCB_PRICE"));
            bean.setI_WCB_BUYCOUNT(Data.getString("I_WCB_BUYCOUNT"));
            bean.setI_WCB_WLBUYCOUNT(Data.getString("I_WCB_WLBUYCOUNT"));
            bean.setVC_WCB_REMOTECLOSEVALVE(Data.getString("VC_WCB_REMOTECLOSEVALVE"));
            bean.setVC_WCB_REVEAL(Data.getString("VC_WCB_REVEAL"));
            bean.setVC_WCB_COMMUNICATEBAD(Data.getString("VC_WCB_COMMUNICATEBAD"));
            bean.setVC_WCB_MAGNETICDISTURBANCE(Data.getString("VC_WCB_MAGNETICDISTURBANCE"));
            bean.setVC_WCB_VALVESTATE(Data.getString("VC_WCB_VALVESTATE"));
            bean.setVC_WCB_BATTERY(Data.getString("VC_WCB_BATTERY"));
            bean.setVC_WCB_FLOW(Data.getString("VC_WCB_FLOW"));
            bean.setVC_WCB_BATTERYPER(Data.getString("VC_WCB_BATTERYPER"));
            bean.setVC_WCB_BATTERYMILL(Data.getString("VC_WCB_BATTERYMILL"));
            bean.setVC_WCB_SPAREBATTERYMILL(Data.getString("VC_WCB_SPAREBATTERYMILL"));
            bean.setVC_WCB_ADDRESS(Data.getString("VC_WCB_ADDRESS"));
            bean.setVC_WCB_CODE(Data.getString("VC_WCB_CODE"));
            bean.setVC_WCB_VALVEERR(Data.getString("VC_WCB_VALVEERR"));
            bean.setVC_WCB_ARREARSCLOSEVALUE(Data.getString("VC_WCB_ARREARSCLOSEVALUE"));
            bean.setVC_WCB_INNERBATERR(Data.getString("VC_WCB_INNERBATERR"));
            bean.setVC_WCB_DIE(Data.getString("VC_WCB_DIE"));
            bean.setVC_WCB_TILT(Data.getString("VC_WCB_TILT"));
            bean.setVC_WCB_MONTHVALUE(Data.getString("VC_WCB_MONTHVALUE"));
            bean.setEXECE_DATE(Data.getString("EXECE_DATE"));
            bean.setEXECE_STATE(Data.getString("EXECE_STATE"));
            bean.setVC_WCB_USEDATE(Data.getString("VC_WCB_USEDATE"));
            bean.setVC_WCB_USERNAME(Data.getString("VC_WCB_USERNAME"));
            bean.setVC_WCB_ALARMVALUE(Data.getString("VC_WCB_ALARMVALUE"));
            bean.setVC_WCB_SIGNALINTENSITY(Data.getString("VC_WCB_SIGNALINTENSITY"));
            bean.setI_WCB_REPORTCOUNT(Data.getString("I_WCB_REPORTCOUNT"));
            bean.setN_WCB_JTNUM1(Data.getString("N_WCB_JTNUM1"));
            bean.setN_WCB_JTPRICE1(Data.getString("N_WCB_JTPRICE1"));
            bean.setN_WCB_JTAMOUNT1(Data.getString("N_WCB_JTAMOUNT1"));
            bean.setN_WCB_JTNUM2(Data.getString("N_WCB_JTNUM2"));
            bean.setN_WCB_JTPRICE2(Data.getString("N_WCB_JTPRICE2"));
            bean.setN_WCB_JTAMOUNT2(Data.getString("N_WCB_JTAMOUNT2"));
            bean.setN_WCB_JTNUM3(Data.getString("N_WCB_JTNUM3"));
            bean.setN_WCB_JTPRICE3(Data.getString("N_WCB_JTPRICE3"));
            bean.setN_WCB_JTAMOUNT3(Data.getString("N_WCB_JTAMOUNT3"));
            bean.setN_WCB_JTNUM4(Data.getString("N_WCB_JTNUM4"));
            bean.setN_WCB_JTPRICE4(Data.getString("N_WCB_JTPRICE4"));
            bean.setN_WCB_JTAMOUNT4(Data.getString("N_WCB_JTAMOUNT4"));
            bean.setN_WCB_JTNUM5(Data.getString("N_WCB_JTNUM5"));
            bean.setN_WCB_JTPRICE5(Data.getString("N_WCB_JTPRICE5"));
            bean.setN_WCB_JTAMOUNT5(Data.getString("N_WCB_JTAMOUNT5"));
            bean.setN_WCB_JTNUM6(Data.getString("N_WCB_JTNUM6"));
            bean.setN_WCB_JTPRICE6(Data.getString("N_WCB_JTPRICE6"));
            bean.setN_WCB_JTAMOUNT6(Data.getString("N_WCB_JTAMOUNT6"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_meter_reading_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_meter_reading_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_meter_reading_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_meter_reading_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Aofe_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "a44780dc-7388-4d83-9911-6cb8d3a4ef7f");
            log.put("interfaceinfoName", "归集-奥枫收费系统-用户信息");

            Guiji_gas5_Aofe_user_infor_Bean bean = new Guiji_gas5_Aofe_user_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setF_userid(Data.getString("f_userid"));
            bean.setF_userstate(Data.getString("f_userstate"));
            bean.setF_state(Data.getString("f_state"));
            bean.setF_username(Data.getString("f_username"));
            bean.setF_idnumber(Data.getString("f_idnumber"));
            bean.setF_phone(Data.getString("f_phone"));
            bean.setF_yytdepa(Data.getString("f_yytdepa"));
            bean.setF_yytoper(Data.getString("f_yytoper"));
            bean.setF_yytdate(Data.getString("f_yytdate"));
            bean.setF_dateofopening(Data.getString("f_dateofopening"));
            bean.setF_filiale(Data.getString("f_filiale"));
            bean.setF_fengongsinum(Data.getString("f_fengongsinum"));
            bean.setF_usertype(Data.getString("f_usertype"));
            bean.setF_districtname(Data.getString("f_districtname"));
            bean.setF_address(Data.getString("f_address"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Aofe_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Aofe_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Aofe_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Aofe_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Aofe_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "7232714a-30aa-499b-a844-6f68fe24fdf3");
            log.put("interfaceinfoName", "归集-奥枫收费系统-表具信息");

            Guiji_gas6_Aofe_gas_meter_infor_Bean bean= new Guiji_gas6_Aofe_gas_meter_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setF_userid(Data.getString("f_userid"));
            bean.setF_gaswatchbrand(Data.getString("f_gaswatchbrand"));
            bean.setF_metertype(Data.getString("f_metertype"));
            bean.setF_aliasname(Data.getString("f_aliasname"));
            bean.setF_gasmeterstyle(Data.getString("f_gasmeterstyle"));
            bean.setF_meternumber(Data.getString("f_meternumber"));
            bean.setF_cardid(Data.getString("f_cardid"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Aofe_gas_meter_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Aofe_gas_meter_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Aofe_gas_meter_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Aofe_gas_meter_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Aofe_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f1615dc6-de25-44dc-a6bf-14acf38bb4ff");
            log.put("interfaceinfoName", "归集-奥枫收费系统-购气信息");

            Guiji_gas7_Aofe_gas_purchase_infor_Bean bean = new Guiji_gas7_Aofe_gas_purchase_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setF_userid(Data.getString("f_userid"));
            bean.setF_username(Data.getString("f_username"));
            bean.setF_usertype(Data.getString("f_usertype"));
            bean.setF_zhye(Data.getString("f_zhye"));
            bean.setF_benqizhye(Data.getString("f_benqizhye"));
            bean.setF_gasmeterstyle(Data.getString("f_gasmeterstyle"));
            bean.setF_pregas(Data.getString("f_pregas"));
            bean.setF_preamount(Data.getString("f_preamount"));
            bean.setF_payment(Data.getString("f_payment"));
            bean.setF_upbuynum(Data.getString("f_upbuynum"));
            bean.setF_sgnetwork(Data.getString("f_sgnetwork"));
            bean.setF_sgoperator(Data.getString("f_sgoperator"));
            bean.setF_deliverydate(Data.getString("f_deliverydate"));
            bean.setF_deliverytime(Data.getString("f_deliverytime"));
            bean.setF_filiale(Data.getString("f_filiale"));
            bean.setF_fengongsinum(Data.getString("f_fengongsinum"));
            bean.setF_payfeetype(Data.getString("f_payfeetype"));
            bean.setF_payfeevalid(Data.getString("f_payfeevalid"));
            bean.setF_times(Data.getString("f_times"));
            bean.setF_stairtype(Data.getString("f_stairtype"));
            bean.setF_stair1price(Data.getString("f_stair1price"));
            bean.setF_stair1amount(Data.getString("f_stair1amount"));
            bean.setF_stair1fee(Data.getString("f_stair1fee"));
            bean.setF_stair2price(Data.getString("f_stair2price"));
            bean.setF_stair2amount(Data.getString("f_stair2amount"));
            bean.setF_stair2fee(Data.getString("f_stair2fee"));
            bean.setF_stair3price(Data.getString("f_stair3price"));
            bean.setF_stair3amount(Data.getString("f_stair3amount"));
            bean.setF_stair3fee(Data.getString("f_stair3fee"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Aofe_gas_purchase_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Aofe_gas_purchase_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Aofe_gas_purchase_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Aofe_gas_purchase_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Aofe_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "6c421b6e-511c-45fa-bf95-37a49346212c");
            log.put("interfaceinfoName", "归集-奥枫收费系统-抄表信息");

            Guiji_gas8_Aofe_meter_reading_infor_Bean bean = new Guiji_gas8_Aofe_meter_reading_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setF_userid(Data.getString("f_userid"));
            bean.setF_username(Data.getString("f_username"));
            bean.setF_usertype(Data.getString("f_usertype"));
            bean.setF_districtname(Data.getString("f_districtname"));
            bean.setF_address(Data.getString("f_address"));
            bean.setF_filiale(Data.getString("f_filiale"));
            bean.setF_network(Data.getString("f_network"));
            bean.setF_operator(Data.getString("f_operator"));
            bean.setOughtamount(Data.getString("oughtamount"));
            bean.setOughtfee(Data.getString("oughtfee"));
            bean.setLastrecord(Data.getString("lastrecord"));
            bean.setLastinputgasnum(Data.getString("lastinputgasnum"));
            bean.setF_inputdate(Data.getString("f_inputdate"));
            bean.setScinputdate(Data.getString("scinputdate"));
            bean.setF_handdate(Data.getString("f_handdate"));
            bean.setShifoujiaofei(Data.getString("shifoujiaofei"));
            bean.setF_endjfdate(Data.getString("f_endjfdate"));
            bean.setF_state(Data.getString("f_state"));
            bean.setF_sellid(Data.getString("f_sellid"));
            bean.setF_zhinajin(Data.getString("f_zhinajin"));
            bean.setF_zhinajindate(Data.getString("f_zhinajindate"));
            bean.setF_zhinajintianshu(Data.getString("f_zhinajintianshu"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Aofe_meter_reading_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Aofe_meter_reading_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Aofe_meter_reading_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Aofe_meter_reading_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_qinchuan_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "31c51e30-eaa5-4207-85b6-8c14d8a053d2");
            log.put("interfaceinfoName", "归集-秦川业务系统-用户信息");

            Guiji_gas9_qinchuan_user_infor_Bean bean = new Guiji_gas9_qinchuan_user_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setC_UserName(Data.getString("C_UserName"));
            bean.setC_Telphone(Data.getString("C_Telphone"));
            bean.setC_AddrInfo(Data.getString("C_AddrInfo"));
            bean.setC_Ye(Data.getString("C_Ye"));
            bean.setC_PayCode(Data.getString("C_PayCode"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_qinchuan_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_qinchuan_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_qinchuan_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_qinchuan_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_SC_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "1042c600-4b27-479c-9c4a-9f73ac4202a7");
            log.put("interfaceinfoName", "归集-思凯收费系统-用户信息");

            Guiji_gas10_SC_user_infor_Bean bean = new Guiji_gas10_SC_user_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setUserName(Data.getString("userName"));
            bean.setUserPhone(Data.getString("userPhone"));
            bean.setUserAddr(Data.getString("userAddr"));
            bean.setBalance(Data.getString("balance"));
            bean.setUserCode(Data.getString("userCode"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_SC_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_SC_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_SC_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_SC_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_SC_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "0a94cb83-8cf2-42e6-9ef0-579eb178543a");
            log.put("interfaceinfoName", "归集-思凯收费系统-表具信息");

            Guiji_gas11_SC_gas_meter_infor_Bean bean= new Guiji_gas11_SC_gas_meter_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setTrademark(Data.getString("trademark"));
            bean.setProductType(Data.getString("productType"));
            bean.setObsolescence(Data.getString("obsolescence"));
            bean.setBaseRead(Data.getString("baseRead"));
            bean.setBarcode(Data.getString("barcode"));
            bean.setUserCode(Data.getString("userCode"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_SC_gas_meter_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_SC_gas_meter_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_SC_gas_meter_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_SC_gas_meter_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_SC_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "ecc0a004-a56a-4eef-9cd5-f04fe059b9be");
            log.put("interfaceinfoName", "归集-思凯收费系统-购气信息");

            Guiji_gas12_SC_gas_purchase_infor_Bean bean = new Guiji_gas12_SC_gas_purchase_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setTradeTime(Data.getString("tradeTime"));
            bean.setTradeAmount(Data.getString("tradeAmount"));
            bean.setTradeMoney(Data.getString("tradeMoney"));
            bean.setUserCode(Data.getString("userCode"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_SC_gas_purchase_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_SC_gas_purchase_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_SC_gas_purchase_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_SC_gas_purchase_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_SC_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "db120bfe-dfc3-4a0d-b4c3-4b1308fbf429");
            log.put("interfaceinfoName", "归集-思凯收费系统-抄表信息");

            Guiji_gas13_SC_meter_reading_infor_Bean bean = new Guiji_gas13_SC_meter_reading_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setReadNow(Data.getString("readNow"));
            bean.setReadLast(Data.getString("readLast"));
            bean.setUseAmount(Data.getString("useAmount"));
            bean.setUseMoney(Data.getString("useMoney"));
            bean.setBarCode(Data.getString("barCode"));
            bean.setRecordTime(Data.getString("recordTime"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_SC_meter_reading_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_SC_meter_reading_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_SC_meter_reading_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_SC_meter_reading_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_XinKer_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "7ee35eea-99db-4831-9fea-d448db92dd27");
            log.put("interfaceinfoName", "归集-鑫科客户系统-客户信息");

            Guiji_gas14_XinKer_user_infor_Bean bean = new Guiji_gas14_XinKer_user_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setName(Data.getString("Name"));
            bean.setSex(Data.getString("Sex"));
            bean.setPhone(Data.getString("Phone"));
            bean.setAddress(Data.getString("Address"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_XinKer_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_XinKer_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_XinKer_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_XinKer_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_XinKer_acceptance_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f8f22877-9fdc-45a5-86ec-8c21bba751c4");
            log.put("interfaceinfoName", "归集-鑫科客户系统-受理信息");

            Guiji_gas15_XinKer_acceptance_infor_Bean bean= new Guiji_gas15_XinKer_acceptance_infor_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setNumber(Data.getString("Number"));
            bean.setDatetime(Data.getString("Datetime"));
            bean.setAcceptor(Data.getString("Acceptor"));
            bean.setInformation(Data.getString("Information"));
            bean.setTaskType(Data.getString("TaskType"));
            bean.setBusinessType(Data.getString("BusinessType"));
            bean.setDetailedInformation(Data.getString("DetailedInformation"));
            bean.setContent(Data.getString("Content"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_XinKer_acceptance_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_XinKer_acceptance_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_XinKer_acceptance_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_XinKer_acceptance_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_XinKer_disposition_info(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f2ece35b-dcaf-435c-9821-269bbf7134f0");
            log.put("interfaceinfoName", "归集-鑫科客户系统-处理信息");

            Guiji_gas16_XinKer_disposition_info_Bean bean = new Guiji_gas16_XinKer_disposition_info_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setClerkOrdering(Data.getString("ClerkOrdering"));
            bean.setDateTime(Data.getString("DateTime"));
            bean.setWorker(Data.getString("Worker"));
            bean.setResultCode(Data.getString("ResultCode"));
            bean.setContent(Data.getString("Content"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_XinKer_disposition_info(bean);
                guiji_gas_mapper2.add_guiji_gas_XinKer_disposition_info(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_XinKer_disposition_info(bean);
                guiji_gas_mapper2.update_guiji_gas_XinKer_disposition_info(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


    /**
     * 查询接口
     */

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-用户信息
     */
    @Override
    public ResultModel select_gas_Zenner_user_infor(Guiji_gas1_Zenner_user_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "dc29f31a-17e3-4747-a3ed-acc5d3915b46");
        log.put("interfaceinfoName", "共享（市）-真兰收费系统-用户信息");
        try {
            if (bean.getVC_UI_NAME() == null || bean.getVC_UI_CODE() == null) {
                r.setCode(99999);
                r.setMessage("用户姓名、用户编号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Zenner_user_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-表具信息
     */
    @Override
    public ResultModel select_gas_Zenner_gas_meter_infor(Guiji_gas2_Zenner_gas_meter_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "847adf78-e5b3-433a-bae7-3e71b1ad0e11");
        log.put("interfaceinfoName", "共享（市）-真兰收费系统-表具信息");
        try {
            if(bean.getVC_MI_NO() == null || bean.getVC_MI_CARDNO() == null){
                r.setCode(99999);
                r.setMessage("气表编号、卡号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Zenner_gas_meter_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-预付费购气信息
     */
    @Override
    public ResultModel select_gas_Zenner_gas_purchase_infor(Guiji_gas3_Zenner_gas_purchase_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "7b8ea723-dff0-4e4f-81a8-03f1b178aade");
        log.put("interfaceinfoName", "共享（市）-真兰收费系统-预付费购气信息");
        try {
            if(bean.getVC_SG_USERGUID() == null){
                r.setCode(99999);
                r.setMessage("用户GUID"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Zenner_gas_purchase_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-抄表信息
     */
    @Override
    public ResultModel select_gas_Zenner_meter_reading_infor(Guiji_gas4_Zenner_meter_reading_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "f7355693-ac0b-4517-a4b1-89de29b86861");
        log.put("interfaceinfoName", "共享（市）-真兰收费系统-抄表信息");
        try {
            if(bean.getVC_WCB_USERGUID()== null){
                r.setCode(99999);
                r.setMessage("用户GUID"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Zenner_meter_reading_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 真兰收费系统-中心计费购气信息
     */
    @Override
    public ResultModel select_gas_Zenner_gas_purchase_center_infor(Guiji_gas3_Zenner_gas_purchase_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "d5af6d05-7023-42bf-b28c-cd9fccfadbd2");
        log.put("interfaceinfoName", "共享（市）-真兰收费系统-中心计费购气信息");
        try {
            if(bean.getVC_JFD_USERGUID()== null){
                r.setCode(99999);
                r.setMessage("用户GUID"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Zenner_gas_purchase_center_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 奥枫收费系统-用户信息
     */
    @Override
    public ResultModel select_gas_Aofe_user_infor(Guiji_gas5_Aofe_user_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "2ea17316-a950-4815-86f0-d4df011c8692");
        log.put("interfaceinfoName", "共享（市）-奥枫收费系统-用户信息");
        try {
            if(bean.getF_userid()== null){
                r.setCode(99999);
                r.setMessage("用户编号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Aofe_user_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 奥枫收费系统-表具信息
     */
    @Override
    public ResultModel select_gas_Aofe_gas_meter_infor(Guiji_gas6_Aofe_gas_meter_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "33b48b9e-5800-4949-a979-fa06928c2a1a");
        log.put("interfaceinfoName", "共享（市）-奥枫收费系统-表具信息");
        try {
            if(bean.getF_userid()== null){
                r.setCode(99999);
                r.setMessage("用户编号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Aofe_gas_meter_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 奥枫收费系统-购气信息
     */
    @Override
    public ResultModel select_gas_Aofe_gas_purchase_infor(Guiji_gas7_Aofe_gas_purchase_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "d055750e-0817-40ef-8339-f66d85a58643");
        log.put("interfaceinfoName", "共享（市）-奥枫收费系统-购气信息");
        try {
            if(bean.getF_userid()== null){
                r.setCode(99999);
                r.setMessage("用户编号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Aofe_gas_purchase_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 奥枫收费系统-抄表信息
     */
    @Override
    public ResultModel select_gas_Aofe_meter_reading_infor(Guiji_gas8_Aofe_meter_reading_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "b8b63daa-86af-41b0-af10-6d78f77898ca");
        log.put("interfaceinfoName", "共享（市）-奥枫收费系统-抄表信息");
        try {
            if(bean.getF_userid()== null){
                r.setCode(99999);
                r.setMessage("用户编号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_Aofe_meter_reading_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 秦川业务系统-用户信息
     */
    @Override
    public ResultModel select_gas_qinchuan_user_infor(Guiji_gas9_qinchuan_user_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "ae107b5e-a6a0-452c-81ef-54ccec956599");
        log.put("interfaceinfoName", "共享（市）-秦川业务系统-用户信息");
        try {
            if(bean.getC_UserName()== null || bean.getC_Telphone()== null){
                r.setCode(99999);
                r.setMessage("姓名、电话"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_qinchuan_user_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 思凯收费系统-用户信息
     */
    @Override
    public ResultModel select_gas_SC_user_infor(Guiji_gas10_SC_user_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "d82ce143-5cc5-4890-9397-774da532580c");
        log.put("interfaceinfoName", "共享（市）-思凯收费系统-用户信息");
        try {
            if(bean.getUserName()== null || bean.getUserPhone()== null){
                r.setCode(99999);
                r.setMessage("姓名、电话"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_SC_user_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 思凯收费系统-表具信息
     */
    @Override
    public ResultModel select_gas_SC_gas_meter_infor(Guiji_gas11_SC_gas_meter_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "e7202f69-ad9d-4103-bfbe-b32a95beda86");
        log.put("interfaceinfoName", "共享（市）-思凯收费系统-表具信息");
        try {
            if(bean.getTrademark()== null || bean.getProductType()== null){
                r.setCode(99999);
                r.setMessage("品牌、型号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_SC_gas_meter_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 思凯收费系统-购气信息
     */
    @Override
    public ResultModel select_gas_SC_gas_purchase_infor(Guiji_gas12_SC_gas_purchase_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "09245458-eff9-45e0-8c62-016a32575824");
        log.put("interfaceinfoName", "共享（市）-思凯收费系统-购气信息");
        try {
            if(bean.getUserCode()== null){
                r.setCode(99999);
                r.setMessage("用户编号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_SC_gas_purchase_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 思凯收费系统-抄表信息
     */
    @Override
    public ResultModel select_gas_SC_meter_reading_infor(Guiji_gas13_SC_meter_reading_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "445bb69b-8934-4ae8-96ca-c950a4e0f3bc");
        log.put("interfaceinfoName", "共享（市）-思凯收费系统-抄表信息");
        try {
            if(bean.getBarCode()== null){
                r.setCode(99999);
                r.setMessage("表具条码号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_SC_meter_reading_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 鑫科客户系统-客户信息
     */
    @Override
    public ResultModel select_gas_XinKer_user_infor(Guiji_gas14_XinKer_user_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "cf66a56e-fdf8-40b6-82d0-ed556c3134a2");
        log.put("interfaceinfoName", "共享（市）-鑫科客户系统-客户信息");
        try {
            if(bean.getName()== null){
                r.setCode(99999);
                r.setMessage("客户名称"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_XinKer_user_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 鑫科客户系统-受理信息
     */
    @Override
    public ResultModel select_gas_XinKer_acceptance_infor(Guiji_gas15_XinKer_acceptance_infor_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "e12ffb0f-df83-4411-9042-c78a0f3f9328");
        log.put("interfaceinfoName", "共享（市）-鑫科客户系统-受理信息");
        try {
            if(bean.getNumber()== null){
                r.setCode(99999);
                r.setMessage("受理编号"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_XinKer_acceptance_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    /**
     * 市燃气
     * @param bean
     * @return 鑫科客户系统-处理信息
     */
    @Override
    public ResultModel select_gas_XinKer_disposition_infor(Guiji_gas16_XinKer_disposition_info_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "a7492732-de37-4a1b-8ad4-c1995db9992b");
        log.put("interfaceinfoName", "共享（市）-鑫科客户系统-处理信息");
        try {
            if(bean.getClerkOrdering()== null){
                r.setCode(99999);
                r.setMessage("接单人员"+check_required);
            } else {
                List ls = guiji_gas_mapper2.select_gas_XinKer_disposition_infor(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }
}
