package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.annotations.Expose;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_Housingconstruction_Mapper;
import com.sooka.mapper.Guiji_Housingconstruction_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Housingconstruction_Service;
import com.sooka.utils.HttpUtil;
import com.sooka.utils.UnicodeUtil;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.*;

@Service
public class Guiji_Housingconstruction_ServiceImpl extends BaseService implements Guiji_Housingconstruction_Service {


    @Resource
    Guiji_Housingconstruction_Mapper guiji_housingconstruction_mapper;
    @Resource
    Guiji_Housingconstruction_Mapper2 guiji_housingconstruction_mapper2;

    @Override
    public ResultModel add_guiji_housingconstruction_yhjbxx(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "a0d8c458-b8a1-46c4-bc34-0b94f57a5145");
        log.put("interfaceinfoName", "归集-市住建（自来水）-用户基本信息");
        try {
            Guiji_housingconstruction_yhjjxx_Bean bean = new Guiji_housingconstruction_yhjjxx_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setYHBH(Data.getString("YHBH"));
            bean.setYHMC(Data.getString("YHMC"));
            bean.setYHDZ(Data.getString("YHDZ"));
            bean.setYSYF(Data.getString("YSYF"));
            bean.setYSL(Data.getString("YSL"));
            bean.setSFJF(Data.getString("SFJF"));
            bean.setJFSJ(Data.getString("JFSJ"));

            if (bean.getCd_operation().equals("I")) {
                guiji_housingconstruction_mapper.add_guiji_housingconstruction_yhjbxx(bean);
                guiji_housingconstruction_mapper2.add_guiji_housingconstruction_yhjbxx(bean);
            } else {
                guiji_housingconstruction_mapper.update_guiji_housingconstruction_yhjbxx(bean);
                guiji_housingconstruction_mapper2.update_guiji_housingconstruction_yhjbxx(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    //用水量检测
//    {"Key": "7f7837ae31734fc797080f3969fa88c6", "cd_batch": "2021-09-17", "cd_time": "2021-09-17 14:07:59", "cd_source": "503026", "cd_operation": "I", "Data": {"ssid": "HD72_20210615_A1", "dnm": "\u8427\u5c71\u6c61\u6c34\u5206\u533a", "snm": "20210615", "value": 0.267, "time": 1623639600, "name": "\u538b\u529b"}, "id": "60c801e975fe470e60497f76HD72_20210615_A11623639600"}

    @Override
    public ResultModel add_guiji_housingconstruction_ysljc(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "8e394cd1-b2af-4f8e-a090-8f74b943ca18");
        log.put("interfaceinfoName", "归集-市住建（自来水）-用水量检测");
        try {
            Guiji_housingconstruction_ysljc_Bean bean = new Guiji_housingconstruction_ysljc_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setSsid(UnicodeUtil.decode(Data.getString("ssid")));
            bean.setName(UnicodeUtil.decode(Data.getString("name")));
            bean.setDnm(UnicodeUtil.decode(Data.getString("dnm")));
            bean.setSnm(Data.getString("snm"));
            bean.setValue(Data.getString("value"));
            bean.setTime(Data.getString("time"));

            if (bean.getCd_operation().equals("I")) {
                guiji_housingconstruction_mapper.add_guiji_housingconstruction_ysljc(bean);
                guiji_housingconstruction_mapper2.add_guiji_housingconstruction_ysljc(bean);
            } else {
                guiji_housingconstruction_mapper.update_guiji_housingconstruction_ysljc(bean);
                guiji_housingconstruction_mapper2.update_guiji_housingconstruction_ysljc(bean);
            }


            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel add_guiji_housingconstruction_zlskfrx(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "9d9362dc-ac87-4058-acab-d19373528e15");
        log.put("interfaceinfoName", "归集-市住建（自来水）-自来水客服热线");
        try {
            Guiji_housingconstruction_zlskfrx_Bean bean = new Guiji_housingconstruction_zlskfrx_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();

            bean.setId(Data.getString("CaseId"));
            bean.setCaseId(Data.getString("CaseId"));
            bean.setIncomingCall(Data.getString("IncomingCall"));
            bean.setName(Data.getString("Name"));
            bean.setAddress(Data.getString("Address"));
            bean.setContent(Data.getString("Content"));
            bean.setCreateOn(Data.getString("CreateOn"));

            if (bean.getCd_operation().equals("I")) {
                guiji_housingconstruction_mapper.add_guiji_housingconstruction_zlskfrx(bean);
                guiji_housingconstruction_mapper2.add_guiji_housingconstruction_zlskfrx(bean);
            } else {
                guiji_housingconstruction_mapper.update_guiji_housingconstruction_zlskfrx(bean);
                guiji_housingconstruction_mapper2.update_guiji_housingconstruction_zlskfrx(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败");
            e.printStackTrace();
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel add_guiji_housingconstruction_ysxt(String str) {
        ResultModel r = new ResultModel();
        try {
            Guiji_housingconstruction_ysxt_Bean bean = new Guiji_housingconstruction_ysxt_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();
            bean.setYHBH(Data.getString("YHBH"));
            bean.setYHMC(Data.getString("YHMC"));
            bean.setYHDZ(Data.getString("YHDZ"));
            bean.setYSYF(Data.getString("YSYF"));
            bean.setYSL(Data.getString("YSL"));
            bean.setSFJF(Data.getString("SFJF"));
            bean.setJFSJ(Data.getString("JFSJ"));
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败");
            e.printStackTrace();
        }
        return r;
    }

    //批次号计数器，每天0点清零
    int batch = 0;

    //每天23：50清空批次号计数器batch
    @Scheduled(cron = "0 50 23 * * ?")
    public void batchClear() {
        batch = 0;
    }

    @Override
    public ResultModel add_guiji_housingconstruction_hqrlsj(String str, String type) {
//        System.out.println("执行service");
        ResultModel r = new ResultModel();
        try {
            JSONObject jsonObject = JSON.parseObject(str);
            if (jsonObject.getString("status").equals("1")) {
                JSONArray data = jsonObject.getJSONArray("data");
                //每次执行接口 批次号计数器 加1
                batch++;
                for (int i = 0; i < data.size(); i++) {
                    JSONObject obj = data.getJSONObject(i);
                    String id = UUID.randomUUID().toString();
                    String name = obj.getString("name");
                    String time = obj.getString("time");
                    JSONArray params = obj.getJSONArray("params");
                    Guiji_housingconstruction_hqrlsj_Bean bean = new Guiji_housingconstruction_hqrlsj_Bean();

                    //2021-10-21 添加
                    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                    Date date = new Date(System.currentTimeMillis());
                    Calendar rightNow = Calendar.getInstance();
                    Integer year = rightNow.get(Calendar.YEAR);
                    Integer month = rightNow.get(Calendar.MONTH) + 1;
                    Integer day = rightNow.get(rightNow.DAY_OF_MONTH);

                    bean.setCd_time(sdf.format(date));
                    bean.setCd_batch(year + "" + month + "" + day + this.getBatch(batch));//
                    bean.setCd_operation("I");
                    bean.setCd_source("503026");

                    bean.setId(id);
                    bean.setName(name);
                    bean.setType(type);
                    guiji_housingconstruction_mapper.add_guiji_housingconstruction_hqrlsj(bean);
                    guiji_housingconstruction_mapper2.add_guiji_housingconstruction_hqrlsj(bean);
                    for (int j = 0; j < params.size(); j++) {
                        String param_id = UUID.randomUUID().toString();
                        JSONObject p = params.getJSONObject(j);
                        String p_name = p.getString("name");
                        String p_value = p.getString("value");
                        String hqrlsj_id = id;
                        Guiji_housingconstruction_hqrlsj_Bean bean_detail = new Guiji_housingconstruction_hqrlsj_Bean();
                        //2021-10-21 添加
                        Date date_detail = new Date(System.currentTimeMillis());
                        bean_detail.setCd_time(sdf.format(date_detail));
                        bean_detail.setCd_batch(year + "" + month + "" + day + this.getBatch(batch));
                        bean_detail.setCd_operation("I");
                        bean_detail.setCd_source("503026");

                        bean_detail.setId(param_id);
                        bean_detail.setName(p_name);
                        bean_detail.setValue(p_value);
                        bean_detail.setHqrlsj_id(id);
                        guiji_housingconstruction_mapper.add_guiji_housingconstruction_hqrlsj_detail(bean_detail);
                        guiji_housingconstruction_mapper2.add_guiji_housingconstruction_hqrlsj_detail(bean_detail);
                    }
                }
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败");
            e.printStackTrace();
        }
        return r;
    }


    //根据全局变量batch获取批次号后五位，如果batch是一位数，则在前面补全4个0，如果是两位数补全3个0。
    public String getBatch(int t) {
        String cdBatch = t + "";
        String str;
        if (cdBatch.length() == 1) {
            return "0000" + t;
        } else {
            return "000" + t;
        }
    }

    //-----------------------------------------------------------
    @Override
    public ResultModel select_guiji_housingconstruction_yhjbxx(Guiji_housingconstruction_yhjjxx_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "e73f0187-a6c6-46ed-bfef-172e32a6bfff");
        log.put("interfaceinfoName", "共享（市）-市住建局（自来水）-用户基本信息");
        try {
            if (bean.getYHMC() == null) {
                r.setCode(99999);
                r.setMessage("用户名称"+check_required);
            } else {
                List ls = guiji_housingconstruction_mapper2.select_guiji_housingconstruction_yhjbxx(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }
}
