package com.sooka.service.impl;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseGuijiBean;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_Library_Mapper;
import com.sooka.mapper.Guiji_Library_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Library_Service;

import com.sooka.utils.HttpUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

@Service
public class Guiji_Library_ServiceImpl extends BaseService implements Guiji_Library_Service {

    @Resource
    Guiji_Library_Mapper guiji_library_mapper;
    @Resource
    Guiji_Library_Mapper2 guiji_library_mapper2;

    @Override
    public ResultModel add_guiji_library_baseinfo(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "5dc355e3-7ffb-4fc7-ba7c-ad5652d464b4");
        log.put("interfaceinfoName", "归集-市文旅（图书馆）-人员基本信息");
        try {
            Guiji_library_baseinfo_Bean bean = new Guiji_library_baseinfo_Bean();
            initBaseGuijiBean(str,bean);
//            JSONObject jsonObject = JSON.parseObject(str);
//            bean.setId(jsonObject.getString("id"));
//            bean.setCd_time(jsonObject.getString("cd_time"));
//            bean.setCd_batch(jsonObject.getString("cd_batch"));
//            bean.setCd_operation(jsonObject.getString("cd_operation"));
//            bean.setCd_source(jsonObject.getString("cd_source"));
//            JSONObject Data = jsonObject.getJSONObject("Data");

            JSONObject Data = bean.getData();

            bean.setCardno(Data.getString("cardno"));
            bean.setName(Data.getString("name"));
            bean.setIdCardNo(Data.getString("idCardNo"));
            String sex = Data.getString("sex");
            if (sex != null && sex.equals("F")) {
                bean.setSex(Data.getString("男"));
            } else if (sex != null && sex.equals("M")) {
                bean.setSex(Data.getString("女"));
            }
            bean.setAddress(Data.getString("address"));
            bean.setBirthday(Data.getString("birthday"));
            bean.setEndDate(Data.getString("endDate"));
            r.setCode(00000);
            r.setMessage("成功");

            if (bean.getCd_operation().equals("I")) {
                guiji_library_mapper.add_guiji_library_baseinfo(bean);
                guiji_library_mapper2.add_guiji_library_baseinfo(bean);
            } else {
                guiji_library_mapper.update_guiji_library_baseinfo(bean);
                guiji_library_mapper2.update_guiji_library_baseinfo(bean);
            }
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败");
            e.printStackTrace();
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel add_guiji_library_borrow(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "aa6b101e-25f3-423f-91d0-dcfde54894dc");
        log.put("interfaceinfoName", "归集-市文旅（图书馆）-借书信息");
        try {
            Guiji_library_borrow_Bean bean = new Guiji_library_borrow_Bean();
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            bean.setCd_time(jsonObject.getString("cd_time"));
            bean.setCd_batch(jsonObject.getString("cd_batch"));
            bean.setCd_operation(jsonObject.getString("cd_operation"));
            bean.setCd_source(jsonObject.getString("cd_source"));
            JSONObject Data = jsonObject.getJSONObject("Data");

            bean.setCardno(Data.getString("cardno"));
            bean.setName(Data.getString("name"));
            bean.setBarcode(Data.getString("barcode"));
            bean.setTitle(Data.getString("title"));
            bean.setOperationDate(Data.getString("operationDate"));


            r.setCode(00000);
            r.setMessage("成功");

            if (bean.getCd_operation().equals("I")) {
                guiji_library_mapper.add_guiji_library_borrow(bean);
                guiji_library_mapper2.add_guiji_library_borrow(bean);
            } else {
                guiji_library_mapper.update_guiji_library_borrow(bean);
                guiji_library_mapper2.update_guiji_library_borrow(bean);
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;

    }

    @Override
    public ResultModel add_guiji_library_give(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "1478cf99-4438-440e-9f2b-0e56a078f29c");
        log.put("interfaceinfoName", "归集-市文旅（图书馆）-还书信息");
        try {
            Guiji_library_give_Bean bean = new Guiji_library_give_Bean();
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            bean.setCd_time(jsonObject.getString("cd_time"));
            bean.setCd_batch(jsonObject.getString("cd_batch"));
            bean.setCd_operation(jsonObject.getString("cd_operation"));
            bean.setCd_source(jsonObject.getString("cd_source"));
            JSONObject Data = jsonObject.getJSONObject("Data");

            bean.setCardno(Data.getString("cardno"));
            bean.setName(Data.getString("name"));
            bean.setBarcode(Data.getString("barcode"));
            bean.setTitle(Data.getString("title"));
            bean.setOperationDate(Data.getString("operationDate"));


            r.setCode(00000);
            r.setMessage("成功");

            if (bean.getCd_operation().equals("I")) {
                guiji_library_mapper.add_guiji_library_give(bean);
                guiji_library_mapper2.add_guiji_library_give(bean);
            } else {
                guiji_library_mapper.update_guiji_library_give(bean);
                guiji_library_mapper2.update_guiji_library_give(bean);
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel add_creditpoints(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "2d4e3979-7daf-4405-b961-d2f3a22b635e");
        log.put("interfaceinfoName", "归集-市文旅（图书馆）-信用积分");
        try {
            Guiji_library_creditpoints_Bean bean = new Guiji_library_creditpoints_Bean();
            JSONObject jsonObject = JSON.parseObject(str);
            bean.setId(jsonObject.getString("id"));
            bean.setCd_time(jsonObject.getString("cd_time"));
            bean.setCd_batch(jsonObject.getString("cd_batch"));
            bean.setCd_operation(jsonObject.getString("cd_operation"));
            bean.setCd_source(jsonObject.getString("cd_source"));
            JSONObject Data = jsonObject.getJSONObject("Data");

            bean.setCardno(Data.getString("cardno"));
            bean.setName(Data.getString("name"));
            bean.setBarcode(Data.getString("barcode"));
            bean.setRecordType(Data.getString("recordType"));
            bean.setFinancialType(Data.getString("financialType"));
            bean.setMoney(Data.getString("money"));
            bean.setOperator(Data.getString("operator"));
            bean.setOperationDate(Data.getString("operationDate"));


            r.setCode(00000);
            r.setMessage("成功");

            if (bean.getCd_operation().equals("I")) {
                guiji_library_mapper.add_guiji_library_creditpoints(bean);
                guiji_library_mapper2.add_guiji_library_creditpoints(bean);
            } else {
                guiji_library_mapper.update_guiji_library_creditpoints(bean);
                guiji_library_mapper2.update_guiji_library_creditpoints(bean);
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


    //------------------------------------------------------------

    @Override
    public ResultModel select_guiji_library_baseinfo(Guiji_library_baseinfo_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "a2044c83-4dc1-43c1-b1fc-4936534ed9ce");
        log.put("interfaceinfoName", "共享（上报）-市文旅局（图书馆）-基本信息查询");
        try{
            if(bean.getName() == null){
                r.setCode(99999);
                r.setMessage("姓名不能为空");
            }else{
                List ls = guiji_library_mapper2.select_guiji_library_baseinfo(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        }catch(Exception e){
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel select_guiji_library_borrow(Guiji_library_borrow_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "9c7ffbdf-56e6-40d1-9bf9-6483ca843774");
        log.put("interfaceinfoName", "共享（上报）-市文旅（图书馆）-借书信息查询");
        try{
            if(bean.getName()== null && bean.getBarcode() == null){
                r.setCode(99999);
                r.setMessage("姓名、图书条码号"+check_one_required);
            }else{
                List ls = guiji_library_mapper2.select_guiji_library_borrow(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        }catch(Exception e){
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel select_guiji_library_give(Guiji_library_give_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "93ad1eef-61cc-4a46-b97a-c2f05cec9426");
        log.put("interfaceinfoName", "共享（上报）-市文旅（图书馆）-还书信息查询");
        try{
            if(bean.getName() == null && bean.getBarcode() == null){
                r.setCode(99999);
                r.setMessage("姓名和图书条码号不能同时为空");
            }else{
                List ls = guiji_library_mapper2.select_guiji_library_give(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        }catch(Exception e){
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel select_guiji_library_creditpoints(Guiji_library_creditpoints_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "8bf0954b-b77b-4d85-b352-4a6ec4a54d95");
        log.put("interfaceinfoName", "共享（上报）-市文旅（图书馆）-信用分查询");
        try{
            if(bean.getCardno() == null && bean.getName() == null){
                r.setCode(99999);
                r.setMessage("读者证号、读者姓名"+check_one_required);
            }else{
                List ls = guiji_library_mapper2.select_guiji_library_creditpoints(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        }catch(Exception e){
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


}
