package com.sooka.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.google.gson.annotations.Expose;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_Healthcommission_Mapper;
import com.sooka.mapper.Guiji_Healthcommission_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.Guiji_healthcommission_tjxx_Bean;
import com.sooka.model.bo.Guiji_healthcommission_xx_Bean;
import com.sooka.model.bo.Guiji_healthcommission_yyryxx_Bean;
import com.sooka.service.Guiji_healthcommission_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.*;

@Service
public class Guiji_healthcommission_ServiceImpl extends BaseService implements Guiji_healthcommission_Service {

    @Resource
    Guiji_Healthcommission_Mapper guiji_healthcommission_mapper;
    @Resource
    Guiji_Healthcommission_Mapper2 guiji_healthcommission_mapper2;


    @Override
    public ResultModel add_guiji_healthcommission_xx(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "ba4bb56b-ad60-4ca0-8dd8-7385ce719159");
        log.put("interfaceinfoName", "归集-市卫建委（血站）-献血者信息");
        try {
            Guiji_healthcommission_xx_Bean bean = new Guiji_healthcommission_xx_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();
            bean.setName(Data.getString("Name"));
            bean.setIDCardNum(Data.getString("IDCardNum"));
            String sex = Data.getString("SexID");
            if (sex != null && sex.equals("1")) {
                bean.setSexID("男");
            } else if (sex != null && sex.equals("2")) {
                bean.setSexID("女");
            }
            //2021-11-16 添加
//            SimpleDateFormat sdf= new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
//            Date date = new Date(System.currentTimeMillis());
//            bean.setCd_time(sdf.format(date));

            bean.setBirthday(Data.getString("Birthday"));
            bean.setAddress(Data.getString("Address"));
            bean.setFMName(Data.getString("FMName"));
            bean.setCHName(Data.getString("CHName"));
            bean.setDonCode(Data.getString("DonCode"));
            bean.setDonKind(Data.getString("DonKind"));
            bean.setVolume(Data.getString("Volume"));
            bean.setABO(Data.getString("ABO"));
            bean.setRhD(Data.getString("RhD"));
            bean.setCollectDate(Data.getString("CollectDate"));
            bean.setCollectPlace(Data.getString("CollectPlace"));
            bean.setOrganName(Data.getString("OrganName"));
            bean.setOrganTel(Data.getString("OrganTel"));

            if (bean.getCd_operation().equals("I")) {
                guiji_healthcommission_mapper.add_guiji_healthcommission_xx(bean);
                guiji_healthcommission_mapper2.add_guiji_healthcommission_xx(bean);
            } else {
                guiji_healthcommission_mapper.update_guiji_healthcommission_xx(bean);
                guiji_healthcommission_mapper2.update_guiji_healthcommission_xx(bean);
            }

        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败");
            e.printStackTrace();
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel add_guiji_healthcommission_yyryxx(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "23ede941-c39b-48fb-a860-0bf23d5b5f61");
        log.put("interfaceinfoName", "归集-市卫建委（体检）-预约人员信息");
        try {
            Guiji_healthcommission_yyryxx_Bean bean = new Guiji_healthcommission_yyryxx_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();
            bean.setCardID(Data.getString("CardID"));
            bean.setPersonType(Data.getString("PersonType"));
            bean.setUnitName(Data.getString("UnitName"));
            bean.setUserName(Data.getString("UserName"));
            bean.setSex(Data.getString("Sex"));
            bean.setAge(Data.getString("Age"));
            bean.setNature(Data.getString("Nature"));
            bean.setEducation(Data.getString("Education"));
            bean.setCellPhone(Data.getString("CellPhone"));
            bean.setWorkType(Data.getString("WorkType"));
            bean.setWorkAge(Data.getString("WorkAge"));
            bean.setUnitNatrue(Data.getString("UnitNatrue"));
            bean.setPhotoUrl(Data.getString("PhotoUrl"));
            bean.setLicenseUrl(Data.getString("LicenseUrl"));
            bean.setAddDate(Data.getString("AddDate"));
            bean.setAppTime(Data.getString("AppTime"));

            if (bean.getCd_operation().equals("I")) {
                guiji_healthcommission_mapper.add_guiji_healthcommission_yyryxx(bean);
                guiji_healthcommission_mapper2.add_guiji_healthcommission_yyryxx(bean);
            } else {
                guiji_healthcommission_mapper.update_guiji_healthcommission_yyryxx(bean);
                guiji_healthcommission_mapper2.update_guiji_healthcommission_yyryxx(bean);
            }

            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败");
            e.printStackTrace();
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel add_guiji_healthcommission_tjxx(String str) {

        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "00c7a248-8faf-4c65-a9b2-6aaf5fe541d8");
        log.put("interfaceinfoName", "归集-市卫建委（体检）-体检信息表");
        try {
            Guiji_healthcommission_tjxx_Bean bean = new Guiji_healthcommission_tjxx_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();
            bean.setCardID(Data.getString("CardID"));
            bean.setPersonType(Data.getString("PersonType"));
            bean.setUnitName(Data.getString("UnitName"));
            bean.setUserName(Data.getString("UserName"));
            bean.setSex(Data.getString("Sex"));
            bean.setAge(Data.getString("Age"));
            bean.setNature(Data.getString("Nature"));
            bean.setEducation(Data.getString("Education"));
            bean.setCellPhone(Data.getString("CellPhone"));
            bean.setWorkType(Data.getString("WorkType"));
            bean.setWorkAge(Data.getString("WorkAge"));
            bean.setUnitNatrue(Data.getString("UnitNatrue"));
            bean.setPhotoUrl(Data.getString("PhotoUrl"));
            bean.setLicenseUrl(Data.getString("LicenseUrl"));
            bean.setAddDate(Data.getString("AddDate"));
            bean.setAppTime(Data.getString("AppTime"));
            bean.setI_Checked(Data.getString("I_Checked"));
            bean.setI_CheckUser(Data.getString("I_CheckUser"));
            bean.setY_Checked(Data.getString("Y_Checked"));
            bean.setY_CheckUser(Data.getString("Y_CheckUser"));
            bean.setH_LEVlgM(Data.getString("H_LEVlgM"));
            bean.setH_JiaGan(Data.getString("H_JiaGan"));
            bean.setH_XQZYM(Data.getString("H_XQZYM"));
            bean.setH_LiJiGanJun(Data.getString("H_LiJiGanJun"));
            bean.setH_ShangHan(Data.getString("H_ShangHan"));
            bean.setH_MeiDu(Data.getString("H_MeiDu"));
            bean.setH_HIV(Data.getString("H_HIV"));
            bean.setH_Conclusion(Data.getString("H_Conclusion"));
            bean.setH_Checked(Data.getString("H_Checked"));
            bean.setH_CheckUser(Data.getString("H_CheckUser"));
            bean.setT_HasGanYan(Data.getString("T_HasGanYan"));
            bean.setT_GanYan(Data.getString("T_GanYan"));
            bean.setT_HasShangHan(Data.getString("T_HasShangHan"));
            bean.setT_ShangHan(Data.getString("T_ShangHan"));
            bean.setT_HasLiJi(Data.getString("T_HasLiJi"));
            bean.setT_LiJi(Data.getString("T_LiJi"));
            bean.setT_HasFeiJieHe(Data.getString("T_HasFeiJieHe"));
            bean.setT_FeiJieHe(Data.getString("T_FeiJieHe"));
            bean.setT_HasPiFuBing(Data.getString("T_HasPiFuBing"));
            bean.setT_PiFuBing(Data.getString("T_PiFuBing"));
            bean.setT_HasOtherDisease(Data.getString("T_HasOtherDisease"));
            bean.setT_OtherDisease(Data.getString("T_OtherDisease"));
            bean.setT_Xin(Data.getString("T_Xin"));
            bean.setT_Gan(Data.getString("T_Gan"));
            bean.setT_Pi(Data.getString("T_Pi"));
            bean.setT_Fei(Data.getString("T_Fei"));
            bean.setT_PiFu(Data.getString("T_PiFu"));
            bean.setT_Other(Data.getString("T_Other"));
            bean.setT_X(Data.getString("T_X"));
            bean.setT_Phenomenon(Data.getString("T_Phenomenon"));
            bean.setX_Checked(Data.getString("X_Checked"));
            bean.setX_CheckUser(Data.getString("X_CheckUser"));
            bean.setT_Conclusion(Data.getString("T_Conclusion"));
            bean.setT_Checked(Data.getString("T_Checked"));
            bean.setT_CheckUser(Data.getString("T_CheckUser"));
            bean.setB_Checked(Data.getString("B_Checked"));
            bean.setB_CheckUser(Data.getString("B_CheckUser"));
            bean.setC_Checked(Data.getString("C_Checked"));
            bean.setC_CheckUser(Data.getString("C_CheckUser"));


            if (bean.getCd_operation().equals("I")) {
                guiji_healthcommission_mapper.add_guiji_healthcommission_tjxx(bean);
                guiji_healthcommission_mapper2.add_guiji_healthcommission_tjxx(bean);
            } else {
                guiji_healthcommission_mapper.update_guiji_healthcommission_tjxx(bean);
                guiji_healthcommission_mapper2.update_guiji_healthcommission_tjxx(bean);
            }


            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败");
            e.printStackTrace();
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


    //-----------------------------------------------------------------
    @Override
    public ResultModel select_guiji_healthcommission_xx(Guiji_healthcommission_xx_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "485efd9c-330a-4a11-9f84-c51e2234dd04");
        log.put("interfaceinfoName", "共享（市）-市卫建委（血站）-献血者信息");
        try {
            if (bean.getName() == null || bean.getIDCardNum() == null) {
                r.setCode(99999);
                r.setMessage("姓名、证件"+check_required);
            } else {
                List ls = guiji_healthcommission_mapper2.select_guiji_healthcommission_xx(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel select_guiji_healthcommission_tjxx(Guiji_healthcommission_tjxx_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "0b315bc2-2eeb-46e7-b952-3df0fa70442c");
        log.put("interfaceinfoName", "共享（市）-市卫建委（体检）-体检信息表");
        try {
            if(bean.getUserName()== null || bean.getCardID() == null){
                r.setCode(99999);
                r.setMessage("姓名、身份证号码"+check_required);
            }
            List ls = guiji_healthcommission_mapper2.select_guiji_healthcommission_tjxx(bean);
            r.setData(ls);
            r.setCode(00000);
            r.setMessage("成功");
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


}
