package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.annotations.Expose;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_naturalresources_Mapper;
import com.sooka.mapper.Guiji_naturalresources_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.Guiji_naturalresources_bdcdjxx_Bean;
import com.sooka.model.bo.Guiji_naturalresources_bdcdjzxx_Bean;
import com.sooka.model.bo.Guiji_naturalresources_qlrjbxx_Bean;
import com.sooka.service.Guiji_naturalresources_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class Guiji_naturalresources_ServiceImpl extends BaseService implements Guiji_naturalresources_Service {


    @Autowired
    Guiji_naturalresources_Mapper guiji_naturalresources_mapper;
    @Autowired
    Guiji_naturalresources_Mapper2 guiji_naturalresources_mapper2;

    @Override
    public ResultModel add_guiji_naturalresources_qlrjbxx(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "1de6752d-19c2-4010-9b61-9450a9d718b6");
        log.put("interfaceinfoName", "归集-市自然资源（不动产）-权利人基本信息");
        try {
            Guiji_naturalresources_qlrjbxx_Bean bean = new Guiji_naturalresources_qlrjbxx_Bean();
            JSONObject jsonObject = JSON.parseObject(str);
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();

            bean.setDJBH(Data.getString("DJBH"));
            bean.setQLRLX(Data.getString("QLRLX"));
            bean.setQLBH(Data.getString("QLBH"));
            bean.setQLRBH(Data.getString("QLRBH"));
            bean.setQLLB(Data.getString("QLLB"));
            bean.setQLRMC(Data.getString("QLRMC"));
            bean.setSXH(Data.getString("SXH"));
            bean.setZJLB(Data.getString("ZJLB"));
            bean.setZJHM(Data.getString("ZJHM"));
            bean.setFZJG(Data.getString("FZJG"));
            bean.setSSHY(Data.getString("SSHY"));
            bean.setGJDQ(Data.getString("GJDQ"));
            bean.setHJSZSS(Data.getString("HJSZSS"));
            bean.setXB(Data.getString("XB"));
            bean.setDH(Data.getString("DH"));
            bean.setDZ(Data.getString("DZ"));
            bean.setYB(Data.getString("YB"));
            bean.setGZDW(Data.getString("GZDW"));
            bean.setDZYJ(Data.getString("DZYJ"));
            bean.setQDFS(Data.getString("QDFS"));
            bean.setQLRXZ(Data.getString("QLRXZ"));
            bean.setQLMJ(Data.getString("QLMJ"));
            bean.setQLBL(Data.getString("QLBL"));
            bean.setGYFS(Data.getString("GYFS"));
            bean.setQSZT(Data.getString("QSZT"));
            bean.setQZH(Data.getString("QZH"));
            bean.setZSBH(Data.getString("ZSBH"));
            bean.setFRLX(Data.getString("FRLX"));
            bean.setFRDB(Data.getString("FRDB"));
            bean.setCSRQ(Data.getString("CSRQ"));
            bean.setSFZTP(Data.getString("SFZTP"));
            bean.setBZ(Data.getString("BZ"));
            bean.setTSDW(Data.getString("TSDW"));
            bean.setTQ(Data.getString("TQ"));
            r.setCode(00000);
            r.setMessage("成功");

            if (bean.getCd_operation().equals("I")) {
                guiji_naturalresources_mapper.add_guiji_naturalresources_qlrjbxx(bean);
                guiji_naturalresources_mapper2.add_guiji_naturalresources_qlrjbxx(bean);
            } else {
                guiji_naturalresources_mapper.update_guiji_naturalresources_qlrjbxx(bean);
                guiji_naturalresources_mapper2.update_guiji_naturalresources_qlrjbxx(bean);
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel add_guiji_naturalresources_bdcdjxx(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "672238a3-3687-433c-888e-5db0c81eb8a8");
        log.put("interfaceinfoName", "归集-市自然资源（不动产）-个人基本信息");
        try {
            Guiji_naturalresources_bdcdjxx_Bean bean = new Guiji_naturalresources_bdcdjxx_Bean();
            JSONObject jsonObject = JSON.parseObject(str);
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();
            bean.setDJBH(Data.getString("DJBH"));
            bean.setFDZL(Data.getString("FDZL"));
            bean.setGYFS(Data.getString("GYFS"));
            bean.setQLLX(Data.getString("QLLX"));
            bean.setCQXZ(Data.getString("CQXZ"));
            bean.setCZFS(Data.getString("CZFS"));
            bean.setZPGJ(Data.getString("ZPGJ"));
            bean.setQSJE(Data.getString("QSJE"));
            bean.setZCJJ(Data.getString("ZCJJ"));
            bean.setQSJS(Data.getString("QSJS"));
            bean.setWXZJ(Data.getString("WXZJ"));
            bean.setYYS(Data.getString("YYS"));
            bean.setWSRQ(Data.getString("WSRQ"));
            bean.setCQAZHTRQ(Data.getString("CQAZHTRQ"));
            bean.setDJYY(Data.getString("DJYY"));
            bean.setFJ(Data.getString("FJ"));
            bean.setHH(Data.getString("HH"));
            bean.setZCS(Data.getString("ZCS"));
            bean.setSZC(Data.getString("SZC"));
            bean.setGHYT(Data.getString("GHYT"));
            bean.setFWJG(Data.getString("FWJG"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setSCJZMJ(Data.getString("SCJZMJ"));
            bean.setSCZYJZMJ(Data.getString("SCZYJZMJ"));
            bean.setSCFTJZMJ(Data.getString("SCFTJZMJ"));
            bean.setJGSJ(Data.getString("JGSJ"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setTDQLXZ(Data.getString("TDQLXZ"));
            bean.setTDQLLX(Data.getString("TDQLLX"));
            bean.setTDYT(Data.getString("TDYT"));
            bean.setTDSYQXKS(Data.getString("TDSYQXKS"));
            bean.setTDSYQXJS(Data.getString("TDSYQXJS"));
            bean.setSYNX(Data.getString("SYNX"));
            bean.setDYTDMJ(Data.getString("DYTDMJ"));
            bean.setFTTDMJ(Data.getString("FTTDMJ"));
            bean.setGYTDMJ(Data.getString("GYTDMJ"));
            bean.setZDDM(Data.getString("ZDDM"));
            bean.setBDCDYH(Data.getString("BDCDYH"));
            bean.setBDCID(Data.getString("BDCID"));
            bean.setTSDW(Data.getString("TSDW"));

            r.setCode(00000);
            r.setMessage("成功");

            if (bean.getCd_operation().equals("I")) {
                guiji_naturalresources_mapper.add_guiji_naturalresources_bdcdjxx(bean);
                guiji_naturalresources_mapper2.add_guiji_naturalresources_bdcdjxx(bean);
            } else {
                guiji_naturalresources_mapper.update_guiji_naturalresources_bdcdjxx(bean);
                guiji_naturalresources_mapper2.update_guiji_naturalresources_bdcdjxx(bean);
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel add_guiji_naturalresources_bdcdjzxx(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
        log.put("interfaceinfoId", "1543eb98-ba23-45f2-9883-1aac4c4d0c18");
        log.put("interfaceinfoName", "归集-市自然资源（不动产）-不动产登记征信息");
        try {
            Guiji_naturalresources_bdcdjzxx_Bean bean = new Guiji_naturalresources_bdcdjzxx_Bean();
            JSONObject jsonObject = JSON.parseObject(str);

            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();

            bean.setDJBH(Data.getString("DJBH"));
            bean.setQLRMC(Data.getString("QLRMC"));
            bean.setGYFS(Data.getString("GYFS"));
            bean.setFWZL(Data.getString("FWZL"));
            bean.setBDCDYH(Data.getString("BDCDYH"));
            bean.setZSBH(Data.getString("ZSBH"));
            bean.setYT(Data.getString("YT"));
            bean.setMJ(Data.getString("MJ"));
            bean.setQZH(Data.getString("QZH"));
            bean.setBZ(Data.getString("BZ"));
            bean.setTSDW(Data.getString("TSDW"));
            bean.setFWXZ(Data.getString("FWXZ"));
            bean.setDBSJ(Data.getString("DBSJ"));
            bean.setDYQR(Data.getString("DYQR"));
            bean.setDYR(Data.getString("DYR"));
            bean.setDYZTS(Data.getString("DYZTS"));
            bean.setCQJE(Data.getString("CQJE"));
            bean.setZWLXQS(Data.getString("ZWLXQS"));
            bean.setZWLXQZ(Data.getString("ZWLXQZ"));
            bean.setTXQZH(Data.getString("TXQZH"));
            bean.setDYYGQLR(Data.getString("DYYGQLR"));
            bean.setDYYGYWR(Data.getString("DYYGYWR"));
            bean.setDYYGZMH(Data.getString("DYYGZMH"));
            bean.setDYYGDJLX(Data.getString("DYYGDJLX"));
            bean.setYGQLR(Data.getString("YGQLR"));
            bean.setYGYWR(Data.getString("YGYWR"));
            bean.setYGZMH(Data.getString("YGZMH"));
            bean.setYGDJLX(Data.getString("YGDJLX"));
            bean.setCS(Data.getString("CS"));
            bean.setFWJG(Data.getString("FWJG"));
            bean.setHH(Data.getString("HH"));
            bean.setZCS(Data.getString("ZCS"));
            bean.setSZC(Data.getString("SZC"));
            bean.setSCJZMJ(Data.getString("SCJZMJ"));
            bean.setSCZYJZMJ(Data.getString("SCZYJZMJ"));
            bean.setSCFTJZMJ(Data.getString("SCFTJZMJ"));
            bean.setXZ(Data.getString("XZ"));
            bean.setLX(Data.getString("LX"));
            bean.setTDYT(Data.getString("TDYT"));
            bean.setTDSYQXKS(Data.getString("TDSYQXKS"));
            bean.setTDSYQXJS(Data.getString("TDSYQXJS"));
            bean.setYWMS(Data.getString("YWMS"));
            bean.setZSMC(Data.getString("ZSMC"));
            bean.setTSDW(Data.getString("TSDW"));

            if (bean.getCd_operation().equals("I")) {
                guiji_naturalresources_mapper.add_guiji_naturalresources_bdcdjzxx(bean);
                guiji_naturalresources_mapper2.add_guiji_naturalresources_bdcdjzxx(bean);
            } else {
                guiji_naturalresources_mapper.update_guiji_naturalresources_bdcdjzxx(bean);
                guiji_naturalresources_mapper2.add_guiji_naturalresources_bdcdjzxx(bean);
            }
            r.setCode(00000);
            r.setMessage("成功");
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


//-------------------------------------------------------------------

    @Override
    public ResultModel qlrjbxx_select(Guiji_naturalresources_qlrjbxx_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "cf136708-f81a-4b56-81c2-458cca6c514d");
        log.put("interfaceinfoName", "共享（市）-市自然资源（不动产）-权利人基本信息");
        try {
            if (bean.getQLRXZ().equals("其他") && bean.getQLRMC() == null) {
                r.setCode(99999);
                r.setMessage("名称"+check_required);
                return r;
            } else if (bean.getQLRMC() == null || bean.getZJHM() == null) {
                r.setCode(99999);
                r.setMessage("名称、证件号码"+check_required);
                return r;
            } else {
                List ls = guiji_naturalresources_mapper2.qlrjbxx_select(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel bdcdjxx_select(Guiji_naturalresources_bdcdjxx_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "27346269-5887-40dc-b1f8-bcaa7dcae22c");
        log.put("interfaceinfoName", "共享（市）-市自然资源（不动产）-个人基本信息");
        try {
            if(bean.getDJBH() == null && bean.getFDZL() == null){
                r.setCode(99999);
                r.setMessage("登记编号、不动产坐落"+check_one_required);
            }else{
                List ls = guiji_naturalresources_mapper2.bdcdjxx_select(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel bdcdjzxx_select(Guiji_naturalresources_bdcdjzxx_Bean bean) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "992e8a15-ec23-472b-9e1d-ad9d3388ed01");
        log.put("interfaceinfoName", "共享（市）-市自然资源（不动产）-不动产登记征信息");
        try {
            if(bean.getDJBH() == null && bean.getQLRMC() == null){
                r.setCode(99999);
                r.setMessage("登记编号、权利人不能同时为空");
            }else{
                List ls = guiji_naturalresources_mapper2.bdcdjzxx_select(bean);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", bean.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


}
