package com.sooka.utils;

import com.alibaba.fastjson.JSONObject;

import javax.net.ssl.*;
import java.io.*;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.security.NoSuchAlgorithmException;
import java.text.ParseException;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

import static javax.print.attribute.standard.ReferenceUriSchemesSupported.HTTP;

public class HttpUtil2 {

    //  直接通过主机认证
    HostnameVerifier hv = new HostnameVerifier() {
        public boolean verify(String urlHostName, SSLSession session) {
            return true;
        }
    };


    public static String doPost (String url, String param, Map headerparam) throws Exception {

        TrustManager[] trustAllCerts = {new TrustAllTrustManager()};
        SSLContext sc = null;
        try {
            sc = SSLContext.getInstance("SSL");
            SSLSessionContext sslsc = sc.getServerSessionContext();
            sslsc.setSessionTimeout(0);
            sc.init(null, trustAllCerts, null);
            HttpsURLConnection.setDefaultSSLSocketFactory(sc.getSocketFactory());
        } catch (Exception e) {
            e.printStackTrace();
        }
        //------
       URL reqURL = new URL(url); //创建URL对象
        HttpURLConnection httpsConn = (HttpURLConnection) reqURL.openConnection();
        httpsConn.setDoOutput(true);
        httpsConn.setRequestMethod("POST");
//        httpsConn.setRequestProperty("Content-type", "application/x-www-form-urlencoded");
        httpsConn.setRequestProperty("Accept-Charset", "utf-8");
        httpsConn.setRequestProperty("contentType", "utf-8");
        httpsConn.setRequestProperty("Content-Length", param.length()
                + "");


        if(headerparam != null){
            Set<String> keys =headerparam.keySet();
            Iterator<String> iterator = keys.iterator();
            while(iterator.hasNext()){
                String key =iterator.next().toString();
                System.out.println("=======key======="+key);
                Object value = headerparam.get(key);
                System.out.println("=======value======="+value);
                String v = value.toString();
                httpsConn.setRequestProperty(key,v);
            }
        }


        OutputStreamWriter out = new OutputStreamWriter(httpsConn.getOutputStream(), "utf-8");
        out.write(param.toString());
        out.flush();
        out.close();
//取得该连接的输入流，以读取响应内容
        InputStreamReader insr = new InputStreamReader(httpsConn.getInputStream(), "utf-8");

//读取服务器的响应内容并显示
        String result = "";
        int respInt = insr.read();
        while (respInt != -1) {
            result += (char) respInt;
            respInt = insr.read();
        }
        return result;
    }



    public static String sendPost(String url,String param,Map headerparam){


        TrustManager[] trustAllCerts = {new TrustAllTrustManager()};
        SSLContext sc = null;
        try {
            sc = SSLContext.getInstance("SSL");
            SSLSessionContext sslsc = sc.getServerSessionContext();
            sslsc.setSessionTimeout(0);
            sc.init(null, trustAllCerts, null);
            HttpsURLConnection.setDefaultSSLSocketFactory(sc.getSocketFactory());
        } catch (Exception e) {
            e.printStackTrace();
        }



        OutputStreamWriter out =null;
        BufferedReader reader = null;
        String response = "";

        //创建连接
        try {
            URL httpUrl = null; //HTTP URL类 用这个类来创建连接
            //创建URL
            httpUrl = new URL(url);
            //建立连接
            HttpURLConnection conn = (HttpURLConnection) httpUrl.openConnection();


            if(headerparam != null){
                Set<String> keys =headerparam.keySet();
                Iterator<String> iterator = keys.iterator();
                while(iterator.hasNext()){
                    String key =iterator.next().toString();
                    String value = headerparam.get(key).toString();
                    conn.setRequestProperty(key,value);
                }
            }



            conn.setRequestMethod("POST");
            conn.setRequestProperty("Content-Type", "application/json");
            conn.setRequestProperty("connection", "keep-alive");
            conn.setUseCaches(false);//设置不要缓存
            conn.setInstanceFollowRedirects(true);
            conn.setDoOutput(true);
            conn.setDoInput(true);
            conn.connect();
            //POST请求
            out = new OutputStreamWriter(
                    conn.getOutputStream());
            out.write(param);
            out.flush();
            //读取响应
            reader = new BufferedReader(new InputStreamReader(
                    conn.getInputStream()));
            String lines;
            while ((lines = reader.readLine()) != null) {
                lines = new String(lines.getBytes(), "utf-8");
                response+=lines;
            }
            reader.close();
            // 断开连接
            conn.disconnect();

        } catch (Exception e) {
            System.out.println("发送 POST 请求出现异常！"+e);
            e.printStackTrace();
        }
        //使用finally块来关闭输出流、输入流
        finally{
            try{
                if(out!=null){
                    out.close();
                }
                if(reader!=null){
                    reader.close();
                }
            }
            catch(IOException ex){
                ex.printStackTrace();
            }
        }

        return response;
    }







}
